2024-02-22  Oliver Kiddle  <opk@zsh.org>

	* 52552: Completion/Unix/Command/_java: newer Java supports
	passing source files directly to java

2024-02-20  Bart Schaefer  <schaefer@zsh.org>

	* 52559: Doc/Zsh/builtins.yo, Doc/Zsh/mod_private.yo,
	Src/Modules/param_private.c, Src/params.c, Test/B02typeset.ztst,
	Test/K01nameref.ztst, Test/V10private.ztst: revise "typeset -p"
	with respect to local readonly special parameters; update doc
	and tests to describe handling of global readonly specials and
	to account for side-effects on zsh/param/private.

2024-02-19  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 52549: Doc/Zsh/builtins.yo: document that return already works
	in a script.

x2024-02-19  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 52544: Completion/Unix/Type/_diff_options: support macOS Ventura
	or newer

2024-02-18  Bart Schaefer  <schaefer@toltec-ubuntu>

	* 52558: Etc/FAQ.yo: make note of word splitting differences
	with nofork substitutions; update ToC; minor formatting fixes

2024-02-18  Stephane Chazelas  <stephane@chazelas.org>

	* 45837: Src/exec.c, Src/init.c, Src/options.c: fix issue whereby
	original process group is not restored properly upon exit when
	exec {var} redirs are used or MONITOR is temporarily disabled.

2024-02-18  Stephane Chazelas  <stephane@chazelas.org>

	* 52515: Src/exec.c (+ tests in 52527) avoid sh errors when
	  running shebang-less scripts with paths starting with - or +

2024-02-17  Bart Schaefer  <schaefer@zsh.org>

	* 52556: Test/K01nameref.ztst: regression test for unset referent

	* 52556: Src/builtin.c: fix crash when applying a type change via
	a named reference when the referent has been declared but unset

2024-02-16  Mikael Magnusson  <mikachu@gmail.com>

	* 52546: Functions/Zle/incarg: incarg: avoid unneeded subshell

2024-02-15  Oliver Kiddle  <opk@zsh.org>

	* 52520: midchildan: Doc/Zsh/contrib.yo, Functions/Zle/incarg,
	Test/X05zleincarg.ztst: add new features and improvements to the
	"incarg" ZLE widget

	* github #112: Poncho: Completion/Unix/Command/_todo.sh:
	Completion: todo.sh uses shorthelp and not showhelp

	* 52535: Doc/Makefile.in, Doc/Zsh/prompt.yo, Doc/Zsh/zle.yo,
	Doc/Zsh/mod_hlgroup.yo, NEWS: documentation for highlight groups

	* 52533: Src/Modules/hlgroup.c, Src/Modules/hlgroup.mdd,
	Src/prompt.c: add module to provide alternate readonly views of
	the content of .zle.hlgroups

2024-02-09  Mikael Magnusson  <mikachu@gmail.com>

	* 52526: Src/Modules/terminfo.c: metafy terminfo capabilities

2024-02-04  Bart Schaefer  <schaefer@zsh.org>

	* unposted (cf. users/29635): Doc/Zsh/arith.yo: additional detail
	of parameter expansion in math context.

	* 52521: Etc/BUGS: mapfile handling of empty/unreadable files

2024-02-04  Mikael Magnusson  <mikachu@gmail.com>

	* 52516: Src/prompt.c: fix crash in %H when hlgroups is empty

	* 52517: Src/prompt.c: ensure that %H is followed by {

2024-02-03  Bart Schaefer  <schaefer@zsh.org>

	* unposted: Util/printdefines: updates and fix omissions

 	* unposted: cf. Roman in users/29472: Functions/Misc/zslurp:
	Efficient lossless read of stdin into $REPLY

	* unposted: Src/Zle/zle_tricky.c, Src/parse.c, Src/pattern.c:
	Record as comments some notes about namespace usage exceptions.

	* 52513: Doc/Zsh/mod_private.yo, Src/Modules/param_private.c,
	Src/params.c, Test/v10private.ztst: nofork substitutions can
	use private parameters; fix crash bug on {privateFD}>&N; add
	tests and documentation

2024-01-28  Bart Schaefer  <schaefer@zsh.org>

	* 52510: Doc/Zsh/expn.yo, Doc/Zsh/mod_private.yo: document how
	${ ... } et al. affect use of "private"; add index entries

	* 52509: configure.ac, Src/utils.c: manage internals of stdio
	objects when performing redirections.

2024-01-28  Oliver Kiddle  <opk@zsh.org>

	* 52500: Src/Zle/zle.h, Src/Zle/zle_refresh.c, Src/prompt.c:
	add layer token to zle attributes to provide control over
	the precedence of highlighting

	* 52499: Src/prompt.c: support highlight groups defined in a
	.zle.hlgroups associative array and referenced using %H in
	prompt strings or hl= in zle_highlight/region_highlight

	* unposted: Src/Modules/zutil.c: remove unused variable to silence
	compiler warning

	* Jörg Sommer: 52442: Src/zsh.h: Mark hookdef.name as const

	* Jörg Sommer: 52444: Src/module.c: Mark name argument of some
	functions const

	* Jörg Sommer: 52441: Src/Zle/zle_vi.c: Mark variables as const

	* Jörg Sommer: 52440: Src/Zle/textobjects.c: Mark variables as const

2024-01-26  Oliver Kiddle  <opk@zsh.org>

	* 52405, 52502: Src/Modules/pcre.c, Test/V07pcre.ztst:
	add empty elements to $match for optional captures that don't match

	* github #110: opensauce04: Completion/Redhat/Command/_dnf:
	Fix incorrect completion for `dnf --showduplicates`

	* github #108: Aurélien Olivier: Completion/Unix/Command/_perlbrew:
	add perlbrew completion

2024-01-25  Bart Schaefer  <schaefer@zsh.org>

	* 52385: Test/B03print.ztst: avoid "tr" in test output formatting

2024-01-24  Bart Schaefer  <schaefer@zsh.org>

	* 52496 + 52377: Doc/Zsh/options.yo, Doc/Zsh/params.yo: clarify
	SPROMPT behavior when CORRECT_ALL is set

	* 52492: Src/math.c: prevent indexing error when using recursive
	arithmetic in array subscript (operator stops on operand error)

	* 52482: Src/subst.c: strip trailing newlines in emulation modes
	of ${ command; }, for bash/ksh compatibility

	* 52476 + cf. 52479: Etc/FAQ.yo: more about nofork substitution

	* 52477: Src/Modules/curses.c: fix "zcurses mouse delay ..."

	* 52473: Doc/Zsh/mod_zutil.yo, Src/Modules/zutil.c: zstyle -q

	* 52468: Src/builtin.c, Src/utils.c: save and restore state of
	correct TTY when using read -s / -d

2024-01-14  Matthew Martin  <phy1729@gmail.com>

	* github #109: Wu Zhenyu: Completion/Linux/Command/_valgrind: Fix
	a typo

2024-01-05  Bart Schaefer  <schaefer@zsh.org>

	* 52465: Doc/Zsh/contrib.yo, Functions/Misc/zmv: use NULL_GLOB
	when expanding the input pattern to avoid NOMATCH exit

2023-12-06  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 52413: Completion/Unix/Command/_iconv: support Citrus version
	on macOS, DragonFly and NetBSD

2023-12-13  Oliver Kiddle  <opk@zsh.org>

	* Florian Weimer: 52383: configure.ac: Avoid incompatible pointer
	types in terminfo global variable checks

	* 52394: configure.ac: alter form of /dev/fd test to work where
	/bin/sh is ksh such as on Solaris 11

	* 52393: Test/ztst.zsh: fix tests on Solaris by omitting -a option
	to diff as it is not supported there

	* 52392: Src/makepro.awk: use octal escape to match = without
	error messages from either GNU awk or Solaris awk

	* 52382: Src/Modules/ksh93.c, Src/Zle/zle_utils.c: avoid \e in C code

2023-12-09  Bart Schaefer  <schaefer@zsh.org>

	* 52366 + fix typo: Completion/Unix/Command/_ant: rename
	find_targets as _ant_targets, replace one sed with substitution

	* 52365: Src/jobs.c, Src/signals.c: record state of exited
	background jobs sooner so as to be visible in TRAPCHLD

2023-12-05  Oliver Kiddle  <opk@zsh.org>

	* 52326, 52372: configure.ac, Src/jobs.c, Doc/Zsh/builtins.yo,
	Completion/Zsh/Command/_kill: add -q option to kill for sigqueue

	* 52373: Completion/Base/Utility/_numbers,
	Completion/Solaris/Command/_dumpadm, Completion/Unix/Command/_xz:
	fix _numbers for suffixes containing % and update affected functions

2023-12-04  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 52356: (cf. 52327 Dennis Eriksen): Doc/Zsh/builtins.yo: add
	missing function index entries

2023-12-02  Bart Schaefer  <schaefer@zsh.org>

	* 52361: Completion/Unix/Command/_ant: fix quoting of target files
	(derived from Germán Riaño: 52329)

	* 52360: Test/A04redirect.ztst: Simplify bad-descriptor check in
	%prep -- avoids accidentally using an open descriptor (derived
	from Germán Riaño: 52328)

2023-11-29  Bart Schaefer  <schaefer@zsh.org>

	* Sebastian Gniazdowski: 52145: Functions/Prompts/prompt_sprint2_setup:
	Contributed prompt theme with current time and abbreviated VCS_info.

2023-11-23  Bart Schaefer  <schaefer@zsh.org>

	* 52325: Doc/Zsh/expn.yo, Doc/Zsh/mod_ksh93.yo, Doc/Zsh/params.yo:
	Clarify side-effects of $argv and named references to specials,
	update ksh93 feature compatibility.

	unposted: Src/subst.c, Test/D10nofork.ztst: whitespace tweak to
	avoid unexpected parse error when comments are used in ${ ... }

2023-11-22  Oliver Kiddle  <opk@zsh.org>

	* unposted: Completion/Unix/Command/_ri: fix missing closing brace

	* 52315: Completion/...: completion options update

2023-11-18  Bart Schaefer  <schaefer@zsh.org>

	* 52313: Src/exec.c: subshells implementing multio reads/writes
	are not interactive and should check for write errors.

2023-11-17  Oliver Kiddle  <opk@zsh.org>

	* 52307: Completion/Linux/Command/_selinux,
	Completion/Linux/Command/_chcon, Completion/Linux/Command/_setpriv,
	Completion/Linux/Type/_selinux_contexts, Completion/Unix/Command/_cp,
	Completion/Linux/Type/_selinux_types, Completion/Unix/Command/_find,
	Completion/Unix/Command/_install, Completion/Unix/Command/_mount,
	Completion/Unix/Command/_zfs: new completion for many SELinux tools

	* 52303: Completion/Unix/Command/_ifconfig,
	Completion/Unix/Command/_chown, Completion/Unix/Command/_cp,
	Completion/Unix/Command/_cut, Completion/Unix/Command/_date,
	Completion/Unix/Command/_du, Completion/Unix/Command/_env,
	Completion/Unix/Command/_id, Completion/Unix/Command/_ln,
	Completion/Unix/Command/_ls, Completion/Unix/Command/_make,
	Completion/Unix/Command/_mount, Completion/Unix/Command/_mv,
	Completion/Unix/Command/_rm, Completion/Unix/Command/_sed,
	Completion/Unix/Command/_split, Completion/Unix/Command/_touch,
	Completion/Unix/Command/_uniq, Completion/Unix/Command/_xargs:
	updates to completions for macOS 13

2023-11-15  Bart Schaefer  <schaefer@zsh.org>

	* 52309: Src/exec.c: suppress job control inside <<(substition)
	to fix cases that hang with all signals blocked.  Similarly,
	allow interrupt of multios reading from a terminal.

	* 52308: Etc/FAQ.yo: mention new features, fix some old answers

	* 52275: Src/compat.c: rationality in zgetdir() and zgetcwd() to
	avoid silently wandering out of the current directory when path
	parents are inaccessible.

	* 52202: Src/lex.c, Src/subst.c, Test/D04parameter.ztst: improve
	handling of quoting in ${var/pattern/replacement}.  Still not
	perfect, e.g., deeply nested expansions	in the pattern may fail.

2023-11-14  Oliver Kiddle  <opk@zsh.org>

	* github #106: Matt Koscica: Completion/Unix/Command/_tmux,
	Util/check-tmux-state: update tmux completion (20230919)

	* unposted (cf. 52167): Completion/Unix/Command/_mutt:
	mutt's -a takes a list of files terminated by --

	* 52301: Completion/Unix/Command/_gem, Completion/Unix/Command/_ri,
	Completion/Unix/Command/_ruby: update options in completions for
	ruby 3.2, gem 3.4.10 and ri 6.5

	* 52300: Completion/Unix/Command/_ansible: ansible 2.15.2 updates

2023-11-09  Oliver Kiddle  <opk@zsh.org>

	* 52280: Completion/Unix/Command/_git: update git completion for new
	options in git through to version 2.42.0

2023-11-08  Oliver Kiddle  <opk@zsh.org>

	* github #105: Shotaro Aoyama: Completion/Zsh/Command/_zle:
	add "-I" for "zle" completion

	* Eric Cook: 52168: Completion/Unix/Command/_xfconf-query:
	add completion for xfce's xfconf-query(1)

	* 52271: Src/Modules/pcre.c: use correct form for unused parameter

2023-11-02  Oliver Kiddle  <opk@zsh.org>

	* 52268: Completion/Linux/Command/_networkmanager: update to 1.42.2

	* 52266: Completion/Linux/Command/_strace: update to 2.6.5

	* 52265: Completion/Linux/Command/_findmnt,
	Completion/Linux/Command/_lsblk, Completion/Unix/Command/_column:
	update completions for some util-linux tools to version 2.39.2

	* 52253: Src/Modules/pcre.c: support pcre callouts with shell
	evaluation of the callout string

	* 52260: Completion/Unix/Command/_sudo: handle variable assignments
	before the command in sudo completion

2023-11-01  Oliver Kiddle  <opk@zsh.org>

	* 52252: Src/Modules/pcre.c: Coverity defect 1547827

	* Shohei YOSHIDA: 52179: Completion/Unix/Command/_gradle:
	Fix gradlew completion when it isn't in PATH

2023-10-29  Matthew Martin  <phy1729@gmail.com>

	* github #102: Ulysse Buonomo: Completion/Unix/Command/_todo.sh:
	Ensure todo.sh completion uses builtin commands

2023-10-25  Bart Schaefer  <schaefer@zsh.org>

	* Daniel Shahaf: 50569 (tweaked): README, Src/Zle/zle_keymap.c:
	main keymap defaults to emacs

	* Sebastian Gniazdowski: 52240: Functions/MIME/zsh-mime-handler:
	use work-var $s not $suffix when setting flags

	* 52244: Src/Modules/zutil.c, Src/Zle/compcore.c,
	Src/Zle/compresult.c, Src/builtin.c, Src/glob.c, Src/hist.c,
	Src/input.c, Src/params.c, Src/utils.c: Coverity defects 1547831,
	1547826 (remove unused function), 1521551, 1500752, 1500747,
	1401549, 1372423, 1270645, 1255799, 1255792, 1255789, 1255787,
	1255782, 1255750

2023-10-24  Matthew Martin  <phy1729@gmail.com>

	* github #103: Christian Heusel: Completion/Unix/Command/_zfs: fix
	completion for zpool upgrade

	* github #104: ErrrorMaxx: Src/exec.c: fix small typo

2023-10-16  Mikael Magnusson  <mikachu@gmail.com>

	* 52056: Completion/Unix/Command/_sccs: _sccs: don't handle
	subcommands in main namespace

	* 51490: Src/Zle/computil.c: Use time_t for lastt which stores
	result of time(0)

	* 52222: Doc/Zsh/contrib.yo: Document bracketed-paste-url-magic

2023-10-15  Bart Schaefer  <schaefer@zsh.org>

	* 52218: Etc/BUGS, NEWS, README: notes since 5.9 release

2023-10-10  Oliver Kiddle  <opk@zsh.org>

	* 52189: Completion/Unix/Type/_umountable, Src/Zle/complete.c:
	ignore compadd -M if -U also specified as they don't make
	sense together, this fixes df completion

	* 52217: Completion/BSD/Command/_freebsd-update,
	Completion/BSD/Command/_ipfw, Completion/BSD/Command/_pfctl,
	Completion/BSD/Command/_sockstat, Completion/Unix/Command/_cmp,
	Completion/Unix/Command/_date, Completion/Unix/Command/_elfdump,
	Completion/Unix/Command/_gcore, Completion/Unix/Command/_mktemp,
	Completion/Unix/Command/_iostat, Completion/Unix/Command/_ldd,
	Completion/Unix/Command/_ls, Completion/Unix/Command/_ifconfig,
	Completion/Unix/Command/_netstat, Completion/Unix/Command/_script,
	Completion/Unix/Command/_service, Completion/Unix/Command/_split,
	Completion/Unix/Command/_ssh, Completion/Unix/Command/_sysctl,
	Completion/Unix/Type/_diff_options:
	update completions for FreeBSD 14

	* 52216: Src/Modules/watch.c: metafy usernames to allow for
	them to be UTF-8 encoded

	* 52214: Src/subst.c: allow extra byte for nul in allocation

	* unposted (cf. 52166): Functions/Misc/run-help-svk:
	remove obsolete helper for svk

	* Jörg Sommer: 51812: Functions/Misc/run-help-docker,
	Functions/Misc/run-help-perf, Functions/Misc/run-help-podman,
	Functions/Misc/run-help-ssh, Functions/Misc/run-help-svnadmin:
	run-help for docker, perf, podman, ssh, svnadmin

2023-10-05  Bart Schaefer  <schaefer@zsh.org>

	* 52204: Src/parse.c: fix unmeta() thinko from 52193

2023-10-03  Bart Schaefer  <schaefer@zsh.org>

	* 52198: Src/input.c: put back incorrectly removed zfree()

2023-10-01  Bart Schaefer  <schaefer@zsh.org>

	* 52195: Src/params.c: cached_username is already metafied when
	initializing LOGNAME

	* 52193: Src/init.c, Src/params.c, Src/utils.c: metafy USERNAME
	(mostly for Cygwin compatibilty with UTF8 encodings)

	* 52193: Src/parse.c: unmetafy file paths in zcompile

2023-09-27  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 52188: Test/D04parameter.ztst: skip tests that fail if
	multibyte is not available

	* 52169: Src/subst.c, Src/utils.c: a few more improvemets of (#)

2023-09-23  Bart Schaefer  <schaefer@zsh.org>

	* 52180: Doc/Zsh/expn.yo: clarify array behavior of ${|var|...}
	and the REPLY parameter

2023-09-22  Bart Schaefer  <schaefer@zsh.org>

	* 52176: Src/subst.c: metafy return from ${ ... } substitution
	(adapted from Jun T.: 52172)

2023-09-20  Oliver Kiddle  <opk@zsh.org>

	* Jörg Sommer: 51747: Functions/Misc/run-help-ip:
	ip accepts the reduction of link to l

	* Jörg Sommer: 51776: Functions/Misc/run-help-openssl:
	Reduce code and use new manpages

	* Wim de With: 51857: Completion/Linux/Command/_fusermount:
	Include fusermount3 in fusermount completions

	* Atte Peltomäki: 51980: Completion/Zsh/Type/_globquals,
	Doc/Zsh/expn.yo: Add glob qualifier grouping operator to completion

	* Jörg Sommer: 52102: Completion/Debian/Command/_apt:
	Add subcommand autopurge to apt completion

	* Wesley Schwengle: 52141: Completion/Unix/Command/_git:
	add trailer token completion for git commit --trailer

	* 52163: Completion/Unix/Command/_zfs: completion update for
	OpenZFS 2.2

2023-09-16  Bart Schaefer  <schaefer@zsh.org>

	* 52156: Test/E01options.ztst: Test case for user/29160.

	* users/29160: Src/subst.c: Fix repetition of substituion modifier.

	* Christoffer Lundell: 52082: Functions/Zle/edit-command-line:
	Enable linewise edit-command when in visual-line mode.

	* 52155: Test/D10nofork.ztst: Tests for non-forking substitution.

	* 52154: Doc/Zsh/expn.yo, Src/lex.c, Src/subst.c:  implement
	and document non-forking command substitutions ${|...} and
	${ ... }.  Based on Sebastian Gniazdowski: 51702.

	* 52153: Src/input.c, Src/Modules/mapfile.c: $mapfile[fname]
	should not trim newlines (only applies when not HAVE_MMAP)

2023-09-15  Mikael Magnusson  <mikachu@gmail.com>

	* 52142: Completion/Zsh/Context/_parameter,
	Completion/Zsh/Type/_parameters: Move _history_modifiers call
	to _parameter

2023-09-13  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 52122 + 52129: Src/subst.c, Test/D04parameter.ztst: fix (#)
	parameter expansion flag for bad math expressions and out-of-
	range characters

2023-09-10  Bart Schaefer  <schaefer@zsh.org>

	* 52125: Src/exec.c: getoutput() must not free() gettempname()

2023-09-09  Bart Schaefer  <schaefer@zsh.org>

	* unposted: Completion/Base/Utility/_shadow: quoting for safety

2023-09-07  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 52114: Completion/Unix/Command/_nice: improve _nice (support
	-n option, complete only external commands)

2023-09-05  Bart Schaefer  <schaefer@zsh.org>

	* 52115: Src/Modules/param_private.c, Test/V10private.ztst: permit
	repeated "private" declarations as long as types aren't changed

2023-09-04  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 52112: Completion/BSD/Command/_jexec,
	Completion/Linux/Command/_chrt, Completion/Linux/Command/_cpupower,
	Completion/Linux/Command/_ionice,Completion/Linux/Command/_setpriv,
	Completion/Linux/Command/_sysstat, Completion/Unix/Command/_chroot,
	Completion/Unix/Command/_mosh, Completion/Unix/Command/_route,
	Completion/Unix/Command/_screen, Completion/Unix/Command/_script,
	Completion/Unix/Command/_ssh, Completion/Unix/Command/_stdbuf,
	Completion/Unix/Command/_timeout: use '_normal -p $service' to
	complete only external commands

2023-09-03  Bart Schaefer  <schaefer@zsh.org>

	* users/29220: Src/Modules/param_private.c, Test/V10private.ztst:
	fix bug with assignment to private following explicit unset

2023-08-28  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* Shohei YOSHIDA: 52098(+comment), 52099, 52100, 52105(+52106):
	Completion/Darwin/Command/_open, Completion/Darwin/Command/_otool,
	Completion/Darwin/Command/_sw-vers,
	Completion/Darwin/Command/_system_profiler:
	update for latest macOS (with a few fixes)

	* sergio: 51858 (+52073): Completion/Unix/Command/_libvirt:
	virsh's edit subcommand accepts all domains

2023-08-27  Bart Schaefer  <schaefer@zsh.org>

	* Marlon Richert: 51861 (tweaked for 52028):
	Completion/Base/Completer/_approximate: allow _approximate
	to provide corrections even when compadd is overridden

	* 52028: Completion/Base/Utility/_shadow, Doc/Zsh/compsys.yo,
	Doc/Zsh/contrib.yo, Functions/Misc/mkshadow: improve _shadow
	and _unshadow, add helper function and update documentation

	* Robert Woods: 52053: Src/utils.c: whitelist capability
	CAP_WAKE_ALARM in 'privasserted' function

	* Shohei YOSHIDA: 52034: Completion/Unix/Command/_sqlite:
	update for version 3.42.0

2023-08-22  Peter Stephenson  <p.stephenson@samsung.com>

	* Nojus Gudinavičius: users/29175: Src/Zle/zle_hist.c: don't
	need to forget edits if none were made, avoiding loop over
	entire history.

2023-08-21  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* Shohei YOSHIDA: 52059 (+52070): Completion/Unix/Command/_scons:
	fix for options -j/--jobs and -q/--question

2023-08-16  Peter Stephenson  <p.stephenson@samsung.com>

	* 29130, 29131 (Ray): Doc/Zsh/builtins.yo: document what typeset
	-t is for, not what it isn't for.

2023-08-14  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 52037: Completion/Unix/Command/_date,
	Completion/Unix/Command/_env, Completion/Unix/Command/_watch:
	complete only external commands for env and watch, with a few
	more minor fixes

2023-08-06  Bart Schaefer  <schaefer@zsh.org>

	* Shohei YOSHIDA: 52018: Completion/Unix/Command/_wc: latest
	coreutils options

	* Shohei YOSHIDA: 52017: Completion/Unix/Command/_tr: latest
	coreutils options

	* Shohei YOSHIDA: 52016: Completion/Unix/Command/_tail: latest
	coreutils options

	* Shohei YOSHIDA: 52015: Completion/Unix/Command/_env: latest
	coreutils options

	* Shohei YOSHIDA: 52014: Completion/Unix/Command/_date: latest
	coreutils options

	* Shohei YOSHIDA: 52013: Completion/Unix/Command/_head: latest
	coreutils options

2023-08-01  Peter Stephenson  <p.stephenson@samsung.com>

	* 52008: Src/pattern.c, Test/D02glob.ztst: Fix bug with branches
	in patterns followed by an exculsion, and add tests.

2023-07-31  dana  <dana@dana.is>

	* github #100: HexorCatZ: Completion/Unix/Command/_qemu:
	add -enable-kvm and -bios suggestion

2023-07-26  Bart Schaefer  <schaefer@zsh.org>

	* unposted (cf. 51968): Doc/Zsh/builtins.yo: improve description
	of typeset -gn and -r

	* 51945: Doc/Zsh/builtins.yo, Doc/Zsh/expn.yo, Doc/Zsh/params.yo,
	Src/builtin.c, Src/params.c, Test/K01nameref.ztst: improve named
	references documentation, fixes for typeset -r and -g behavior,
	fix unset reference behavior including scoping crash, more tests

	* Shohei YOSHIDA: 51979: Completion/Linux/Command/_free: Update
	free completion for procps-ng version 4.0.3

	* Shohei YOSHIDA: 51964: Completion/Linux/Command/_pidof: support
	pidof variants other than procps

	* 51969: Src/builtin.c: read -d and -s should not reset terminal
	state when stdin is redirected

	* 51949 (tweak per 51950): Src/Zle/zle_main.c: correct Thingy
	refcount in raw_getbyte()

	* Shohei YOSHIDA: 51927: Completion/Unix/Command/_watch: Update
	procps watch completion for version 4.0.3

	* unposted (cf. 51899): Doc/Zsh/compsys.yo: document _shadow

2023-07-20  Peter Stephenson  <p.stephenson@samsung.com>

	* 51977: Src/jobs.c, Test/E01options.ztst: Combination of
	PIPEFAIL and ERRRETURN / ERREXIT options failed with complex
	commands at end of pipeline.

2023-07-19  dana  <dana@dana.is>

	* github #99: mirsella: Completion/Darwin/Command/_trash,
	Completion/Unix/Command/_trash: add completion for trash-d

2023-07-10  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 51897 (+ minor tweaks): Completion/Darwin/Command/_softwareupdate:
	update _softwareupdate (based on 51895 by Shohei YOSHIDA)

2023-07-09  Bart Schaefer  <schaefer@zsh.org>

	* 51890: Src/builtin.c: fix "whence -wa" for multiple arguments

2023-06-26  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 51889: Src/Modules/zftp.c, Src/mkbltnmlst.sh: enable loading a
	module (e.g. zftp) that depends on other modules even if zsh is
	built with the full RELRO

	* 51884: Doc/Zsh/params.yo, Src/params.c, Src/utils.c,
	Test/D04parameter.ztst: if MULTIBYTE option is on and IFS contains
	invalid bytes in curret locale then reset it to default

2023-06-22  Bart Schaefer  <schaefer@zsh.org>

	* 51887: Src/math.c, Src/params.c, Test/K02parameter.ztst:
	namespaces recognized in math, incorrect usages rejected.

	* Marlon Richert: 51860: Completion/Base/Completer/_prefix,
	Test/Y01completion.ztst, Test/comptest: simplify suffix handling
	in _prefix to remove longstanding and less accurate hack; tests.

	* Stephane: 51813: Functions/Misc/is-at-least: differentiate empty
	$2 from omitted $2 to avoid wrong comparisons against ZSH_VERSION.

2023-06-20  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 51877: Src/Modules/pcre.mdd, configure.ac: do not build pcre
	module if pcre2-config is not available.

2023-06-19  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 51862: Doc/Makefile.in, configure.ac: support texinfo-7.0

2023-06-08  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 51826: Src/hist.c: correctly handle metafied null character
	when reading history file

	* Stephane: 51817: Completion/BSD/Command/_rcctl: protect ':'
	in _rcctl (was in 51817 but missed in commit 0577daf)

2023-06-06  Peter Stephenson  <p.stephenson@samsung.com>

	* Stephane: 51818: Protect another ':'.

	* Stephane: 51817: Protect some use of ':' from history modifier
	interpreation.

	* 51816: Doc/Zsh/expn.yo, Src/hist.c, Src/subst.c,
	Test/D04parameter.ztst: add :S history modifier with pattern
	match.

2023-06-06  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* Marlon Richert: 51779: Test/Y01completion.ztst: update
	completion test for 51761

2023-05-25  Peter Stephenson  <p.stephenson@samsung.com>

	* 51739: Src/hist.c: detect invalid history word beginning.

2023-05-21  Oliver Kiddle  <opk@zsh.org>

	* 51769: Src/jobs.c, Src/utils.c: fix compilation when
	HAVE_GETRUSAGE is not defined

	* Marlon Richert: 51761: Completion/Zsh/Type/_parameters:
	Use zstyle verbose for _parameters descriptions

	* Marlon Richert: 51682: Completion/Base/Core/_main_complete,
	Test/Y01completion.ztst: Fix subscript completion bugs
	inside ~[...]

	* Marlon Richert: 51759: Completion/Zsh/Type/_command_names:
	Show alias values in command completions

	* Marlon Richert: 51760: Doc/Zsh/compwid.yo: r and R were listed
	in the wrong order.

	* Marlon Richert: 51758: Test/Y01completion.ztst, Doc/Zsh/expn.yo,
	Completion/Zsh/Context/_dynamic_directory_name: Make dynamic dir
	completion easier to implement

2023-05-13  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 51722: Src/Modules/parameter.c: Add safety to extracting
	elements of $historywords.

2023-05-13  Oliver Kiddle  <opk@zsh.org>

	* 51738: Doc/Zsh/mod_pcre.yo, Src/Modules/pcre.c,
	Test/V07pcre.ztst: support pcre's DFA matching algorithm

	* 51728: Doc/Zsh/mod_pcre.yo, Src/Modules/pcre.c,
	Test/V07pcre.ztst: assign pcre named capture groups to a hash

	* 51723: Src/Modules/pcre.c, Test/V07pcre.ztst, configure.ac:
	migrate pcre module to pcre2

	* Felipe Contreras: 50612: Misc/vcs_info-examples: fix typo

	* github #98: Vidhan Bhatt: Completion/Darwin/Command/_shortcuts:
	feat: add `shortcuts` completions

2023-05-11  Bart Schaefer  <schaefer@zsh.org>

	* users/29070: Src/Zle/zle_tricky.c: clean up tokens in cmdstr
	before attempting completion (compctl only)

	* Jim <linux.tech.guy@gmail.com>: 51609: Doc/Zsh/mod_zselect.yo:
	fix reference to select(2)

	* Shohei YOSHIDA: 51340: Completion/Unix/Command/_rake: update
	for version 13

	* Shohei YOSHIDA: 51331: Completion/Unix/Command/_pydoc: update
	for version 3.11

2023-05-10  Bart Schaefer  <schaefer@zsh.org>

	* 51593: Functions/Misc/run-help: improve search for original
	command name after skipping prefix assignments

2023-05-08  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 51692: Test/C02cond.ztst: do not skip tests for [[ -r file ]]
	and [[ -N file ]] on Cygwin

2023-04-22  Bart Schaefer  <schaefer@zsh.org>

	* 51670: Src/text.c: prevent possible underflow in gettext()

2023-04-18  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 51663: Completion/Unix/Command/_ssh: fix a typo in 51582

2023-04-17  Peter Stephenson  <p.stephenson@samsung.com>

	* 51652 (plus typo correction): Src/exec.c, Test/C03traps.ztst:
	fix running of TRAPEXIT explicitly.

2023-04-11  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 51639: Doc/Zsh/params.yo, Src/init.c, configure.ac: add new
	parameter ZSH_EXEPATH that is set to the full pathname of the
	executable file of the current zsh

2023-04-09  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 51631: Doc/Zsh/params.yo, Src/init.c: initialize $_ by copying
	it from environment

	* 51632: Src/exec.c: unmetafy $_ when exporting it to child

2023-04-03  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 51597: Src/Zle/zle_utils.c: fix 'vared -c var' when var is unset

2023-03-30  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 51604: Src/jobs.c, configure.ac: %M in TIMEFMT should report
	in kilobytes

2023-03-29  Peter Stephenson  <p.stephenson@samsung.com>

	* 51608: Src/exec.c, Test/A01grammar.ztst: shouldn't be
	executing commands after "continue &&" or "! continue ||".

2023-03-28  Mikael Magnusson  <mikachu@gmail.com>

	* 51602: Src/jobs.c, Src/signames2.awk: Handle SIGIOT as an
	alias to SIGABRT if they are the same signal number

2023-03-27  Oliver Kiddle  <opk@zsh.org>

	* Shohei YOSHIDA: 51589: Completion/Unix/Command/_nm:
	Update nm options

	* 51603: Completion/Unix/Command/_git: complete dates and times
	in the form that git accepts

2023-03-22  Peter Stephenson  <p.stephenson@samsung.com>

	* 51586: Src/builtin.c: When printf "%s" encounters a byte
	that's not part of a valid multibyte character it should handle
	it a single byte at a time.

2023-03-16  Oliver Kiddle  <opk@zsh.org>

	* 51583: Completion/Unix/Command/_git: update completion of
	git attributes

	* 51582: Completion/Unix/Command/_ssh: openssh 9.3 completion update

	* 51581: Completion/BSD/Command/_fw_update,
	Completion/BSD/Command/_rcctl, Completion/Unix/Command/_grep,
	Completion/Unix/Command/_netstat, Completion/Unix/Command/_ps:
	update completions to cover changes in OpenBSD 7.2

2023-03-14  Bart Schaefer  <schaefer@zsh.org>

	* 51573: Src/builtin.c: additional "typset -p -m" fix for namespaces

2023-03-13  Bart Schaefer  <schaefer@zsh.org>

	* 51572: Functions/Misc/run-help: fix error when running standalone

	* Sven Joachim: 51563: Completion/Debian/Command/_sbuild: unmatched "

2023-03-11  Bart Schaefer  <schaefer@zsh.org>

	* 51558: Doc/Zsh/grammar.yo: Clarify "for" loops + named refs.

	* 51557: Doc/Zsh/mod_ksh93.yo, Src/Modules/ksh93.c: Clarify
	availability of ksh-mode parameters, improve vi-mode detection.

2023-03-11  Oliver Kiddle  <opk@zsh.org>

	* 51539: Completion/Unix/Command/_git: don't complete diff
	options to git blame

2023-03-07  Bart Schaefer  <schaefer@zsh.org>

	* 51534: Util/printdefines: update for recent changes

2023-03-06  Bart Schaefer  <schaefer@zsh.org>

	* 51512: Doc/Zsh/mod_ksh93.yo: More about unsupported features

	* 51511: Doc/Zsh/expn.yo, Doc/Zsh/params.yo: Document namespaces

	* 51510: Src/builtin.c, Src/params.c, Src/utils.c, Src/zsh.h,
	Test/K02parameter.ztst: parameters with a leading namespace are
	skipped in output of "set" and "typeset", add tests for ksh-like
	parameter handling and fix a bug thus revealed

	* 51509 (+ fix typo): Src/params.c, Src/subst.c, Src/zsh.h: Add
	${(!)name} for the referred-to parameter of a named reference,
	and extend ${!name} in ksh emulation for same

	* 51524: Src/Modules/ksh93.mdd: dependency on zsh/zle for linkage

2023-03-05  Bart Schaefer  <schaefer@zsh.org>

	* 51486: Etc/zsh-development-guide: clarify module section

	* 51485: Doc/Makefile.in, Doc/Zsh/mod_ksh93.yo, Src/utils.c,
	Src/Modules/ksh93.c, Src/Modules/ksh93.mdd: module for several
	ksh93 features, mostly enabled only in ksh emulation.

	* 51484: Src/builtins.yo Src/params.c: Extend named reference
	handling for special parameters, improve doc.

	* 51483: Src/Zle/compcore.c, Src/Zle/zle_tricky.c, Src/lex.c,
	Src/params.c, Src/subst.c, Src/utils.c, Src/zsh.h, Src/ztype.h:
	Enable assignment and expansion of parameters with ksh-like
	namespace prefixes.

	* unposted: Src/Modules/param_private.c: coverity memory leak

2023-02-28  Mikael Magnusson  <mikachu@gmail.com>

	* 51491: Src/Zle/zle_utils.c: Check should use zlemetacs instead
	of zlecs

2023-02-26  Bart Schaefer  <schaefer@zsh.org>

	* 51464: Util/printdefines: utility to interpret zsh.h constants

	* unposted: Doc/Zsh/restricted.yo: fix typo

	* 51460: Src/module.c: avoid crash on bad parameter autofeature

2023-02-24  Oliver Kiddle  <opk@zsh.org>

	* Shohei YOSHIDA: 51473: Completion/Unix/Command/_cal:
	Update cal/ncal completion

	* Sebastian Stark: 51470 (tweaked, c.f. 51476):
	Completion/Zsh/Command/_cd: Separate cdpath elements in
	path-directories completion

	* 51474: Completion/Unix/Command/_ansible: make -e and --vault-id
	options repeatable and update for new options to ansible 2.13.2

2023-02-21  Peter Stephenson  <p.stephenson@samsung.com>

	* 51466: Src/params.c: fix access to autoloaded parameter.

2023-02-20  Bart Schaefer  <schaefer@zsh.org>

	* 51431: Src/builtin.c: "typeset -p" shouldn't change parameter flags

2023-02-19  Oliver Kiddle  <opk@zsh.org>

	* 51456: Completion/Unix/Command/_git: complete only modified
	files with git add -u

	* 51455, 51461: Completion/Unix/Type/_ldap_attributes
	Completion/BSD/Command/_ldap, Completion/Unix/Command/_openldap,
	Completion/Unix/Type/_ldap_filters: new completion for the OpenLDAP
	client tools including a helper function for LDAP search filters

2023-02-17  Oliver Kiddle  <opk@zsh.org>

	* 51447: Src/Zle/zle_keymap.c: silence compiler maybe-uninitialized
	warning by combining a couple of variables

	* Øystein Walle: 51391: Completion/Unix/Command/_git:
	complete remote branch names respecting --delete for git push

2023-02-14  Bart Schaefer  <schaefer@zsh.org>

	* 51437: Src/params.c, Test/K01nameref.ztst: Fix incorrectly-passed
	test case, masked by unrelated bug.  Improve warnnestedvar message.

2023-02-14  Peter Stephenson  <p.stephenson@samsung.com>

	* 51425: Src/exec.c, Test/E01OPTIONS: $(<...) shouldn't try to
	open a file with NO_EXEC.

2023-02-13  Bart Schaefer  <schaefer@zsh.org>

	* 51430: Src/Modules/parameter.c, Src/builtin.c, Src/params.c,
	Test/K01nameref.ztst: Fix and test for regression of assignment
	when using typeset command, fix output of typeset +m and
	$parameters[ref], prevent segfault in typeset.

2023-02-12  Bart Schaefer  <schaefer@zsh.org>

	* 51417: Src/params.c, Test/K01nameref.ztst: Check subscripts
	in named reference values more rigorously.

	* 51403: Doc/Zsh/builtins.yo, Doc/Zsh/expn.yo, Doc/Zsh/func.yo,
	Doc/Zsh/grammar.yo, Doc/Zsh/params.yo, Test/K01nameref.ztst:
	Tests and documentation for 51402, clean up some other tests.

	* 51402: Src/builtin.c, Src/loop.c, Src/params.c, Src/zsh.h:
	Add ksh/bash features (unset -n, for ref), readonly refs,
	better error checking and messages, code injection safety,
	allow references to $! $? $$ $- $0 $_

	* 51375: Doc/Zsh/builtins.yo, Doc/Zsh/expn.yo, Doc/Zsh/params.yo,
	Doc/Zsh/mod_parameter.yo: Clarify, fix typos, add indexing.

	* 51374: Src/Modules/parameter.c, Src/params.c, Test/README,
	Test/K01nameref.ztst: Expose named references in $parameters,
	fix substitution error.

	* 51362: Doc/Zsh/builtins.yo, Doc/Zsh/expn.yo, Doc/Zsh/params.yo,
	Doc/Zsh/mod_parameter.yo: Begin documentation for named references.

	* 51361: Test/K01nameref.ztst, Test/V10private.ztst: Tests
	for 51360.

	* 51360: Src/Modules/param_private.c, Src/Modules/parameter.c,
	Src/builtin.c, Src/params.c, Src/subst.c, Src/zsh.h: Initial
	implementation of named references.

	* 51404: Src/jobs.c: Nullify filelist after deleting (fix segfault)

2023-02-09  Oliver Kiddle  <opk@zsh.org>

	* 51320, 51383: Src/Zle/zle_main.c, Src/Zle/complist.c,
	Src/Zle/zle_tricky.c, Test/D01prompt.ztst,
	Test/X04zlehighlight.ztst: fixes to prevent later reappearance
	of old attributes

2023-02-06  Peter Stephenson  <p.stephenson@samsung.com>

	* 51350: Src/subst.c, Test/D04parameter.ztst: the combination
	${(S)...//#%...} needs to match as far as possible.

2023-02-02  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 51354: Doc/Zsh/params.yo: Fix markup in man page version

2023-02-02  Peter Stephenson  <p.stephenson@samsung.com>

	* 51306: Doc/Zsh/expn.yo, Src/subst.c, Test/D04parameter.ztst:
	error message in ${unset?...} should be expanded.

	* 51307: Src/input.c, Src/parse.c, Test/A02alias.ztst: error
	on attempt to expand alias in function definition name didn't
	find the original alias and printed an extra error.

2023-01-31  Bart Schaefer  <schaefer@zsh.org>

	* 51342: Etc/zsh-development-guide: update PARAMDEF description

	* 51337: Doc/Zsh/expn.yo, Doc/Zsh/mod_parameter.yo: parameter
	attributes cross-reference typeset equivalents (or lack thereof)

2023-01-27  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted (cribbed from users/28784 by Roman):
	Test/D04parameter.ztst: Add XFail tests for substituting a
	single-quoting backslash.

2023-01-27  Shohei YOSHIDA  <syohex@gmail.com>

	* 51330: Completion/Unix/Command/_python: Update python3
	completion for version 3.11

2023-01-24  Shohei YOSHIDA  <syohex@gmail.com>

	* 51326: Completion/Unix/Command/_gcc: Improve -fsanitize
	option completion

2023-01-22  Shohei YOSHIDA  <syohex@gmail.com>

	* 51322 (+ minor tweak): Completion/Unix/Command/_make: Update gnu
	make completion for version 4.4

2023-01-21  Bart Schaefer  <schaefer@zsh.org>

	* 51313: Completion/Unix/Command/_git: fix "git rerere forget"

	* 51310: Src/Zle/zle_main.c: zle -F handlers preserve LASTWIDGET

2023-01-16  Peter Stephenson  <p.stephenson@samsung.com>

	* 51278: Src/params.c, Test/D06subscript.ztst: result of (i)
	subscript flag with zero-length string was inconsistent with
	other cases.

2023-01-11  Oliver Kiddle  <opk@zsh.org>

	* 51297: Test/X04zlehighlight.ztst: update expected test results
	to match more optimised escape sequences with recent changes

	* Jörg Sommer: 51256: Completion/Unix/Command/_git:
	Add --refetch to completions of git-fetch

	* unposted: NEWS, Src/zsh.h, Completion/Zsh/Type/_ps1234: mention
	attributes changes, fix renumbering mistake and allow completion
	to offer prompt escapes for PROMPT_EOL_MARK

	* 51295: Src/Zle/zle_utils.c: where the end of a region coincides
	with the end of PREDISPLAY, don't extend it to include new text

2023-01-10  Oliver Kiddle  <opk@zsh.org>

	* 51292: Src/Zle/zle_utils.c: fix dynamic updates of
	region_highlight to account for PREDISPLAY

	* 51291: Doc/Zsh/zle.yo, Src/Zle/zle_refresh.c, Src/prompt.c:
	support for highlighting ellipses in the line editor

	* 51290: Src/Zle/zle_refresh.c: fix display of control
	characters with SINGLE_LINE_ZLE set

	* 51289: Src/Zle/zle_refresh.c, Src/prompt.c: don't disable
	non-colour attributes in prompts for SINGLE_LINE_ZLE and remove
	superfluous extra escapes to disable attributes

	* 51281: Src/Zle/zle_main.c, Src/Zle/zle_refresh.c, Src/zsh.h:
	keep track of attributes left on at the end of left and right
	prompts and reapply them explicitly as appropriate

	* 51280: Doc/Zsh/zle.yo, Src/Zle/zle_refresh.c, Src/init.c,
	Src/prompt.c, Src/zsh.h: add support for italic and faint
	fonts in the line editor

	* 51258, 51272: Src/Modules/watch.c, Src/Zle/complist.c,
	Src/Zle/zle.h, Src/Zle/zle_main.c, Src/Zle/zle_refresh.c,
	Src/Zle/zle_tricky.c, Src/Zle/zle_utils.c, Src/builtin.c,
	Src/init.c, Src/input.c, Src/loop.c, Src/prompt.c,
	Src/subst.c, Src/utils.c, Src/zsh.h, Test/D01prompt.ztst,
	Test/X04zlehighlight.ztst: refactor handling of terminal
	attributes, removing OFF flags in zattr

	* Nathan Houghton: 51276: Completion/Unix/Type/_diff_options:
	Fix diff completion for non GNU / FreeBSD platforms

2023-01-08  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Src/Zle/zle_refresh.c: In a comment, replace a C
	variables glob pattern with its matches, for greppability.

2023-01-06  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted (cf. users/28616):
	Completion/Unix/Command/_subversion: _svnadmin: Add comment
	noting a case that's not completed correctly.

2022-12-31  Oliver Kiddle  <opk@zsh.org>

	* Max Coplan: 51263: Doc/Zsh/files.yo: fix typo, an -> a

	* Shohei YOSHIDA: 51255: Completion/Unix/Command/_ruby:
	Update erb completion for version 4.0.2

	* Shohei YOSHIDA: 51254: Completion/Unix/Command/_ruby:
	Add irb completion for version 1.6.2

	* Shohei YOSHIDA: 51253: Completion/Unix/Command/_ruby:
	Update ruby completion for version 3.2.0

	* Shohei YOSHIDA: 51233: Completion/Unix/Command/_gcc:
	Update sanitizer list to GCC 12

2022-12-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Daniel: 51249: Completion/Unix/Command/_tar: copy
	--force-local option as needed for file names.

2022-12-16  Oliver Kiddle  <opk@zsh.org>

	* 51214: Doc/Zsh/builtins.yo, Src/builtin.c, Test/B04read.ztst,
	Test/D07multibyte.ztst: with read -d and a delimiter that can't be
	decoded into a character terminate input at the raw byte value

	* Jun T.: 51207: Src/builtin.c, Test/B04read.ztst:
	fix for read -d when the delimiter is a byte >= 0x80

	* 51212: Etc/zsh-development-guide, Src/Modules/curses.c,
	Src/Modules/stat.c, Src/Modules/zftp.c, Src/Modules/zpty.c,
	Src/Modules/zutil.c, Src/Zle/compcore.c, Src/Zle/complete.c,
	Src/Zle/complist.c, Src/Zle/zle.h, Src/Zle/zle_keymap.c,
	Src/Zle/zle_main.c, Src/Zle/zle_thingy.c, Src/Zle/zle_utils.c,
	Src/builtin.c, Src/exec.c, Src/glob.c, Src/hist.c, Src/init.c,
	Src/input.c, Src/lex.c, Src/math.c, Src/module.c, Src/params.c,
	Src/parse.c, Src/pattern.c, Src/prompt.c, Src/sort.c, Src/subst.c,
	Src/utils.c, Src/zsh.h, Src/ztype.h, configure.ac: remove STOUC()
	macro which served as a workaround for ancient compilers where
	casts to unsigned char were broken

	* 51215: Src/Zle/zle_keymap.c, Test/X03zlebindkey.ztst,
	Test/X02zlevi.ztst: consume whole CSI sequences from the input
	even where they aren't explicitly bound

2022-12-15  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Src/zsh.h: Follow-up to the last commit: Fix a typo
	in a comment.

	* unposted: Src/zsh.h: lextok: Add an explanatory comment with
	a cross-reference.

2022-12-13  Bart Schaefer  <schaefer@zsh.org>

	* 51210: Src/exec.c: Clear errflag before calling EXIT trap,
	otherwise the trap is skipped for special-case errors in builtins

	* Philippe Altherr: 51198: Doc/Zsh/options.yo: Clarify and expand
	ERR_EXIT and ERR_RETURN documentation to include updated behavior

	* Philippe Altherr: 51193: NEWS, README: Discuss ERR_EXIT changes

2022-12-12  Peter Stephenson  <p.stephenson@samsung.com>

	* 51134: Src/exec.c, Test/A01grammar.ztst: ! return doesn't
	affect return status, only the (now irrelevant) local status
	within the returning function.

	* 51134: Doc/Zsh/options.yo: document interactions between
	ERR_EXIT and ERR_RETURN and interactive shells.

2022-12-09  Bart Schaefer  <schaefer@zsh.org>

	* 51161: Src/exec.c: correct errno after closing xtrace FD

	* Shohei YOSHIDA: 51111: Completion/Unix/Command/_global:
	update completion for global to version 6.6.8

	* 51047: Completion/Unix/Type/_canonical_paths: fix quoting
	of completion matches when _canonical_paths -N option is used

2022-12-09  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 51144, 51146:
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git: vcs_info git:
	stg: Extract patch descriptions

2022-12-08  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 51142: Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	vcs_info git: Check the get-unapplied style as documented

2022-12-08  Peter Grayson  <pete@jpgrayson.net>

	* 51138: Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	Updated StGit patch detection in vcs_info

2022-12-06  Bart Schaefer  <schaefer@zsh.org>

	* Shohei YOSHIDA: 51108: Completion/Unix/Command/_nkf: single
	letter forms of Shift-JIS / EUC-JP options were reversed

	* Atte Peltomäki: 51088: Functions/Misc/colors: typo in comment

2022-12-03  Bart Schaefer  <schaefer@zsh.org>

	* Philippe Altherr: 51094: Src/exec.c, Src/loop.c: consistent
	use of bit-manipulation for noerrexit flag value changes

	* Philippe Altherr: 51098: Src/exec.c, Src/loop.c, Src/zsh.h:
	remove unreachable NOERREXIT_UNTIL_EXEC code and effects

	* Philippe Altherr: 51076: Src/exec.c, Test/C03traps.ztst: fix
	ERR_EXIT when used with "eval" or "source"; documentary comments

	* Philippe Altherr: 51071: Src/exec.c, Test/C03traps.ztst: fix
	ERR_RETURN when a function using && / || is called within another
	statement using && / ||

	* Philippe Altherr: 51001: Src/exec.c, Src/loop.c,
	Test/C03traps.ztst: adjust handling of ERR_EXIT to more closely
	align with POSIX and with other shells; add corresponding tests

2022-12-02  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 51080: Src/glob.c: allow multibyte characters in glob qualifier
	(u:uname:)

	* 51079: Src/params.c, Test/D06subscript.ztst: metafy sep in the
	array subscript flag (s:sep:) so that sep can contain \0 etc.

2022-11-23  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted (cf. 51016): Test/C01arith.ztst: Add a test case
	for underscore-followed-by-digits in math context.

2022-11-17  Oliver Kiddle  <opk@zsh.org>

	* unposted (c.f. Norikatsu Shigemura: github #96):
	Completion/Unix/Command/_cut: add missing local declaration

	* github #87: Matt Koscica: Completion/Unix/Command/_tmux:
	update options tmux 3.4

	* github #95: Wu Zhenyu: Completion/Unix/Command/_mutt:
	Add completions for neomutt

	* unposted (c.f. Denis Bitouzé: users/28405):
	Completion/Unix/Command/_tex: handle also lualatex

	* 50934: Doc/Zsh/zle.yo, Src/Zle/zle.h, Src/Zle/zle_utils.c,
	Src/Zle/zle_vi.c: use OSC 52 escape sequence when copying to
	"* or "+ vi buffers

2022-11-09  Bart Schaefer  <schaefer@zsh.org>

	* 50928: Test/C03traps.ztst: scoping of ERR_RETURN in test
	(most of this patch was not retained)

	* 50922: Src/exec.c, Src/jobs.c: fix additional cases of signals
	for current shell jobs on the right of a pipeline.  Backs out
	part of 50874.

2022-11-08  Peter Stephenson  <p.stephenson@samsung.com>

	* users/28338: Src/lex.c, Test/D08cmdsubst.ztst: edge case of an
	edge case in command expansion of alias.

2022-11-06  Bart Schaefer  <schaefer@zsh.org>

	* 50874: Src/jobs.c: fix handling of tty signals for jobs in
	the current shell when waiting for the right side of a pipeline.

2022-11-02  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 50851: Doc/Zsh/options.yo, Src/exec.c, Src/options.c: restore
	state (such as typtab) when returning from a function with
	localoptions (but do not take care of EMACS/VI options).

2022-10-31  Bart Schaefer  <schaefer@zsh.org>

	* 50855: Doc/Zsh/builtins.yo, Doc/Zsh/params.yo: Clarify how
	commands are hashed, and searched-for by "whence".

2022-10-31  Peter Grayson  <pete@jpgrayson.net>

	* 50844: Completion/Unix/Command/_stgit: Remove _stgit completion
	script

2022-10-25  Axel Beckert  <abe@deuxchevaux.org.org>

	* 50840: Doc/Zsh/grammar.yo: Correct NO_MATCH to NOMATCH.

2022-10-23  Bart Schaefer  <schaefer@zsh.org>

	* users/28243: Doc/Zsh/builtins.yo: update "typeset +" doc

2022-10-22  Bart Schaefer  <schaefer@zsh.org>

	* 50714: Completion/Unix/Command/_git (_git-diff): also complete
	in the 2nd argument position anything that could be in the 1st.

2022-10-17  Peter Stephenson  <p.stephenson@samsung.com>

	* 50786: Functions/Misc/add-zle-hook-widget: make match
	etc. local when used in styles.

2022-10-17  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* Wesley Schwengle: 50736: Src/Zle/compmatch.c: silence
	use-after-free waring (gcc-12.2)

2022-09-29  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 50671: Util/ztst-syntax.vim: enable spell check in *.ztst

2022-09-28  Eric Cook  <llua@gmx.com>
	* Bart Schaefer: 50399: Completion/Base/Widget/_complete_debug
	Properly local scope PS4 change

	* 50695: Completion/Unix/Command/_mysql_utils add --protocol
	option

2022-09-27  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 50668: Src/utils.c, Test/D09brace.ztst: treat 8bit characters
	in charcter range correctly when multibyte is unset

2022-09-26  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 50662: Test/ztst.zsh: unset LC_* for all the tests

	* 50658 + test: Src/Modules/pcre.c, Test/V07pcre.ztst: Enable to
	switch between C/UTF-8 locales in PCRE

2022-09-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 50648: Functions/Misc/zcalc: Julian Prein: Use ZCALC_HISTFILE
	where defined for zcalc history.

2022-09-21  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* Nicholas Vinson: 50641: aczsh.m4, configure.ac: use 'int main()'
	in test C-codes in configure

2022-09-15  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 50629: Test/D07multibyte.ztst, Test/E01options.ztst,
	Test/V07pcre.ztst, Test/X02zlevi.ztst, Test/X03zlebindkey.ztst,
	Test/Y01completion.ztst, Test/ztst.zsh: do not use egrep in tests

2022-08-28  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Completion/Unix/Command/_imagemagick: Add *.svg
	and *.webp files.

2022-08-05  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* Felipe Contreras: 50435+50436 (+50444):
	Completion/Unix/Command/_make: do not actually build anything.
	Also include some performance improvements.

2022-07-24  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 50421: Completion/Zsh/Context/_redirect: add missing context
	as the 1st argument to _dispatch

	* 50418: Src/zsh_system.h, configure.ac: use setenv(3)/getenv(3)
	on newer macOS

2022-07-16  Bart Schaefer  <schaefer@zsh.org>

	* users/27852: Completion/Unix/Command/_python: Make a local copy
	of $_compskip to avoid propagating outward any changes by _normal

2022-06-21  Bart Schaefer  <schaefer@zsh.org>

	* 50379 (tweaked per 50380): Src/jobs.c: fix off-by-one
	side-effect of workers/49906 that broke $(jobs -l)

	* 50368: Src/Modules/db_gdbm.c: adjust bitflags so local copies of
	variables cannot mess with database file contents

2022-06-16  Peter Stephenson  <p.stephenson@samsung.com>

	* 50372: Etc/FAQ.yo: remove redundant references from days of
	Usenet posting.

2022-06-14  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 50365: Etc/FAQ.yo: fix indent in FAQ (text version)

2022-06-11  Bart Schaefer  <schaefer@zsh.org>

	* 50355: Doc/Zsh/mod_system.yo, Src/Modules/system.c: make return
	status values of sysopen consistent with other sys* functions,
	make ERRNO values consistent for all, and update documentation

2022-06-11  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 50356: Etc/FAQ.yo: work around a yodl bug (mishandling of \'e)

2022-06-09  Bart Schaefer  <schaefer@zsh.org>

	* 50363: Src/Modules/param_private.c: avoid use of heap memory
	that depends on parameter scoping

2022-06-09  Matthew Martin <phy1729@gmail.com>

	* 50359: Src/builtin.c: fix bad sticky-emulation in "functions -c"

2022-06-09  Bart Schaefer  <schaefer@zsh.org>

	* 50351: Src/builtin.c: "functions -c" can set signal traps

2022-06-09  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 50342: Src/jobs.c, Test/A05execution.ztst: fix test added by
	50306

2022-06-08  Bart Schaefer  <schaefer@zsh.org>

	* 50341: Src/parse.c: disallow here-doc markers containing newline

	* 50335: Functions/Misc/zargs: simplify "wait" usage, fix signal
	handling for functions used as the command.

2022-06-07  Peter Stephenson  <p.stephenson@samsung.com>

	* 50339: Doc/Zsh/options.yo, Src/text.c, Test/C04funcdef.ztst:
	Make multiple function output safer with NO_MULTI_FUNC_DEF and
	document exceptions to errors raised by MULTI_FUNC_DEF.

2022-06-04  Bart Schaefer  <schaefer@zsh.org>

	* 50323: Completion/Base/Utility/_shadow (new file),
	Completion/Base/Widget/_complete_help, Functions/Zle/keeper:
	create helper for shadowing builtins or existing functions and
	use it when redefining compadd et al.

2022-06-03  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 50306: Src/jobs.c, Src/signals.c, Test/A05execution.ztst: fix
	wait builtin for child that has been stopped and continued.

2022-06-02  Bart Schaefer  <schaefer@zsh.org>

	* 50325: Src/Zle/compmatch.c, Src/Zle/computil.c: revert 38150 and
	fix in calling function cfp_matcher_range() instead

2022-05-30  Bart Schaefer  <schaefer@zsh.org>

	* Marlon Richert: 50307 (cf. PWS 50205):
	Completion/Zsh/Type/_suffix_alias_files: suffix aliases should not
	collide	with directory names when completing

2022-05-26  Peter Stephenson  <p.stephenson@samsung.com>

	* 50287: configure.ac: Turn on use of getcwd by default.  Leave
	the ability to turn it off per OS configuration.

	* 50286: Functions/Misc/zed: avoid error if nounset is in effect.

2022-05-25  Norbert Lange  <nolange79@gmail.com>

	* github #94: Completion/Linux/Command/_modutils: Support .zst
	kernel modules with modutils.

	* github #93: Completion/Linux/Command/_btrfs,
	Completion/Linux/Command/_fusermount,
	Completion/Unix/Type/_umountable: Replace /etc/mtab with
	/proc/self/mounts for Linux.

2022-05-22  Bart Schaefer  <schaefer@zsh.org>

	* 50278: Completion/Unix/Command/_man: use `man -w` in preference
	to `manpath` for portability; fix caching and precedence of -M

2022-05-20  Arvid Norlander  <VorpalBlade@users.noreply.github.com>

	* github #91: Completion/Unix/Command/_find: _find
	(gnu/freebsd/darwin): Add some flags and syntaxes

2022-05-14  Bart Schaefer  <schaefer@zsh.org>

	* 50229: NEWS: Typo

	* Jan Brieg: 50212 (and discussion): Functions/Misc/colors: Add
	"bright" color variants

2022-05-15  Axel Beckert  <abe@deuxchevaux.org>

	* 50220: Doc/Zsh/{builtins,options}.yo: Fix typos found by
	Debian's Lintian tool.

2022-05-14  dana  <dana@dana.is>

	* unposted: Config/version.mk: Post-release version bump

	* unposted: Config/version.mk: Update for 5.9

2022-05-11  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 50192: Src/openssh_bsd_setres_id.c: use set{u,g}id() instead of
	setre{u,g}id() for dropping privilege on NetBSD

2022-05-08  dana  <dana@dana.is>

	* 50176 (with xpufx, tweaked): Completion/Linux/Command/_htop:
	Improve htop completion

2022-05-07  Bart Schaefer  <schaefer@zsh.org>

	* 50184: Completion/Base/Utility/_values: fix inclusion of -S
	separator in -r options passed to compadd through _describe

	* Marlon Richert: 49954: Completion/Unix/Command/_gradle: improve
	handling of task names, subprojects, completion tags, and caching

	* unposted: Doc/Zsh/builtins.yo: cross-reference "typeset -f" for
	"functions -[Tt]"

2022-05-02  Bart Schaefer  <schaefer@zsh.org>

	* unposted (cf. Jun-ichi 50164): Test/E01options.ztst: add sleep
	after nullexec test to allow background process to flush writes
	(observed only on MacOS Monterey 12).

	* 50162: Test/D07multibyte.ztst: Tweak 50150 test to check proper
	metafication of array elements and to ignore collation variances

2022-05-01  Bart Schaefer  <schaefer@zsh.org>

	* 50160: Test/D03procsubst.ztst, Test/E01options.ztst: Regression
	tests for 50126, 50136, and 50149

	* 50159: Test/V14system.ztst: Tests for sysread

	* 50157 (Daniel Shahaf): Test/D07multibyte.ztst: Test for 50150

2022-05-01  dana  <dana@dana.is>

	* unposted: Config/version.mk: Update for 5.8.1.3-test (5.9)

	* unposted: Etc/creating-a-release.txt: Mention #zsh topic

2022-04-30  Bart Schaefer  <schaefer@zsh.org>

	* unposted: Etc/BUGS: remove debian #924736, fixed since 5.8 by
	workers/44142; correct misguided edit from earlier commit

	* unposted: Doc/Zsh/expn.yo, NEWS: Details about ${(*)...}

	* 50150: Src/Modules/stat.c: Filenames need unmetafy for printing

	* 50149: Etc/BUGS, Src/builtin.c, Src/jobs.c: Remove all =(...)
	files at shell exit

2022-04-29  Bart Schaefer  <schaefer@zsh.org>

	* 50136: Etc/BUGS, Src/exec.c: Fix =(nosuchcommand) race/deadlock
	first reported in workers/42609

	* 50134: Src/jobs.c: Tweak process group handling (workers/43409)
	to avoid creating "unkillable" pipelines that ignore signals

	* unposted: Etc/BUGS: Details about STTY; consistency nit

2022-04-28  Bart Schaefer  <schaefer@zsh.org>

	* 50138: Doc/Zsh/params.yo:  Note ERRNO must be set before use.

	* 50133 (Bart, PWS, Jun-ichi): Src/input.c, configure.ac: when
	lseek(2) is available, use it to check for and rewind read-ahead
	for more efficient line-buffered input.

	* 50126: Etc/BUGS, Src/exec.c: Fix multios in current-shell "exec"

	* 50101: Src/Modules/system.c: sysread -o with param matches doc

2022-04-26  dana  <dana@dana.is>

	* unposted: Completion/Unix/Command/_getopt: Fix util-linux
	variant detection

	* unposted: NEWS: Adjust dedication wording

2022-04-26  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 50089: Test/X03zlebindkey.ztst: unset LC_* for multibyte tests

2022-04-12  Peter Stephenson  <p.stephenson@samsung.com>

	* 50049: Src/exec.c, Src/prompt.c: care with signed character
	indices on the few remaining systems such as Cygwin that aren't
	otherwise protected.

2022-04-20  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 50081: Src/pattern.c, Src/params.c: reset global mbstate_t
	variables when LC_CTYPE changes

	* 50080: Src/hist.c: add missing STOUC() in casemodify()

2022-04-19  Bart Schaefer  <schaefer@zsh.org>

	* unposted (cf. users/27656 (Tomasz Pala), users/27660):
	Completion/Unix/Type/_path_files: fix $SUFFIX when GLOB_COMPLETE

2022-04-14  Bart Schaefer  <schaefer@zsh.org>

	* 50069: Test/C03traps.ztst: fix test description

	* 50068: Etc/BUGS, Src/builtin.c, Test/C03traps.ztst: 'exit' in
	trap causes calling function to return (fixes workers/44007)

2022-04-14  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 50052: Test/V14system.ztst: do nothing when skipping the test

	* 50046: Test/ztst.zsh: export LANG to child zsh

2022-04-12  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 50013: Test/P01privileged.ztst, Test/ztst.zsh: skip %test if
	a chunk in %prep returns nonzero

	* 49996 (Peter) + 50012: Test/README, Test/ztst.zsh: add
	ZTST_continue to continue tests after a failure

	* 50017: Completion/Unix/Type/_time_zone: allow lowercase to
	match with uppercase

2022-04-11  Bart Schaefer  <schaefer@zsh.org>

	* 50043: Test/D02glob.ztst, Test/E03posix.ztst: for root user,
	skip glob tests	that rely on limited privilege and fix EUID test

2022-04-11  Mikael Magnusson  <mikachu@gmail.com>

	* 50042: Src/Zle/compcore.c: Another fix for 49915

2022-04-10  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: NEWS: Improve flow between the paragraph and
	its links.

2022-04-09  dana  <dana@dana.is>

	* unposted: Config/version.mk, Etc/FAQ.yo: Update for
	5.8.1.2-test (5.9)

	* 49958: NEWS: Dedicate zsh 5.9 to Sven Guckes

	* 49958, (tweaked per 50019): NEWS, README: Add missing
	changes, update for zsh 5.9

2022-04-06  Matthew Martin  <phy1729@gmail.com>

	* 49960: Doc/Zsh/compsys.yo: Sort lists in zshcompsys.

2022-04-05  Bart Schaefer  <schaefer@zsh.org>

	* 49994: Src/glob.c: Single-byte equivalence of users/22601 and
	workers/40891 for matching against zero-length strings

2022-04-05  Peter Stephenson  <p.stephenson@samsung.com>

	* 49989:  Src/Zle/compresult.c, Src/utils.c, Src/zsh.h: Align
	"nice" printing for single byte compilation with multibyte.

2022-04-04  Bart Schaefer  <schaefer@zsh.org>

	* 49992: Src/utils.c: further unify single- and multi-byte
	implementations of nicechar() to fix ${(V)...} output format

	* 49991: Src/glob.c, Src/utils.c: single-byte brace expansion
	handles $'\0' and control character output aligns with multibyte

	* 49990: Src/hist.c: in single-byte, like multibyte, casemodify()
	avoids metafying characters that it otherwise did not touch

2022-04-03  Bart Schaefer  <schaefer@zsh.org>

	* 49955 (with thanks to Madhu <enometh@meer.net>): Src/glob.c:
	fix bad free in incremental-pattern-search matching (observed
	only when compiled without MULTIBYTE support)

2022-04-03  Mikael Magnusson  <mikachu@gmail.com>

	* 49959: Completion/Zsh/Context/_brace_parameter:
	_brace_parameter: add (-)

	* 49957: Src/Zle/compcore.c: Brown paper bag for 49915

	* 49961: Completion/Unix/Command/_adb: _adb: handle exec-out
	like shell

	* 49962: Completion/Unix/Command/_adb: _adb: Add dumpsys and
	cmd completion

	* 49963: Completion/Unix/Command/_adb: _adb: Fix device serial
	completion for hostname:port syntax

	* 49964: Completion/Unix/Command/_adb: _adb: Complete services
	for start/stop

	* 49965: Completion/Unix/Command/_adb: _adb: use $CURRENT instead
	of $#words

	* 49966: Completion/Unix/Command/_adb: _adb: Parse device spec
	correctly

	* 49967: Completion/Unix/Command/_adb: _adb: Handle dumpsys
	SurfaceFlinger arguments

	* 49968: Completion/Unix/Command/_adb: _adb: also replace model
	names, since device names aren't sent on wifi listing

2022-04-02  dana  <dana@dana.is>

	* unposted (see 48073): Completion/Zsh/Command/_fc: Complete
	new -s option

	* unposted (see security/107): Etc/creating-a-release.txt:
	Normalise white space, clarify some steps

2022-04-01  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 49943: Completion/Unix/Type/_time_zone: offer only filenames
	starting with an uppercase letter

2022-03-31  Matthew Martin  <phy1729@gmail.com>

	* unposted: Completion/BSD/Command/_rcctl: Fix typo.

	* github #88: elig0n: Doc/Zsh/func.yo: Fix typo.

	* 49933: Doc/Zsh/mod_system.yo, Src/Modules/system.c: Add
	nonblock to sysopen.

	* 49932: Completion/Zsh/Context/_brace_parameter: Update
	_brace_parameter # description.

	* 49931: Completion/BSD/Command/_bsd_pkg: Update _bsd_pkg.

	* 49907: Etc/completion-style-guide: Mention _numbers in
	completion guide.

2022-03-31  Peter Stephenson  <p.stephenson@samsung.com>

	* 27639: Doc/Zsh/expn.yo: clarify that ${(#)...} deals with
	character codes.

2022-03-30  Peter Stephenson  <p.stephenson@samsung.com>

	* 49906 (Bart), 49911: Doc/Zsh/builtins.yo,
	Doc/Zsh/mod_parameter.yo, Src/exec.c, Src/jobs.c,
	Test/W03jobparameters.ztst: Fix querying jobs in subshell.
	Don't query invalid job at end, if background job started in
	subshell query jobs in subshell instead of main shell.

2022-03-30  Mikael Magnusson  <mikachu@gmail.com>

	* 49893: Src/Zle/comp.h, Src/Zle/compcore.c: Fix comments for
	UNIQCON/ALL

	* 49915: Src/Zle/comp.h, Src/Zle/compcore.c: Efficient dedup
	for unsorted completions

	* 49870: Src/glob.c: Fix NULL reference in match code more

	* 49813: Doc/Zsh/redirect.yo, Src/exec.c: <<<: Document newline
	behavior and fix optimization

	* 49820: Src/Zle/compresult.c: Fix a crash when completing with
	combination of -Q and braces

2022-03-30  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 49910: Test/D07multibyte.ztst, Test/E03posix.ztst: move
	multibyte-related incompatibility with POSIX from E03 to D07

	* 49908: Test/ztst.zsh: reset LC_CTYPE to C during tests.

2022-03-29  Bart Schaefer  <schaefer@zsh.org>

	* 49918: NEWS, README: Update for 49917 and 49911.

	* 49917: Completion/compinit, Doc/Zsh/compsys.yo: change sense
	of "Ignore insecure ..." answer to ignore the files rather than
	ignore the problem.  Use "autoload -r" for autoload paths.

2022-03-29  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 49853 + 49882/49883: Src/subst.c, Test/D04parameter.ztst: make
	"${array[*]:offset:length}" compatible with ksh/bash

2022-03-28  Bart Schaefer  <schaefer@zsh.org>

	* 49897: Functions/Misc/zargs: Eliminate reliance on $jobstates
	parameter, fix -P exit status check.

2022-03-28  Peter Stephenson  <p.stephenson@samsung.com>

	* 49890: Src/Zle/zle_utils.c: best not to look at unallocated
	memory in saved command line.

2022-03-24  Peter Stephenson  <p.stephenson@samsung.com>

	* 49875: Completion/Unix/Command/_texinfo: info -f completes
	both info pages by search and (if there's a slash present) local
	files.  Not all versions of info seem to need the slash, however.

	* 49845: Doc/Zsh/options.yo: clarify that options can be local
	in function scope.

2022-03-18  Matthew Martin  <phy1729@gmail.com>

	* 49852: Completion/BSD/Command/_pfctl,
	Completion/BSD/Type/_routing_domains,
	Completion/BSD/Type/_routing_tables,
	Completion/Unix/Command/_arp, Completion/Unix/Command/_netstat,
	Completion/Unix/Command/_pgrep, Completion/Unix/Command/_ping,
	Completion/Unix/Command/_route, Completion/Unix/Command/_top:
	Add _routing_domains and _routing_tables types.

	* 49851: Completion/BSD/Type/_login_classes: Complete
	login.conf.d classes.

2022-03-13  Bart Schaefer  <schaefer@zsh.org>

	* 49844: Doc/Zsh/expn.yo, Doc/Zsh/zle.yo: Fix node reference
	errors from 49446 and 49448.

2022-03-08  Mikael Magnusson  <mikachu@gmail.com>

	* 49773: Functions/Prompts/promptinit: promptinit: only exclude
	current theme from preview if no arguments are given

2022-03-06  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 49802 (+ 49804:Daniel): Test/W03jobparameters.ztst: pass
	MODULE_PATH to the zsh started by zpty

2022-03-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 49792: Src/input.c, Test/A01grammar.ztst: Use line buffering
	for non-interactive input.

	* 49787: Test/W02jobs.ztst, Test/W03jobparameters.ztst: test for
	jobs fix in 49783.

2022-03-01  Peter Stephenson  <p.stephenson@samsung.com>

	* 49783: Src/jobs.c, Src/Modules/parameter.c: Consistently use
	old job table in parameter module.

	* users/27536: Doc/Zsh/builtins.yo: Clarify interaction of
	history matching and numeric indices.

2022-02-23  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 49766: Completion/Unix/Command/_less: add quotes to -" and -#

	* 49765: Completion/Unix/Command/_less: add option --color
	as synonym for -D

2022-02-22  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Doc/Zsh/contrib.yo, Src/Modules/parameter.c,
	Src/string.c, Src/zsh.h: Fix some typos and markup.

2022-02-22  Peter Stephenson  <p.stephenson@samsung.com>

	* 49672: Doc/Zsh/expn.yo: document "tied" output in parameter
	(t) output.

2022-02-22  Mikael Magnusson  <mikachu@gmail.com>

	* 49769: Doc/Zsh/mod_stat.yo: Mention how to show nanosecond
	precision

2022-02-20  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 49728: Functions/VCS_Info/Backends/VCS_INFO_get_data_hg:
	vcs_info hg mq: Don't include applied patches in the unapplied
	patches

	* 49727 (+ comment): Doc/Zsh/contrib.yo,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_hg,
	Functions/VCS_Info/VCS_INFO_quilt,
	Functions/VCS_Info/VCS_INFO_set-patch-format: vcs_info
	quilt: Pass the patches dir path to the gen-applied-string,
	gen-unapplied-string, and set-patch-format hooks

	* unposted: Functions/VCS_Info/Backends/VCS_INFO_get_data_hg:
	vcs_info hg mg (with get-unapplied set): Stop leaking a variable
	to global scope

2022-02-16  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 49757 (sourceforge #1): samcarter: Completion/Unix/Command/_tex:
	offer *.dtx as TeX input files

2022-02-15  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 49756 + 49758 (Daniel): Etc/FAQ.yo, Util/zyodl.vim: replace
	yodl macro LPAR() in FAQ.yo by SUBST(_LPAR_)

2022-02-13  Axel Beckert  <abe@deuxchevaux.org>

	* unposted: README: Fix underline length of "Incompatibilities
	between 5.5.1 and 5.6.2" headline. (Cosmetic fix)

2022-02-12  dana  <dana@dana.is>

	* unposted: Config/version.mk: Post-release version bump

	* unposted: Config/version.mk, Etc/FAQ.yo, README: Update
	for 5.8.1

	* Marc Cornellà: security/82 (tweaked):
	Functions/VCS_Info/VCS_INFO_formats: Fix typo in
	hook_com[base-name_orig] assignment

	* CVE-2021-45444: NEWS, README: Document preceding two changes

	* Marc Cornellà: security/89:
	Etc/CVE-2021-45444-VCS_Info-workaround.patch: Add patch which
	can optionally be used to work around recursive PROMPT_SUBST
	issue in VCS_Info

	* Oliver Kiddle: security/41: Src/prompt.c: Prevent recursive
	PROMPT_SUBST

2022-02-04  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 49730: Completion/Unix/Command/_csplit,
	Completion/Unix/Command/_pr, Completion/Unix/Command/_ptx,
	Completion/Unix/Command/_truncate: New completers

2022-02-02  Matthew Martin  <phy1729@gmail.com>

	* 49731: Completion/BSD/Command/_sysclean,
	Completion/BSD/Command/_sysmerge,
	Completion/BSD/Command/_syspatch,
	Completion/BSD/Command/_sysupgrade: Add completers

2022-01-30  Mikael Magnusson  <mikachu@gmail.com>

	* 49694 + doc: Doc/Zsh/builtins.yo, Doc/Zsh/params.yo, Src/exec.c:
	Allow using empty STTY= to freeze tty for a single command

2022-01-29  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Functions/VCS_Info/test-repo-git-rebase-apply,
	Functions/VCS_Info/test-repo-git-rebase-merge: vcs_info git:
	Teach the rebase-apply test case generator to also generate
	rebase-merge test cases

	* unposted: Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	vcs_info git: Add a missing guard against redefining a function.

	* unposted: Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	vcs_info git: Deconfuse $EDITOR

	* unposted: Functions/VCS_Info/VCS_INFO_patch2subject,
	Functions/VCS_Info/VCS_INFO_set-branch-format,
	Functions/VCS_Info/VCS_INFO_set-patch-format: vcs_info: Add
	Vim modelines

	* 49723: Functions/VCS_Info/VCS_INFO_quilt: vcs_info quilt:
	Use quilt-patch-dir and ${QUILT_PATCHES} even when get-unapplied
	hasn't been set

	* 49722: Functions/VCS_Info/VCS_INFO_quilt: vcs_info quilt:
	Refactor for readability. No functional change.

	* 49715: Completion/Unix/Command/_subversion: add: Complete
	target arguments to this subcommand

	* 49714: Completion/Unix/Command/_subversion: resolve: Complete
	conflicted files created by merges, too

	* 49713: Completion/Unix/Command/_subversion: commit, diff,
	revert: Update completions for svn 1.7 and newer

	* 49712: Completion/Unix/Command/_subversion: svn rm: Complete
	all svn-controlled files, not only missing/deleted files

	* 49711: Completion/Unix/Command/_subversion: _svn_status:
	Don't offer unversioned files

2022-01-27  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Doc/Zsh/contrib.yo: vcs_info quilt docs: Fix
	misspelled style name

	* unposted: Functions/VCS_Info/VCS_INFO_quilt: vcs_info quilt:
	Remove a no-op variable assignment

2022-01-25  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 49709: Functions/VCS_Info/Backends/VCS_INFO_get_data_hg:
	vcs_info hg: Keep $HGPLAIN set for hooks if it had been set
	outside vcs_info

2022-01-23  Andreas Schneider  <asn@cryptomilk.org>

	* gitlab !17: Completion/Unix/Command/_quilt: Add missing
	options for quilt setup command

2022-01-01  Bart Schaefer  <schaefer@zsh.org>

	* Matt Alexander: 49667: Functions/Misc/colors: include "gray"

2021-12-29  Oliver Kiddle  <opk@zsh.org>

	* Aaron Schrab: 49664: Completion/Unix/Command/_git:
	Use associative array for third-party completion

	* 49668: Completion/Unix/Command/_zfs,
	Completion/Unix/Type/_zfs_dataset: update zfs completion

2021-12-24  Bart Schaefer  <schaefer@zsh.org>

	* m0viefreak: 38150: Src/Zle/compmatch.c: fix off-by-one error
	in matcher spec parsing

2021-12-21  Peter Stephenson  <p.stephenson@samsung.com>

	* 49658: Src/glob.c: Remove erroneous use of NULL pointer for
	replacement pattern match.

2021-12-21  Oliver Kiddle  <opk@zsh.org>

	* 49655 based on 34928 (Daniel Hahler):
	Completion/Unix/Command/_pip: new pip completion

2021-12-16  Oliver Kiddle  <opk@zsh.org>

	* 49653: Src/Zle/computil.c: fix array indexing issue introduced
	with 49518 due to using decimal rather than hex 20

	* 49648 based on github #80 (Vincent Bernat):
	Completion/Unix/Command/_find, Completion/Zsh/Type/_globquals:
	invert before/since for date glob qualifiers completion

2021-12-14  Oliver Kiddle  <opk@zsh.org>

	* 49518: Src/Zle/computil.c, Etc/BUGS, Test/Y03arguments.ztst:
	fix exclusions for mixed - and + stacked options

2021-12-13  Oliver Kiddle  <opk@zsh.org>

	* 49646: Doc/Zsh/mod_watch.yo, Src/Modules/watch.c, Src/prompt.c:
	allow colors in WATCHFMT with %F/%K

	* 49645: Completion/Unix/Type/_path_commands: when completing for
	the path_dirs option, add a / suffix and follow symlinks

	* 49643: Completion/Zsh/Type/_command_names: facilitate use
	of the fake style by always calling _description with the
	executables tag

	* 49634, reported by Claes Nästén: configure.ac: revert 28989,
	defining _POSIX_C_SOURCE caused issues on Solaris 10 but
	doesn't seem to be needed for musl anymore

2021-12-07  Oliver Kiddle  <opk@zsh.org>

	* 49633: Completion/Unix/Command/_git: update options for git 2.34

2021-12-02  Oliver Kiddle  <opk@zsh.org>

	* 49630: Completion/bashcompinit: allow zsh to quote matches but
	include a special case for space suffixes

	* 49631: Completion/Unix/Command/_logger: new logger completion

	* 49629: Completion/Linux/Command/_perf: new Linux perf completion

2021-12-01  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 49628: Test/D01prompt.ztst: Add an xfail test for RPS1/RPROMPT
	equivalence.

	* 49624: Test/E03posix.ztst: Expect the test 'All identifiers
	are variable references in POSIX arithmetic' to pass, as it
	has been passing since 49611.

	* unposted: Doc/Zsh/zle.yo, Doc/ztexi.yo: Add whitespace and
	comments.  No functional change.

	* 49621: Doc/Zsh/manual.yo, Doc/Zsh/zle.yo: Fix the info Doc
	build, broken in 49448.

2021-11-30  Oliver Kiddle  <opk@zsh.org>

	* 49612: Src/module.c: avoid startup error with clashing non-local
	module parameter name

	* 49611 based on 49590 (Martijn Dekker): Src/math.c: disable Inf
	and NaN in math expressions for sh emulation

2021-11-28  Oliver Kiddle  <opk@zsh.org>

	* 49606: Src/hashnameddir.c, Src/utils.c, configure.ac: remove old
	NIS-specific code for retrieving user data

	* 49602: Src/params.c: only set LOGCHECK from the watch module

	* 49601: Src/hist.c, Test/W01history.ztst: don't create
	ambiguous history file entries for lines ending with a backslash

2021-11-26  Paul Seyfert  <Paul.Seyfert@sevensense.ch>

	* github #83: Completion/Unix/Command/_git: _git-push,
	_git-send-pack: Make --push-option repeatable.

2021-11-26  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 49448: Doc/Zsh/contrib.yo, Doc/Zsh/zle.yo: docs: Fix pointers
	to the `Widgets', `User-defined Widgets', and `Standard Widgets'
	sections.

	* 49447: Doc/Zsh/compsys.yo: docs: _wanted: Clarify the example
	and point to another one.

	* 49446: Doc/Zsh/expn.yo: docs: Add texinode()s, so the next
	commit can link directly to a subsection.

	* 49445: Doc/Zsh/calsys.yo, Doc/Zsh/contrib.yo, Doc/Zsh/expn.yo,
	Doc/Zsh/intro.yo, Doc/Zsh/jobs.yo, Doc/Zsh/mod_newuser.yo,
	Doc/Zsh/options.yo, Doc/Zsh/params.yo, Doc/Zsh/roadmap.yo,
	Doc/Zsh/zle.yo: docs: Clean up some subsection references.

	* 49449: Completion/Unix/Command/_stat: _zstat: Don't offer -o
	after -s, since -s is ignored when both -s and -o are specified.

	* 47599 (tweaked): New test for '{foo,bar}' in command position

2021-11-24  Oliver Kiddle  <opk@zsh.org>

	* 49597: Completion/Base/Core/_description, Doc/Zsh/compsys.yo,
	Completion/Base/Utility/_numbers, Completion/BSD/Command/_ipfw,
	Completion/Linux/Command/_btrfs, Completion/Unix/Command/_dd,
	Completion/Unix/Command/_git, Completion/Unix/Command/_head,
	Completion/Unix/Command/_killall, Completion/Unix/Command/_pv,
	Completion/Unix/Command/_rclone, Completion/Unix/Command/_rsync,
	Completion/Unix/Command/_stdbuf, Completion/Unix/Command/_tail,
	Completion/Unix/Command/_timeout, Completion/Unix/Command/_zfs,
	Completion/X/Command/_xset: add a helper for completing numbers
	with unit suffixes and separate out defaults, ranges and units
	in completion descriptions

2021-11-22  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 49586: Src/hist.c: fix :a and :A modifiers (with PWD="/") on
	Cygwin

2021-11-19  Oliver Kiddle  <opk@zsh.org>

	* 49594: Completion/Unix/Command/_chmod: adapt to changes in 49499
	to ensure file modes starting with dash aren't taken to be flags

	* 49584: Completion/Unix/Command/_gem: allow for build options
	in gem install completion

	* Arseny Maslennikov: 49575: Doc/Zsh/compsys.yo:
	clarify _alternative's action syntax

2021-11-15  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 49563: Src/Modules/watch.c: fix build problem of watch module
	on Cygwin

2021-11-12  Oliver Kiddle  <opk@zsh.org>

	* github #82: Dimitris Apostolou: Completion/BSD/Command/_kdump,
	Completion/Redhat/Command/_dnf, Completion/BSD/Command/_ktrace,
	Completion/Linux/Command/_modutils, Test/A01grammar.ztst,
	Completion/Linux/Command/_sysstat, Functions/Chpwd/cdr,
	Completion/Unix/Command/_ansible, Completion/Unix/Command/_gcc,
	Completion/Mandriva/Command/_urpmi, Etc/NEWS-4.3,
	Completion/Debian/Command/_aptitude, Etc/FAQ.yo,
	Functions/Newuser/zsh-newuser-install, NEWS,
	Functions/Misc/regexp-replace, Src/Zle/compmatch.c,
	Src/exec.c, Src/math.c, Test/B12limit.ztst: fix typos

	* Marlon: 49572: Completion/Base/Completer/_expand,
	Test/Y01completion.ztst: Let _expand preserve array form w/out
	zstyle glob

	* unposted: Completion/Unix/Command/_ansible: fix case statement
	fall-through for ansible-galaxy role completion

	* 49566: Doc/Zsh/compsys.yo: document the _default function

	* 49564: Completion/Unix/Type/_files, Doc/Zsh/compsys.yo: always
	use descriptions included in the file-patterns style and allow
	the recursive-files style to also work in those cases

	* 49562: Doc/Zsh/compsys.yo: remove old documentation for
	other-files tag that was removed in 36165

	* 49561: Src/Modules/zutil.c, Doc/Zsh/mod_zutil.yo,
	Completion/Base/Core/_description, Completion/Base/Core/_message,
	Test/V13zformat.ztst: Add zformat -F option, similar to -f but
	ternary expressions check for existence instead of doing math
	evaluation. Make use of it with the format style.

2021-11-07  Oliver Kiddle  <opk@zsh.org>

	* 49544: Src/Modules/watch.c: only tie watch/WATCH if both come
	from the module

2021-11-02  Oliver Kiddle  <opk@zsh.org>

	* 49534, 49539: Doc/Makefile.in, Doc/Zsh/builtins.yo,
	Doc/Zsh/compat.yo, Doc/Zsh/mod_watch.yo, Doc/Zsh/params.yo,
	Src/Modules/watch.mdd, Src/builtin.c, Src/init.c, Src/params.c,
	Src/utils.c, Src/Modules/watch.c, Src/zsh.mdd: separate watch/log
	functionality out into a module

	* 49537: aczsh.m4, configure.ac: fix finding utmpx file on FreeBSD

2021-11-01  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 49535: Src/Zle/compcore.c: fix completion of parameter names
	for ${<TAB> and ${(a)<TAB>

2021-10-31  Bart Schaefer  <schaefer@zsh.org>

	* users/27302: Completion/Unix/Type/_remote_files: respect setting
	of AUTO_REMOVE_SLASH option

2021-10-30  Oliver Kiddle  <opk@zsh.org>

	* 49533: Src/utils.c: add null check for preprompt functions list
	that could occur following an error when loading a module

	* 49528: Src/Zle/comp.h, Src/Zle/compcore.c, Src/Zle/complete.c,
	Completion/X/Command/_xinput, Completion/Zsh/Command/_compadd,
	Doc/Zsh/compwid.yo: allow multiple -D options to compadd

	* unposted (c.f. Bart: 49531): Test/Y02compmatch.ztst: fix test

2021-10-27  Matthew Martin  <phy1729@gmail.com>

	* 49529: Completion/BSD/Command/_rcctl: Add rogue and
	descriptions to _rcctl ls.

2021-10-26  Oliver Kiddle  <opk@zsh.org>

	* Peter Palfrader: 49431 (tweaked, c.f. Bart: 49434):
	Completion/Unix/Type/_ssh_hosts: Faster ~/.ssh/config processing

	* Marlon: 49521: Doc/Zsh/compwid.yo, Test/Y02compmatch.ztst:
	Define correct behavior of || completion matchers

	* 49519: Completion/Base/Utility/_arguments,
	Completion/Darwin/Command/_qtplay, Completion/Unix/Command/_less,
	Completion/Unix/Command/_nm, Completion/Unix/Command/_php,
	Completion/Unix/Command/_strings, Completion/Unix/Command/_zip,
	Completion/X/Command/_gnome-gv: quote completed options as needed
	and remove the now superfluous quotes from option specifications

	* 49516: Src/Zle/compmatch.c: bail out early from matching
	control if command line content is too short for the coanchor

2021-10-24  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 49520: Etc/completion-style-guide: document $_args_cache_cmd

	* 49493: Completion/Base/Utility/_arguments: fix handling of
	optional argument of long option in help text

2021-10-23  Oliver Kiddle  <opk@zsh.org>

	* 49499 based on 49496 by Jun T.: Src/Zle/computil.c,
	Test/Y03arguments.ztst: fixes to option -A of _arguments

	* 49500: Completion/Linux/Command/_lsns: new completion

2021-10-16  dana  <dana@dana.is>

	* github #79 (tweaked): Xavier Hsinyuan:
	Completion/Unix/Command/_ssh: update options in apple's version
	of ssh-add

2021-10-13  Matthew Martin  <phy1729@gmail.com>

	* 49441: Completion/Unix/Command/_timeout: Add OpenBSD.

2021-10-11  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 49464: Completion/Linux/Command/_basenc: new completion

2021-10-05  Peter Stephenson  <p.stephenson@samsung.com>

	* 49433: Src/parse.c: Assuming EPROG references are bounded by
	function depth is incorrect as we have efficient function copy.

2021-10-04  Bart Schaefer  <schaefer@zsh.org>

	* 49456: Doc/Zsh/mod_private.yo, Doc/Zsh/params.yo,
	Src/Modules/param_private.c, Src/params.c, Test/V10private.ztst:
	clean up detection of private params in nested scopes, update doc

2021-09-28  Oliver Kiddle  <opk@zsh.org>

	* ivan tkachenko: 49440: Doc/Zsh/expn.yo: Make double-flag
	parameter expansion syntax more discoverable in docs

	* ivan tkachenko: 49435: Doc/Zsh/expn.yo: Remove trailing whitespace

	* Alex Xu: 49444: Completion/Unix/Type/_tar_archive:
	libarchive tar can actually extract much more formats

	* Marlon Richert: 49423: Completion/Unix/Command/_gradle:
	Add support for multi-project builds

	* 49454: Completion/compdump: open dump file once only instead
	of reopening it for appends

	* 49450: Src/Zle/compcore.c: don't display explanation with
	compadd -x if any of -D, -A or -O are also used

2021-09-26  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Doc/Zsh/contrib.yo, Doc/Zsh/mod_curses.yo,
	Doc/Zsh/mod_zselect.yo, Test/A05execution.ztst,
	Test/C04funcdef.ztst: Fix typos

2021-09-22  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 49422: Src/Modules/parameter.c, Src/hashnameddir.c, Src/options.c,
	Src/params.c, Src/utils.c: improve support of --disable-dynamic-nss

2021-09-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 49353: Src/exe.c, Test/A01grammar.ztst: In sourced file,
	always parse comments normally, ignoring INTERACTIVE_COMMENTS.

2021-09-08  Bart Schaefer  <schaefer@zsh.org>

	* 49391: Doc/Zsh/zle.yo: document default bracketed-paste bindings

	* 49389: Completion/Zsh/Command/_typeset: leading variables in
	autoload file completion

	* 49387: Src/Zle/zle_misc.c: suffix highlight with "compadd -R"

	* 49386: Test/Z03run-help.ztst: handle separate source/build trees

2021-09-08  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* unposted: Src/Modules/db_gdbm.c, Src/Modules/files.c,
	Src/Modules/nearcolor.c, Src/Zle/complete.c, Src/builtin.c:
	add/remove UNUSED() for some funtion parameters

	* unposted: Src/input.c: add 'static' to shinsavestack

	* 49377: Src/Zle/zle_keymap.c, Test/X03zlebindkey.ztst: fix
	segfault by 'bindkey -d' with reordered keymapnamtab

2021-09-06  Bart Schaefer  <schaefer@zsh.org>

	* Stephane Chazelas: 45180: Doc/Zsh/contrib.yo,
	Functions/Example/zpgrep, Functions/Misc/regexp-replace: clarify
	doc for POSIX EREs, fix an issue with PCRE when the replacement
	was empty or generated more than one element

	* zeurkous: 49154: Doc/Zsh/exec.yo: clarify status on exec failure

	* Marlon Richert: 49378: Src/parse.c: skip check for collision
	of aliases and functions when NO_EXEC

	* Marlon Richert: 49292: Src/Zle/complist.c: turn off colors
	before clearing to end of line

	* 49282: set $0 correctly when calling functions from hooks

	* 49266: fix segfault on metacharacters in long job texts

	* Marlon Richert: 49218: Functions/Misc/run-help,
	Functions/Misc/run-help-btrfs, Functions/Misc/run-help-git,
	Functions/Misc/run-help-ip, Functions/Misc/run-help-p4,
	Functions/Misc/run-help-svk, Functions/Misc/run-help-svn:
	run-help filters cmd_args before calling run-help-<command>

	* unposted (cf. 49202 and 49217): Src/Zle/zle_hist.c: insertlastword
	ignores blank/missing history entries when repeating

	* 49196: Src/Modules/db_gdbm.c: gdbm keys not present in the
	database appear unset in tied hashes

	* Marlon Richert: 48969: fix for "zle -N" completion

	* 48888: Doc/Zsh/mod_system.yo, Doc/Zsh/params.yo, Test/E03posix.ztst:
	improve doc for $$ and $PPID, add fail test for PPID readonly-ness

	* 48832: Completion/Unix/Command/_curl: try _gnu_generic first

2021-09-04  Oliver Kiddle  <opk@zsh.org>

	* Shohei YOSHIDA: 49343: Completion/Unix/Command/_md5sum:
	Fix file name completion of GNU digest utilities

	* 49345: Completion/Unix/Command/_git: fix git file completion
	for paths starting with ../

2021-08-29  Oliver Kiddle  <opk@zsh.org>

	* 49327: Completion/Unix/Command/_git: complete for new git
	maintenance, for-each-repo, sparse-checkout and bugreport commands

	* 49319: Completion/...: completion options update

	* 49317: Completion/Unix/Command/_transmission,
	Completion/Unix/Command/_gcore, Completion/Unix/Command/_pandoc,
	Completion/Unix/Command/_luarocks: cleanup inappropriate use
	of {...} specs with _arguments or _alternative

	* 49316: Completion/Unix/Command/_transmission,
	Completion/Unix/Command/_bittorrent, Completion/Unix/Command/_go,
	Completion/Unix/Command/_pandoc, Completion/X/Command/_pdftk:
	add (-.) glob qualifier to globs where only files are applicable

	* 49315: Completion/Unix/Command/_transmission,
	Completion/Debian/Command/_dak, Completion/Linux/Command/_tpb,
	Completion/Mandriva/Command/_urpmi, Completion/Unix/Command/_cpio,
	Completion/Unix/Command/_dropbox, Completion/X/Command/_urxvt,
	Completion/Unix/Command/_growisofs,
	Completion/Unix/Command/_perforce,
	Completion/Unix/Command/_mysql_utils:
	list units in brackets at the end of group descriptions

2021-08-28  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Peter A. Castro: users/26982 (subset as most of this already
	present): Src/openssh_bsd_setres_id.c: use standard header
	includes.

2021-08-27  Peter Stephenson  <p.stephenson@samsung.com>

	* 49290: Src/init.c, Src/input.c: Replace stdio for buffered
	shell input to avoid memory management interacting with signal
	handlers.

2021-08-27  Oliver Kiddle  <opk@zsh.org>

	* Marlon: 49272: Completion/Base/Utility/_call_program:
	Set $COLUMNS in _call_program to ensure cached command
	output is sufficiently wide

	* unposted (based on Marlon: 49273):
	Completion/Zsh/Command/_typeset: add -x to local completion

	* 49309: Completion/Linux/Command/_strace: update the
	strace completion through strace 5.13

	* 49306: Completion/Linux/Command/_losetup: fix file
	completion for the second parameter to losetup

	* Štěpán Němec: 49234: Completion/Unix/Command/_python:
	add missing options in python completion

2021-08-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 49307 with documentation updated: Src/exec,
	Doc/Zsh/grammar.yo, Doc/Zsh/options.yo: With POSIX_TRAPS,
	ignored signals stay that way in subshell.

2021-08-24  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 49297 with quoting updated: Src/Modules/files.c: check
	which files is in error when ENOENT on link etc.

2021-08-24  dana  <dana@dana.is>

	* github #78: DCsunset: Completion/Unix/Command/_pandoc: Fix
	completions in _pandoc

2021-08-16  Oliver Kiddle  <opk@zsh.org>

	* 49268: Completion/Unix/Command/_texinfo: use an empty string search
	to find matches for info --index-search= completion

	* 49160: Completion/Unix/Command/_xmlsoft: fix quoting for
	xmllint --pretty completion

2021-08-14  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* users/26734: Doc/Zsh/builtins.yo: docs: read: Notate the
	parameter name argument as optional.

2021-08-10  Peter Stephenson  <p.stephenson@samsung.com>

	* 49269: Src/parse.c, Test/C02cond.ztst: "[ ! -o ]" should
	detect "-o" as a non-empty string and return status 1.  Update
	test to reflect this.

2021-07-30  dana  <dana@dana.is>

	* github #77: Stavros Ntentos: Completion/X/Command/_sublimetext:
	Improve subl completions for Sublime Text v4

2021-07-30  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 49211: Completion/Zsh/Command/_typeset: correctly set return value

2021-07-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Erik Paulson: 49029: Src/signals.c: Remove additional copies
	of signals sent by zsh with MONITOR enabled.

	* 49182: Src/hist.c, Src/lex.c: Interactive word correction
	doesn't work inside command substitution, so don't try to do it.

2021-07-19  Eric Cook  <llua@gmx.com>

	* 49147: Completion/Linux/Command/_modutils: fix the completion
	linux kernel modules

2021-07-19  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 49166: Src/subst.c, Test/D04parameter.ztst: fix coredump in
	${name:offset:length} with ill-formatted length

2021-07-10  Oliver Kiddle  <opk@zsh.org>

	* 49158: Completion/Debian/Command/_dscverify,
	Completion/Solaris/Command/_dhcpinfo,
	Completion/Solaris/Command/_inetadm,
	Completion/Solaris/Command/_prstat,
	Completion/Solaris/Command/_svcadm,
	Completion/Solaris/Command/_svcprop,
	Completion/Solaris/Command/_zlogin,
	Completion/Unix/Command/_pkginfo, Completion/Unix/Command/_pkgrm:
	remove superfluous function definitions

	* 49157: Completion/Linux/Command/_valgrind,
	Completion/Unix/Command/_baz, Completion/Unix/Command/_opustools,
	Completion/Unix/Command/_tla: fix uses of literal % characters in
	completion descriptions

	* 49156: Completion/Cygwin/Command/_cygserver,
	Completion/Debian/Command/_git-buildpackage,
	Completion/Linux/Command/_alsa-utils, Completion/Unix/Command/_adb,
	Completion/Linux/Command/_ipset, Completion/Unix/Command/_django,
	Completion/Solaris/Command/_dtrace, Completion/Unix/Command/_ant,
	Completion/Solaris/Command/_prstat, Completion/Unix/Command/_gcc,
	Completion/Unix/Command/_dtruss, Completion/Unix/Command/_gnupod,
	Completion/Unix/Command/_initctl, Completion/Unix/Command/_pandoc,
	Completion/Unix/Command/_mysqldiff, Completion/Unix/Command/_pbm,
	Completion/Unix/Command/_perforce, Completion/Unix/Command/_qemu,
	Completion/Unix/Command/_ruby, Completion/Unix/Command/_tidy,
	Completion/Unix/Command/_w3m, Completion/X/Command/_vnc,
	Completion/X/Command/_xdvi: make wider use of the convention of
	square brackets for defaults

2021-07-08  Oliver Kiddle  <opk@zsh.org>

	* 49151: Completion/Debian/Command/_madison,
	Completion/Debian/Command/_dak, Completion/Debian/Command/_dpkg,
	Completion/Unix/Command/_aap, Completion/Unix/Command/_samba,
	Completion/Unix/Command/_setfacl, Completion/Zsh/Function/_zargs:
	remove commas erroneously included in _arguments exclusion lists

	* 49150: Completion/...: consistently use singular form for
	headings on completion match groups

	* 49149: Completion/Unix/Command/_ssh: add specific values
	in completion after ssh-keygen -b depending on the key type

	* Max Voit: 49153: Completion/Unix/Command/_module:
	cut off .lua extension from module files that occurs
	when using lmod for module

2021-07-06  Suraj N. Kurapati  <sunaku@riseup.net>

	* 49128 (github #76): Misc/vcs_info-examples: optimize
	+vi-git-untracked()

2021-06-28  Peter Stephenson  <p.stephenson@samsung.com>

	* 49102: Src/subst.c: Dynamic directory expansion failure is
	ignored if NO_EXEC is set.

2021-06-22  Peter Stephenson  <p.stephenson@samsung.com>

	* 48906: Doc/Zsh/manual.yo, Doc/Zsh/metafaq.yo, Etc/FAQ.yo,
	Etc/changelog2html.pl: Update Sourceforge links to
	https://zsh.sourceforge.io/.

2021-06-14  dana  <dana@dana.is>

	* 48920: Completion/Unix/Command/_pgrep: Address issues related to
	-f completion

	* 48920: Completion/Unix/Command/_pgrep: Clarify -x description

2021-06-13  Bart Schaefer  <schaefer@zsh.org>

	* 49069: NEWS, Src/builtin.c: literal interpretation of subscripts
	for unset of array/hash elements

2021-06-02  Oliver Kiddle  <opk@zsh.org>

	* Akinori MUSHA: 48942: Functions/Zle/edit-command-line:
	Let EDITOR invoked by edit-command-line know it's a zsh script

	* 48954: Src/Zle/complist.c: avoid crash in reverse-menu-complete
	from menuselect without 'menu' in $compstate[insert]

	* 48952: Completion/Unix/Command/_perl: expand octal codes for
	record separators in perl completion

	* 48938 (minus _cdrdao changes): Completion/Unix/Command/_pandoc,
	Completion/Unix/Command/_bpython: remove vim fold and option markers

	* 48939: Completion/Unix/Command/_rsync: update for rsync 3.2.3

2021-05-21  Oliver Kiddle  <opk@zsh.org>

	* 48897: Completion/Unix/Command/_sed, Completion/Unix/Command/_head,
	Completion/Unix/Command/_dhclient, Completion/Unix/Command/_pgrep,
	Completion/Unix/Command/_ping, Completion/Unix/Command/_tail,
	Completion/Unix/Command/_timeout, Completion/Unix/Command/_uname:
	completion updates for DragonFly 6.0 and OpenBSD 6.9

	* Marlon Richert: 48891: Completion/Unix/Command/_pgrep:
	Fix pgrep/pkill -f completion

	* Marlon Richert: 48864: Completion/Zsh/Type/_parameters: Improve
	extra-verbose completion display strings for array parameter values

2021-05-18  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 48601/0005: Functions/Misc/zmathfuncdef: Fix the workers/48147
	return status / 'set -e' bug.

	* 48601/0004: Doc/Zsh/builtins.yo: docs: return: Give examples
	of using arithmetic evaluation.

	* 48601/0003: Doc/Zsh/builtins.yo: docs: functions -M: Add a
	subheading and index entries.

	* 48601/0002: Doc/Zsh/builtins.yo: docs: functions -M: Document
	the return status / result interdependency gotchas (cf. 48147).

	* 48601/0001: Doc/Zsh/builtins.yo: docs: functions -M: Move an
	example to be near the specification of the relevant flag

	* 48594 (plus an "F:" line corresponding to the question there):
	Test/E02xtrace.ztst: New tests for functions -t / functions -T

2021-05-16  Bart Schaefer  <schaefer@zsh.org>

	* Marlon Richert: 48853: Doc/Zsh/contrib.yo,
	Functions/Prompts/promptinit: improved handling of theme resets
	when changing prompt themes, especially for theme preview

	* 48860: Etc/BUGS: remove mention of bugs that were fixed

	* 48857: Src/builtin.c, Src/exec.c, Src/loop.c, Src/makepro.awk,
	Src/params.c, Src/signals.c: declare as "volatile" all globals
	that may be modified by signal handlers; recognize in makepro.awk

2021-05-16  Oliver Kiddle  <opk@zsh.org>

	* Jörg Sommer: users/26649: Completion/Unix/Command/_rake:
	add zstyle for rake targets without description

	* 48783: Completion/Unix/Command/_ansible: update ansible
	completion to 2.10.8

	* 48623: Completion/Unix/Command/_ssh: update options in openssh
	completion to version 8.6

2021-05-16  Mikael Magnusson  <mikachu@gmail.com>

	* unposted: Completion/Unix/Command/_timeout: Fix wrong syntax

2021-05-15  Bart Schaefer  <schaefer@zsh.org>

	* Han Pingtian: 33465 (very belatedly): use prctl() for "jobs -Z"
	where available

	* Vincent Lefevre: 48723: Src/math.c: locale-safe recognition of
	"Inf" and "NaN" constants

	* Peter Stephenson: users/26742: Src/builtin.c: break out of
	surrounding shell loops when "exit" is called from an exit hook

	* users/26736: Src/Zle/zle_main.c: avoid infinite loop in getbyte
	when read -q is called from exit hook

	* 48810: Test/C04funcdef.ztst: name clash in test for autoloading

	* 48790: Src/Zle/compcore.c: COMPLETE_IN_WORD inside brace-param

	* 48710: Completion/Zsh/Command/_zed, Doc/Zsh/contrib.yo,
	Functions/Misc/zed: add "zed -h" aka "histed", update doc and
	completion; improve compatibility with SH_WORD_SPLIT

	* 48709: Completion/Base/Widget/_complete_help: suppress error
	messages from comptry

	* 48707: Doc/Zsh/contrib.yo, Functions/Zle/zed-set-file-name:
	fix keymap handling when zed invokes read-from-minibuffer

2021-05-06  Peter Stephenson  <p.stephenson@samsung.com>

	* 48787: Src/loop.c, Test/A01grammar.ztst: status was incorrect
	on hard error flagged by condition in "if" without "else".

2021-05-03  dana  <dana@dana.is>

	* unposted (see 48613): Etc/FAQ.yo: Move section 3.31 to 2.8

	* unposted (see 48613): Doc/Zsh/metafaq.yo, Doc/Zsh/roadmap.yo:
	Update http:// FAQ links to https://

	* 48551 (tweaked per 48565, 48629): Doc/Zsh/compat.yo: Add
	disclaimer about POSIX compliance and emulation of other shells

	* 48614 (tweaked per 48630): Doc/Zsh/builtins.yo,
	Doc/Zsh/options.yo, README, Src/builtin.c, Test/B10getopts.ztst:
	Calculate OPTIND according to POSIX_BUILTINS

2021-05-03  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 48767: Doc/Zsh/params.yo: docs: $SECONDS: Clarify what types
	may be set

2021-04-28  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 48702: Completion/Unix/Command/_pandoc: do not use cache,
	support two or more extensions of format, and other fixes

2021-04-21  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 48606 + 48607 + unposted test: Functions/Math/zmathfunc,
	Test/Z02zmathfunc.ztst: zmathfunc: Force arguments to be numbers
	and catch errors.

	* unposted (cf. 48156): Test/Z02zmathfunc.ztst: New test.

	* users/26635 (tweaked):
	Functions/VCS_Info/Backends/VCS_INFO_get_data_hg: vcs_info hg:
	Compute the branch name correctly when get-revision is set and
	check-for-changes is not

2021-04-20  Bart Schaefer  <schaefer@zsh.org>

	* 48638: NEWS: mention TYPESET_TO_UNSET

2021-04-20  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 48435 (tweaked): Doc/Zsh/contrib.yo, Misc/vcs_info-examples:
	vcs_info docs: applied-string/unapplied-string: Correct an
	omission in the documentation and add an example.

	* 48528/0002: Misc/vcs_info-examples: vcs_info git docs:
	ahead/behind commits: Reduce the number of forks

	* 48528/0001: Misc/vcs_info-examples: vcs_info git docs:
	ahead/behind commits: Don't run rev-list when that would fail

2021-04-19  Bart Schaefer  <schaefer@zsh.org>

	* 48617: Completion/Base/Widget/_complete_debug: fix misuse of
	IGNORE_BRACES when initializing debug_indent

	* 47489: Functions/Misc/colors: rename standout as italic

2021-04-19  Oliver Kiddle  <opk@zsh.org>

	* Marlon Richert: 48621: Completion/Zsh/Function/_add-zsh-hook,
	Completion/Zsh/Function/_add-zle-hook-widget: Add -L to
	add-(zsh|zle)-hook[-widget] completion

	* André Kugland: github/zsh-completions #792:
	Completion/Unix/Command/_opustools: new opus-tools completion

	* 48619: Completion/Unix/Command/_ansible: complete inventory
	plugins in assignments to ANSIBLE_INVENTORY_ENABLED

	* 48618: Completion/Unix/Command/_date,
	Completion/Unix/Command/_grep, Completion/Unix/Command/_netstat,
	Completion/Unix/Command/_ping, Completion/Unix/Command/_readelf,
	Completion/Unix/Command/_uname: update completions for FreeBSD 13

2021-04-18  Bart Schaefer  <schaefer@zsh.org>

	* 47704: Src/builtin.c, Src/params.c, Test/B02typeset.ztst:
	POSIX export and readonly ignore the "-p" option when parameter
	names are also present.

	* 48560: Completion/compinit, Doc/Zsh/builtins.yo,
	Doc/Zsh/options.yo, Doc/Zsh/params.yo, Src/builtin.c,
	Src/options.c, Src/params.c, Src/subst.c, Src/zsh.h,
	Test/D06subscript.ztst, Test/E01options.ztst, Test/E03posix.ztst,
	Test/V10private.ztst, Test/runtests.zsh, Test/ztst.zsh: add
	TYPESET_TO_UNSET option, which removes initialization of newly
	declared parameters such that ${newparam-notset} yields "notset"
	and "typeset -p newparam" does not show an assignment to the
	parameter.  This is similar to the default behavior of bash and
	ksh, with minor differences in typeset output.  Also add tests for
	some POSIX incompatibilities plus minor changes for test harness
	robustness.

2021-04-18  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* unposted: Etc/BUGS: remove a bug fixed by 47301

2021-04-17  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 48361 (+ 48368 review comments):
	Completion/Zsh/Function/__arguments: New completion function
	for _arguments.

2021-04-16  Oliver Kiddle  <opk@zsh.org>

	* Marlon Richert: 48513: Completion/Zsh/Type/_parameters,
	Test/Y01completion.ztst: Let extra-verbose completion
	show parameter values

	* unposted: Etc/BUGS: update on bug list

	* 48556: Completion/BSD/Command/_ipfw: new completion

2021-04-16  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted (cf. 48153): Test/Z02zmathfunc.ztst: Add tests for
	max() and min().

2021-04-15  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 48574/0008: Doc/Zsh/contrib.yo: vcs_info git: Use best
	practices in an example

	* 48574/0007: Doc/Zsh/contrib.yo: vcs_info docs:
	vcs_info_lastmsg: Correct an ambiguous/wrong description.

	* 48574/0006: Doc/Zsh/contrib.yo: vcs_info docs: Change
	user-context name in an example, to avoid confusion with the
	special-casing of the value `command' in vcs_info_lastmsg.

	* 48574/0005: Doc/Zsh/contrib.yo: vcs_info docs: Recommend use
	of prompt expandos rather than terminal escape sequences.

	* 48574/0004: Doc/Zsh/func.yo: docs: Document that hook functions
	may rely on $? (see workers/48570).

	* 48574/0003: Doc/Zsh/contrib.yo: docs: Fix rendering in the
	man page output

	* 48574/0002 (tweaked): Doc/Zsh/contrib.yo: docs: Fix rendering
	of an example in the man page output

	* 48574/0001: Doc/Zsh/func.yo: docs: Minor markup tweak

2021-04-13  dana  <dana@dana.is>

	* Daniel Shahaf: 48522: README: Clarify _alternative change

2021-04-13  Tim Lee  <progscriptclone@gmail.com>

	* 48525: Misc/vcs_info-examples: vcs_info git docs: ahead/behind
	commits: Run fewer external programs

2021-04-12  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 48439: Src/mem.c: remove macros that became unnecessary by 47785

2021-04-11  Oliver Kiddle  <opk@zsh.org>

	* 48504: Src/hist.c, Src/input.c, Src/watch.c:
	use SEEK_ macros in fseek() calls

	* Michael Stapelberg: 45396: Src/hist.c: readhistfile:
	avoid thousands of lseek(2) syscalls via ftell()

	* Marc Chantreux: 48466: Completion/Unix/Command/_surfraw:
	correct indentation and remove tabs and trailing spaces

	* Marc Chantreux: 48445: Completion/Unix/Command/_surfraw:
	pluralize tags in _surfraw

	* Marc Chantreux: users/26645: Completion/X/Command/_gv:
	update options in gv completion

2021-04-10  Bart Schaefer  <schaefer@zsh.org>

	* 47913: Doc/Zsh/options.yo, Src/options.c, Src/pattern.c, Src/zsh.h:
	implement CASE_PATHS option to make NO_CASE_GLOB more sensible

2021-04-10  dana  <dana@dana.is>

	* brian m. carlson: 47794: README, Src/exec.c,
	Test/B07emulate.ztst: exec: run final pipeline command in a
	subshell in sh mode

	* unposted (see 48415): README: Document incompatibility
	caused by workers/43928

	* 48338: Completion/Unix/Command/_git: Support case-insensitive
	path matching

2021-04-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 48432 (plus test change): Src/Modules/zutil.c,
	Test/V05styles.ztst: Fix quoting of zstyle -L output for
	-e styles, and enable test.

2021-04-09  Oliver Kiddle  <opk@zsh.org>

	* 48378: Completion/Zsh/Command/_compadd: complete compadd
	options for other completion functions

	* 48437: Completion/Unix/Command/_gdb: fix pid completion when
	cursor is in the middle of the line

	* Felipe Contreras: 47786: aclocal.m4, aczsh.m4: prepare for
	autoconf 2.70

	* Felipe Contreras: 47785: Src/Modules/files.c, Src/zsh_system.h,
	Src/mem.c, configure.ac: remove deprecated autoconf functions

2021-04-08  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 48416: Completion/Unix/Command/_gcore: support macOS, with
	update for GNU gcore

2021-04-08  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 48410: Doc/Zsh/metafaq.yo, Etc/FAQ.yo: FAQ, METAFAQ: Mention
	zsh-security@.

	* 48379: Src/subst.c, Test/D04parameter.ztst: Make the parameter
	expansion subscript flags parse error message, "error in flags",
	identify the location of the parse error.

	* 48321 (tweaked per thread): Completion/Unix/Type/_perl_modules:
	Don't assume ${words[1]} to be either "perl" or "perldoc"

2021-04-07  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 48425: Test/V05styles.ztst: Add an XFail test for a 'zstyle
	-L' escaping bug (workers/48424).

2021-04-06  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 48391: Src/Zle/compresult.c: correctly calculate display string
	width in completion list to fix display problem in menu-complete

	* 48389: Src/math.c, Src/utils.c: getkeystring(GETKEY_SINGLE_CHAR)
	should not return a pointer to a local variable

2021-04-06  Oliver Kiddle  <opk@zsh.org>

	* Marc Chantreux: users/26579: Completion/Unix/Command/_surfraw:
	changes from review including parameter expansion to replace awk

	* 48414: Completion/Unix/Type/_bpf_filters: quote closing bracket
	to adapt for change in 43928

	* Marlon Richert: 48413: Test/comptest, Test/Y01completion.ztst:
	Fix _expand completion test

	* unposted: Etc/BUGS: add several references to old list posts

2021-04-05  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Etc/FAQ.yo: FAQ: Move the 'The mailing lists have
	moved' notice to a more appropriate place.

2021-04-04  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* Felipe Contreras: 47784: Src/pattern.c: silence compiler
	warning -Wmaybe-uninitialized

	* Jacob Gelbman: 48218 (+ 48354): Completion/Unix/Command/_gcc:
	various improvements for _gcc

2021-04-02  Oliver Kiddle  <opk@zsh.org>

	* 47510: Src/prompt.c, Src/zsh.h: drop code that avoided
	termcap for named colours

	* 48356: Doc/Zsh/compwid.yo: clarify (the intended)
	behaviour for the two anchor forms of matching control

2021-04-01  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Etc/BUGS: Add 39319, a named-file process
	substitution cleanup bug.

2021-04-01  Mikael Magnusson  <mikachu@gmail.com>

	* 48202 (+ 48366 test fix from Jun): Src/utils.c,
	Test/B03print.ztst: Fix handling of NUL bytes in zexpandtabs
	multibyte version

2021-03-31  Oliver Kiddle  <opk@zsh.org>

	* github #74: Caleb Maclennan: Completion/Unix/Command/_vcsh:
	Drop vcsh completions, maintained upstream

	* Marlon Richert: 48214: Completion/Base/Completer/_expand,
	Test/Y01completion.ztst: add file types to _expand completions,
	so they can be colored through complist

	* Christian K: 48192: Completion/Unix/Command/_openstack:
	Fix openstack completion for new style clients

	* Marc Chantreux: users/26557: Completion/Unix/Command/_surfraw:
	add bookmarks support and remove the header from the final list

2021-03-29  Aleksandr Mezin  <mezin.alexander@gmail.com>

	* 47561 (the git and cvs parts) (compare 44919 + 44920):
	Functions/VCS_Info/Backends/VCS_INFO_detect_cvs,
	Functions/VCS_Info/Backends/VCS_INFO_detect_git,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_cvs,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git: vcs_info
	internals: cvs, git: Set ${vcs_comm[basedir]} like all other
	backends do.

2021-03-29  dana  <dana@dana.is>

	* 47737: Completion/Zsh/Command/_zstyle: Fix option completion
	when positional arguments are already present (regression from
	workers/39659 (commit ae3b675ce6e4ac62451ea08169c2b4dc45cf533b))

2021-03-29  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: ChangeLog: Fix X-Seq numbers for the 39657, 39658,
	39659 patch series.

	* unposted: Doc/Zsh/compsys.yo: docs: _arguments: Fix a typo
	in the example.

2021-03-28  Oliver Kiddle  <opk@zsh.org>

	* Jacob Gelbman: 48166: Completion/Unix/Command/_ctags:
	add completion for language options

	* Arseny Maslennikov: 48210, 48211:
	Completion/Linux/Command/_setpriv: new completion for setpriv(1)

	* Arseny Maslennikov: 48212: Completion/Linux/Type/_capabilities:
	Introduce new completion for Linux task capabilities

	* Štěpán Němec: 48231: Completion/Unix/Command/_git:
	add missing --pretty formats and improve descriptions

	* 48230, 48233 (Jun T): Completion/Solaris/Command/_dtrace:
	completion of dtrace probes and runtime options

2021-03-28  dana  <dana@dana.is>

	* 48216: Test/Y01completion.ztst: Fix broken test from
	workers/48180

2021-03-26  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 48131/0004: Etc/FAQ.yo: FAQ: 3.31: Rearrange

	* 48131/0003: Etc/FAQ.yo: FAQ: 3.31: Move two paragraphs
	unchanged, reordering them

	* 48131/0002: Etc/FAQ.yo: FAQ: 3.31: Tweak summary paragraph

	* 48131/0001: Etc/FAQ.yo: FAQ: 3.31: Add a one-sentence summary

2021-03-23  dana  <dana@dana.is>

	* unposted: Doc/Zsh/expn.yo, Test/D07multibyte.ztst: Improve
	documentation and add regression test for workers/47745

	* 47745: Stephane Chazelas: Src/utils.c: Fix [:IDENT:] vs
	posixidentifiers

2021-03-17  dana  <dana@dana.is>

	* 48180: Marlon Richert: Completion/Base/Core/_main_complete,
	Test/Y01completion.ztst: Start menu selection with
	select=long-list in menu style

2021-03-07  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 48147/0002: Functions/Math/zmathfunc, Test/Z02zmathfunc.ztst:
	zmathfunc: Fix bug where the exit code would be non-zero if
	the expression evaluted to zero.

	* 48147/0001: Test/Z02zmathfunc.ztst: tests: Add a unit test for
	zmathfunc and a regression test for workers/48146 affecting it.

2021-02-24  Peter Stephenson  <p.stephenson@samsung.com>

	*  48105: Jacob Gelbman: Completion/Unix/Command/_ctags: update and
	fix formatting and import.

2021-02-23  Peter Stephenson  <p.stephenson@samsung.com>

	* 48096: Jacob Gelbman: Completion/Unix/Command/_ctags: new
	completion.

2021-02-22  Bart Schaefer  <schaefer@zsh.org>

	* 48094: Arseny Maslennikov: Functions/Prompts/prompt_restore_setup,
	Functions/Prompts/promptinit: apply cleanup commands of the current
	theme on any theme change, including "prompt -[hp] $theme"

2021-02-19  dana  <dana@dana.is>

	* 47867: Arseny Maslennikov: Functions/Prompts/promptinit: Fix
	RPROMPT typo

2021-02-18  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/26509: Src/builtin.c: fc -L should ignore remote entries
	rather than treat them as an error.

2021-02-17  Peter Stephenson  <p.stephenson@samsung.com>

	* 48073: Martijn Dekker: Doc/Zsh/builtins.yo, Src/builtin.c: fc
	-s is POSIX version of fc -e -.

2021-02-16  Peter Stephenson  <p.stephenson@samsung.com>

	* 47876: Justtine Tunney: Src/exec.c: Add more cases where
	shell scripts can be recognised from the first line as
	described by POSIX.

2021-02-16  Lawrence Velázquez  <vq@larryv.me>

	* 47830: Doc/Zsh/contrib.yo, README: Fix some documentation typos

2021-02-13  Oliver Kiddle  <opk@zsh.org>

	* unposted (Daniel): Completion/Unix/Command/_locale:
	add exclusion list missed in recent OpenBSD update

	* github #68: taiyu.len: Completion/Unix/Command/_man,
	Completion/Zsh/Command/_zstyle, Doc/Zsh/compsys.yo:
	support section suffix completion for man pages

	* 47905: Joshua Krusell: Src/Modules/zutil.c,
	Test/V12zparseopts.ztst: Add leading '-' to zparseopts option
	parsing errors

2021-02-11  Bart Schaefer  <schaefer@zsh.org>

	* unposted: NEWS, README: mention the effects of 47997.

	* 47997: Src/Zle/compcore.c: disable xtrace around completions

2021-02-07  Oliver Kiddle  <opk@zsh.org>

	* 47944: Completion/BSD/Command/_bsd_pkg,
	Completion/BSD/Command/_pkgin, Completion/BSD/Command/_systat,
	Completion/Unix/Command/_dmesg: update completions for NetBSD 9

	* 47943: Completion/Unix/Command/_date,
	Completion/Unix/Command/_xargs: update completions for DragonflyBSD

	* 47932: Completion/Linux/Command/_free, Completion/Unix/Command/_w,
	Completion/Unix/Command/_pgrep, Completion/Unix/Command/_vmstat:
	update completions for procps 3.3.16

	* 47931: Completion/BSD/Command/_signify,
	Completion/BSD/Command/_systat, Completion/Unix/Command/_locale,
	Completion/Unix/Command/_netstat, Completion/Unix/Command/_top:
	update completions for OpenBSD base up to 6.8

	* 47930: Completion/BSD/Command/_freebsd-update,
	Completion/Unix/Command/_uniq, Completion/Unix/Type/_diff_options:
	update completions for FreeBSD base up to 12.2

	* 47929: Completion/Zsh/Command/_zstyle: complete newer
	possible values for the sort style

	* based on github #62: oxiedi@yandex.ru:
	Completion/Unix/Type/_date_formats: return proper exit status

	* github #66: DCsunset: Completion/Unix/Command/_todo.sh:
	Add more commands to _todo.sh

	* github #63: oxiedi@yandex.ru: Completion/Base/Utility/_values:
	fix regression caused by 44274, with sort style -o may be passed

	* github #72 (tweaked): Semnodime: Completion/Unix/Command/_lldb:
	fix unix command lldb tab-completion, args are space separated

	* gitlab !16: aaaz <i1460889@mvrht.net>:
	Completion/Unix/Command/_transmission: allow spaces between short
	options and their parameters in transmission completion

2021-02-06  Oliver Kiddle  <opk@zsh.org>

	* 47919: Completion/BSD/Type/_login_classes,
	Completion/Unix/Command/_env, Completion/Unix/Command/_pgrep,
	Completion/Unix/Command/_su, Completion/Unix/Command/_user_admin:
	use common function for completing BSD login classes and update for
	options to env

	* 47918: Completion/Linux/Command/_nsenter,
	Completion/Linux/Command/_unshare: new util-linux completions

2021-02-05  Bart Schaefer  <schaefer@zsh.org>

	* unposted: Doc/Zsh/expn.yo: Add cindex entries for subsections

2021-02-04  Bart Schaefer  <schaefer@zsh.org>

	* 47895: Src/builtin.c, Test/D02glob.ztst: Remove trailing spaces
	from "print -ac" output lines.

	* 47865: Test/D02glob.ztst: More tests for restricted directories

	* 47889: Etc/FAQ.yo: Update csh alias equivalences (section 2.3)

2021-02-03  Joshua Krusell <js.shirin@gmail.com>

	* 47899: Src/Modules/zutil.c, Test/V12zparseopts.ztst: Improved
	error message from zparseopts.

2021-01-20  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 47883: Completion/Unix/Command/_awk: support gawk ver.5

2021-01-27  Peter Stephenson  <p.stephenson@samsung.com>

	* 47873: Completion/Base/Core/_main_complete,
	Completion/Zsh/Context/_subscript,
	Functions/Chpwd/zsh_directory_name_cdr: Improve completion
	within dynamic directory names ~[<here>].

	* GammaFunction@vivaldi.net via Roman: 47744:
	Src/Zle/zle_main.c: Fix vi-repeat-change when hooks are in use.

2021-01-26  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Etc/FAQ.yo: Fix a typo in the front matter.

2021-01-24  Paul Seyfert  <pseyfert.mathphys@gmail.com>

	* github #71 (tweaked): Completion/X/Command/_xrandr: Complete
	providers

2021-01-23  Bart Schaefer  <schaefer@zsh.org>

	* users/26406: Functions/Misc/zargs: preserve caller setopts

2021-01-20  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 47849: Test/E01options.ztst, Test/V08zpty.ztst,
	Test/W02jobs.ztst, Test/X02zlevi.ztst, Test/X03zlebindkey.ztst,
	Test/X04zlehighlight.ztst, Test/Y01completion.ztst,
	Test/Y02compmatch.ztst, Test/Y03arguments.ztst: do not skip
	tests that require zpty on Cygwin

	* Peiyuan Song: 47840: Src/Modules/zpty.c, configure.ac: make
	zpty module work on Cygwin

2020-12-12  dana  <dana@dana.is>

	* unposted: NEWS: Catch up on new features

2020-12-11  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 47731 (+unposted): Functions/Misc/run-help-btrfs,
	Doc/Zsh/contrib.yo: add run-help assistant for btrfs command.
	(based on the patch by Samir Benmendil in 43947⁩)

	* Samir Benmendil: 43946: Functions/Misc/run-help-sudo: call
	run-help (instead of man) for the command given to sudo

2020-12-05  Bart Schaefer  <schaefer@zsh.org>

	* unposted: Doc/Zsh/compsys.yo: index compprefuncs and comppostfuncs

2020-12-04  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 47716: Etc/BUGS: Add Aleksandr's vcs_info patch.

2020-12-02  Bart Schaefer  <schaefer@zsh.org>

	* 47704: Src/Modules/param_private.c: fix scope for "private -p"

2020-12-01  Bart Schaefer  <schaefer@zsh.org>

	* unposted: Etc/BUGS: Add users/26150 (multios + exec)

2020-11-16  ivan tkachenko  <me@ratijas.tk>

	* 47547: Doc/Zsh/arith.yo: docs: Specify the exact kind of
	quoting which is assumed when parsing arithmetic expressions

2020-11-16  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 47560: configure.ac, aczsh.m4: add necessary includes or
	prototypes for the tests in configure (fix errors in macOS 11)

2020-10-29  Oliver Kiddle  <opk@zsh.org>

	* users/26107: Completion/Unix/Command/_git: complete changed
	files after git diff HEAD

2020-10-25  Mikael Magnusson  <mikachu@gmail.com>

	* Jun-ichi Takimoto: 47301: Src/builtin.c: Fix print -v
	metafication

	* 47302: Test/B03print.ztst, Test/D07multibyte.ztst: Test for
	print -v fix

	* 47494, 47495: Completion/Zsh/Command/_strftime,
	Doc/Zsh/mod_datetime.yo, Src/Modules/datetime.c,
	Test/V09datetime.ztst: Add -n option to strftime

2020-10-18  Roman Perepelitsa  <roman.perepelitsa@gmail.com>

	* 47476: Src/Modules/files.c: Fix a race condition in zf_mkdir -p
	(based on the patch by Matthew Martin in workers/47436)

2020-10-18  Axel Beckert  <abe@deuxchevaux.org>

	* 47468: Doc/Zsh/contrib.yo: Fix typo

2020-10-03  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* users/26088: Doc/Zsh/zle.yo: docs: zle -R: Clarify that it
	needs not be called in the normal course of things, but only
	when an immediate, interim redisplay is desired.

2020-09-23  Meng Bo  <mengbo@lnu.edu.cn>

	* github #65: Completion/Unix/Command/_nmap: Rename option flags
	(s/_/-/g)

2020-09-22  Jacob Menke  <linux.dev25@gmail.com>

	* 47395: Completion/Base/Utility/_store_cache: Don't leak the
	variable ${_cache_dir}.

2020-09-13  Bart Schaefer  <schaefer@zsh.org>

	* Mikael Magnusson: 47382: Completion/Zsh/Context/_brace_parameter:
	Completion for 47364

	* 47364: Doc/Zsh/expn.yo, Src/subst.c, Src/zsh.h, Test/D02glob.ztst:
	Enable extendedglob in pattern with ${(*)name/pattern/replacement}

2020-09-09  Stephane Chazelas  <stephane@chazelas.org>

	* 47352 (+ extra test cases): Src/prompt.c, Test/D01prompt.ztst:
	fix %<n>K prompt expansion (regression introduced in 5.0.3).

2020-09-05  Doug Kearns  <dougkearns@gmail.com>

	* unposted: Completion/Unix/Command/_lp,
	Completion/Unix/Command/_transmission, Completion/X/Command/_code,
	Completion/X/Command/_kdeconnect, Completion/Zsh/Command/_zstyle:
	Remove periods from completion descriptions as per the
	completion-style-guide recommendations.

2020-09-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 47350; Completion/Unix/Command/_dropbox: new completion.

2020-08-28  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* github #64: Src/Modules/curses_keys.awk: Fix a build-time
	error when building against ncurses that hadn't been built
	with --enable-wgetch-events.  (Reported by Martin Liska.)

2020-08-21  Oliver Kiddle  <opk@zsh.org>

	* 47328: Doc/Zsh/metafaq.yo, Etc/CONTRIBUTORS: remove references
	to old zsh.org mail addresses

	* 47322: Completion/Unix/Command/_ssh: allow prefix with ssh
	cipher completion and add matching control for options

2020-08-18  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 47323: Completion/Redhat/Command/_rpm: _rpmbuild: Complete
	file arguments after -r/-b/-t.

2020-08-16  Mikael Magnusson  <mikachu@gmail.com>

	* 47304: Completion/Zsh/Type/_globflags: support specifying more
	than one flag where appropriate

	* 47305: Functions/Zle/edit-command-line: when possible, set
	$BUFFER directly

	* 47306: Completion/Zsh/Command/_zstyle, Doc/Zsh/contrib.yo,
	Functions/Zle/edit-command-line: add editor style

	* 47307: Functions/Zle/edit-command-line: restrict editing to
	region if it is active

2020-08-16  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 47314 (+ extra test case): Test/Z01is-at-least.ztst: is-at-least
	false positive (5.8.0.2 / 5.8)

	* 47313: Doc/Zsh/expn.yo: docs: Document explicitly that the
	:P modifier returns a symlink-less path.

2020-08-13  Oliver Kiddle  <opk@zsh.org>

	* Jörg Sommer: 47320: Completion/Linux/Command/_choom: Add
	completion for Linux tool used to adjust process OOM score

	* 47321: Completion/Linux/Command/_btrfs: update for btrfs 5.4

	* 47319: Completion/Unix/Command/_imagemagick: complete more
	options to ImageMagick's convert command

2020-08-10  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 47294: Completion/Debian/Command/_aptitude: updates to options

	* 47293: Completion/Unix/Command/_lp: lowercase descriptions

2020-08-10  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 47308: Etc/zsh-development-guide: Document the new X-Seq
	autoreply bot.

2020-08-09  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 47303: Functions/VCS_Info/Backends/VCS_INFO_get_data_hg,
	Functions/VCS_Info/VCS_INFO_set-patch-format: vcs_info hg:
	Fix changing the expansion of %g (hook_com[guards]) in the
	set-patch-format hook (regression from workers/40480).

2020-08-08  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Doc/Zsh/metafaq.yo, Etc/FAQ.yo: Update documentation
	for the move to new hosting.

	* 47296 (+ unposted additional tests and comments): Src/loop.c,
	Test/A05execution.ztst: 'repeat' loops: Let the repeat count
	use $?.

	* 47300: Src/parse.c, Src/zsh.h: Document the EC_NODUP, EC_DUP,
	EC_DUPTOK triplet.

2020-08-08  Mikael Magnusson  <mikachu@gmail.com>

	* unposted: Completion/BSD/Command/_kdump,
	Completion/BSD/Type/_ktrace_points: fix syntax errors in
	completers added in 45940

2020-08-05  Mikael Magnusson  <mikachu@gmail.com>

	* unposted: Completion/compinit: add help text for -w

	* 46280: Completion/compinit: add -w to explain why compdump runs

2020-07-29  Roman Perepelitsa  <roman.perepelitsa@gmail.com>

	* unposted: Src/zsh.h: comments explaining how hashtable must
	be created

2020-07-28  Roman Perepelitsa  <roman.perepelitsa@gmail.com>

	* 46275: Src/hashtable.c, Src/zsh.h: eliminate undefined behavior
	caused by redefinition of hashtable

2020-07-27  Roman Perepelitsa  <roman.perepelitsa@gmail.com>

	* 46268: Src/exec.c: suppress a useless compiler warning
	around nice()

2020-07-14  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 46244 (cont.): Etc/creating-a-release.txt: Flesh out the TODO
	from the previous commit.

	* 46244: Etc/creating-a-release.txt: Start to introduce a
	release managers keyring.

2020-07-14  oxiedi  <oxiedi@yandex.ru>

	* github #61: Completion/Zsh/Type/_parameters: Don't leak the
	variable $i

2020-07-13  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 46240: Doc/Zsh/builtins.yo, Doc/Zsh/contrib.yo,
	Doc/Zsh/jobs.yo, Doc/Zsh/params.yo, Doc/ztexi.yo: Make the
	expansion of manref()() in ztexi.yo match its expansion in
	zman.yo.

2020-07-12  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 46183: Test/D03procsubst.ztst: New XFail test: external
	command with =(...) on LHS of pipeline cleans up its tempfiles.

	* unposted (cf. GitHub #11): Misc/vcs_info-examples: vcs_info
	hg: docs: Change an example to not use a hex dump incantation
	that may replace some bytes' values with asterisks.

	* users/24985: Doc/Zsh/expn.yo: Clarify documentation of the
	${(n)} and ${(-)} parameter expansion flags, and add a forward
	compatibility hatch to the latter.

	* 46204: Test/E01options.ztst: Fix new test case for the
	theoretical case of having more than 100 files in the root
	directory.

	* unposted: .editorconfig: For Makefiles, make the indent size
	equal to tab width.

2020-07-11  dana  <dana@dana.is>

	* Cedric Ware: 46152: Src/Modules/system.c, Test/V14system.ztst:
	Re-allow '0' timeout in zsystem flock

2020-07-09  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 46215 (w/ minor tweak): Test/E01options.ztst: make the test
	added by 46175/0002 work on wider systems, and skip the test
	on Cygwin.

2020-07-08  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 46216: Completion/Unix/Command/_ansible: update for ansible 2.9

	* 46217: Completion/Unix/Command/_tmux: update options for tmux 3.1

	* github #60: Mathias Fredriksson: Completion/Unix/Type/_zfs_dataset:
	Fix completion for a zfs dataset containing spaces

	* gitlab !15: Doron Behar: Completion/Linux/Command/_modutils:
	Fix FHS assumption

	* 46201 (tweaked per Daniel): Etc/completion-style-guide: add
	guidelines for caching and use of imperative mood in descriptions

	* 46195: Completion/X/Type/_x_color: use showrgb command to get
	colours if it is available

	* github #50: SATOH Fumiyasu: Completion/Unix/Type/_ssh_hosts:
	Complete hosts in "Match" directive

	* github #53: James Pike: Completion/Unix/Type/_remote_files:
	allow specifying directory name.

2020-07-07  Bart Schaefer  <schaefer@zsh.org>

	* 46189: Test/comptest: Ignore exit status of final zpty_flush

2020-07-07  Nuri Jung  <jnooree@gmail.com>

	* github #58: Doc/Zsh/mod_regex.yo: docs: Note that the zsh/regex
	syntax is platform-dependent.

2020-07-06  Pete Moore  <pmoore@mozilla.com>

	* 46194: Doc/Zsh/metafaq.yo: docs: metafaq: Remove spurious
	closing bracket

2020-07-05  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 46175/0003: Src/exec.c, Test/E01options.ztst: Fix the
	RM_STAR_SILENT bug from the parent commit.

	* 46175/0002: Test/E01options.ztst: Add a regression test for
	46169: the RM_STAR_SILENT logic processes the current directory
	rather than the root directory.

	* 46175/0001: Test/E01options.ztst: Add a unit test for the
	RM_STAR_SILENT option.

	* 46174/0002: Test/comptest: test harness: Restore indentation
	after the previous commit. No functional change.

	* 46174/0001: Test/comptest: test harness: Plug a symlink attack

2020-07-03  Matthew Martin  <phy1729@gmail.com>

	* 46168: Src/builtin.c, Test/B01cd.ztst: Update $PWD and call
	chpwd hook after normalizing path.

2020-07-03  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted (cf. users/24972, users/24978): Doc/Zsh/expn.yo:
	Use an ASCII hyphen/minus rather than a dash.

2020-07-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/24971: Doc/Zsh/expn.yo, Src/sort.c, Src/subst.c,
	Src/zsh.h, Test/D04parameter.ztst: Add parameter flag (-)
	to allow signed numeric sorting.

2020-06-28  zsugabubus  <zsugabubus>

	* 46097: Completion/Unix/Command/_rm: Fix "assignment to invalid
	subscript range" error in _rm.

2020-06-28  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 46132: Doc/Zsh/expn.yo: docs: Use an itemized list in the
	documentation of the *(o) glob qualifier.

	* 46131: Completion/Unix/Command/_git: _git-config: Partly
	fix a bug whereby a 'foo.ba<TAB>' wouldn't be completed to
	'foo.bar.baz'.

	* 46128: Completion/Unix/Command/_git: Complete more options
	and diff/merge tools.

	* 46129: Completion/Unix/Command/_git: _git-config: Fix a bug
	where a second trailing dot would be incorrectly offered.

	* 46130: Completion/Unix/Command/_git: _git-config: Complete
	some more options.

2020-06-27  Miroslav Koškár  <mk@mkoskar.com>

	* 46140: Completion/Unix/Command/_git: Fix insufficiently
	quoted pattern

	* 46139: Completion/Unix/Command/_git: Remove hanging whitespaces

2020-06-27  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted (after 46068): Src/Zle/zle_utils.c: Fix a compiler
	warning.

	* 46072 + 46136: Doc/Zsh/contrib.yo, Doc/Zsh/zle.yo,
	Functions/Misc/add-zle-hook-widget, Src/Zle/zle_thingy.c,
	Test/X04zlehighlight.ztst: Add the 'zle $widget -f nolast'
	syntax, to improve add-zle-hook-widget support for multiple
	hook functions.

	* users/24959/0002: Doc/Zsh/grammar.yo: Update aliases
	documentation for the addition of the ALIAS_FUNC_DEF option.

	* users/24959/0001: Doc/Zsh/builtins.yo, Doc/Zsh/grammar.yo:
	Extend documentation of global aliases.

2020-06-26  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Doc/Zsh/contrib.yo, Doc/Zsh/expn.yo,
	Doc/Zsh/mod_mapfile.yo, Etc/FAQ.yo: docs: Fix some markup
	and typos.

2020-06-26  Peter Stephenson  <p.stephenson@samsung.com>

	* 46110: Src/subst.c, Test/D03procsubst.ztst: If =subst occurs
	before =(subst) we should allow for the possibility of the latter.

2020-06-26  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* unposted c.f. 46034: Completion/Unix/Command/_gpg: workaround
	incompatibility with sh_file_expansion option

	* 46106: Completion/BSD/Command/_usbconfig: new completion

	* 46105: Completion/X/Command/_xinput: new xinput completion

	* 46075: drelo: Completion/Unix/Type/_find_net_interfaces:
	prefer ip on linux for finding network interfaces

	* 45895: oxiedi: Completion/Base/Utility/_sequence,
	Test/Y01completion.ztst: ignore dedup patterns in _sequence

2020-06-25  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 46068 (tweaked) (was: github #57): Doc/Zsh/zle.yo, README,
	Src/Zle/zle.h, Src/Zle/zle_refresh.c, Src/Zle/zle_utils.c,
	Src/prompt.c, Test/X04zlehighlight.ztst: region_highlight:
	Add memo= support.

	* 46102: Test/ztst.zsh: test harness: Make the XPass message
	distinct from the Fail message.

2020-06-22  Peter Stephenson  <p.stephenson@samsung.com>

	* 46079: Src/math.c, Test/C01arith.ztst: Ignore double quotes in
	math expression: treat as white space.

2020-06-22  Manuel Jacob  <me@manueljacob.de>

	* 46091: Doc/Zsh/contrib.yo,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_hg: Add code to
	Mercurial VCS backend to show topic if there is any.

2020-06-19  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 46044 (tweaked per Matthew): Completion/Unix/Command/_units:
	Correct the path to the units data file on Debian with units
	2.00 and newer and on FreeBSD.

2020-06-18  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 46067: Test/A05execution.ztst: Add a unit test for
	workers/46060.

2020-06-18  Peter Stephenson  <p.stephenson@samsung.com>

	* 46060: Src/jobs.c: Ensure process has been signalled before
	taking special action for SIGINT or SIGQUIT.

2020-06-17  Eric Cook  <llua@gmx.com>

	* 45982: Frederick Zhang: Completion/Unix/Command/_zfs:
	Add space read-only property

2020-06-17  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Util/ztst-syntax.vim: internal: ztst.vim: Recognize
	empty "F:" line as well, as the test harness does.

2020-06-17  Miroslav Koškár  <mk@mkoskar.com>

	* 46049: Doc/Zsh/options.yo: docs: Correct the sense of the
	single-letter abstract of the GLOBAL_RCS option (-d)

2020-06-11  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* gitlab !12: Jan Máslo: Completion/Linux/Command/_mat,
	Completion/Linux/Command/_mat2: new completions

	* 46036: Completion/Zsh/Type/_ps1234: fix colouring in prompt
	completion

	* users/24892: Completion/Unix/Type/_files,
	Completion/Zsh/Command/_zstyle: fix local declaration with
	recursive-files style and complete it for zstyle

2020-06-10  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Doc/Zsh/mod_zutil.yo: zstyle docs: Fix typo.

2020-06-09  Peter Stephenson  <p.stephenson@samsung.com>

	* 46026: Doc/Zsh/options.yo, Src/exec.c, Src/options.c,
	Src/zsh.h, Test/A04redirect.ztst: Add CLOBBER_EMPTY option.

2020-06-08  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* uwers/24909: Src/exec.c: Don't clean up files used for
	substitution until after function has run.

2020-06-08  Doron Behar  <doron.behar@gmail.com>

	* gitlab !14 (fixup): Completion/Linux/Command/_modutils:
	modutils comp: Fix getting the value of kver from opt_args

2020-06-07  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 45932: Etc/FAQ.yo: FAQ (3.1): Update ksh compatibility answer
	for reserved word typeset.

	* 45933: Etc/FAQ.yo: FAQ: Add "Why does my bash script report
	an error when I run it under zsh?".

	* 45791 (tweaked): Etc/FAQ.yo, Util/zyodl.vim: FAQ: Explain
	how to binary search one's dotfiles

	* unposted: Etc/FAQ.yo: FAQ: Update section number in links to
	the "The future of zsh" section.

2020-06-06  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Etc/BUGS: Add users/24904 to Etc/BUGS (a process
	substitution / forking issue).

2020-06-05  Mikael Magnusson  <mikachu@gmail.com>

	* 45985: Src/builtin.c: typeset: Fix leaving corrupted entries
	in paramtab

2020-06-03  Yasuhiro KIMURA  <yasu@utahime.org>

	* 45950: configure.ac: Fix 'make install' in out-of-tree
	tarball builds.

2020-06-01  Matthew Martin  <phy1729@gmail.com>

	* 45940: Completion/BSD/Command/_kdump,
	Completion/BSD/Command/_ktrace,
	Completion/BSD/Type/_ktrace_points: Add _kdump and _ktrace
	completers and supporting _ktrace_points type.

	* 45939: Completion/Linux/Command/_ionice,
	Completion/Unix/Command/_lsof, Completion/Unix/Command/_pgrep,
	Completion/Unix/Command/_renice, Completion/Unix/Type/_pgids:
	Add _pgids type.

2020-06-01  Doron Behar  <doron.behar@gmail.com>

	* gitlab !14: Completion/Linux/Command/_modutils: modutils
	completion: Fix getting the value of kver from opt_args

2020-05-30  Bart Schaefer  <schaefer@zsh.org>

	* 45915: Src/utils.c: fix handling of hyphens in spckword()

2020-05-28  Yasuhiro KIMURA  <yasu@utahime.org>

	* 45934: Completion/Unix/Command/_subversion: Make 'svnliteadmin'
	completed same as 'svnadmin'

2020-05-28  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Util/zyodl.vim: Highlight the word "note", like
	ft=help does.

	* unposted: Util/zyodl.vim: Highlight yodl continuation line
	marker

	* 45923 (with memory leak fixed, cf. 45924): Src/Modules/zprof.c,
	Src/exec.c: zprof: Don't tally all anonymous functions as though
	they were a single function named "(anon)".

2020-05-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 45900: Src/lex.c, Test/D04parameter.ztst: Fix issues with
	escaped newline in $-substitution.

2020-05-21  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 45884 (Oliver's, edited by me): Etc/BUGS: Add a few entries.

2020-05-20  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 45862: Test/D04parameter.ztst: Add test cases for 45843#1
	and 45843#2, adapted from Aaron Esau and pws.

2020-05-17  Eitan Adler <lists@eitanadler.com>

	* Eitan Adler: unposted: config.guess, config.sub: update to
	2020-04-26.

2020-05-17  Matthew Martin  <phy1729@gmail.com>

	* 45831: Completion/Unix/Command/_vi: Add _vi completer.

2020-05-16  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* users/24843: Doc/Zsh/compsys.yo: zshcompsys(1): Point to the
	'format' style from the 'tag-order' style.

2020-05-12  Mikael Magnusson  <mikachu@gmail.com>

	* 45796: Src/subst.c, Test/D04parameter.ztst: Support
	${name:offset:length} with an empty offset

2020-05-09: Eitan Adler <lists@eitanadler.com>

	* noraj: gitlab !13: Completion/Unix/Type/_tar_archive: libarchive and
	GNU tar can uncompress zstandard (zstd) based files

2020-05-07: Eitan Adler <lists@eitanadler.com>

	* unposted: Completion/Unix/Type/_tar_archive: libarchive based
	tar can uncompress zip files

2020-05-07  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Completion/Debian/Command/_dscverify,
	Completion/Unix/Command/_pandoc: Use alternation patterns rather
	than brace expansion

2020-05-05  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 45764: Test/D07multibyte.ztst: Add a regression test for 45772.
	Test by Roman

2020-05-05  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 45772: Src/params.c: Upon restoring locale variables, restore
	the corresponding system settings.

2020-05-23  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* unposted: Src/Builtins/rlimits.c: add a comment about how to
	add a new resource.

	* 45614: Completion/Redhat/Command/_dnf: add support for several
	subcommands and options.

2020-05-03  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 45731: Completion/Debian/Command/_debsnap: New completion
	function.

	* 45730: Completion/Base/Utility/_arguments, Doc/Zsh/compsys.yo,
	Src/Zle/computil.c, Src/utils.c, Test/Y03arguments.ztst:
	_arguments: Add the -0 flag, which makes $opt_args be populated
	sanely.

	* 45729: Src/Modules/curses.c, Src/Zle/compcore.c,
	Src/Zle/computil.c, Src/builtin.c, Src/linklist.c: internal:
	Add a second parameter to zlinklist2array(), analogously to
	hlinklist2array().

2020-05-02  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Util/zyodl.vim: Use 'conceal' for some macros that
	expand to a single character.

	* 45737 (+ docs, and update the test from 45722):
	Doc/Zsh/mod_zutil.yo, README, Src/Modules/zutil.c,
	Test/V05styles.ztst: zstyle: When determining the weight
	(specificity) of a pattern, consider the number of components
	before anything else, as documented.

	* unposted: Test/V05styles.ztst: Revert unintentional move
	from 45722.

	* 45739: Doc/Zsh/compsys.yo, Doc/Zsh/zftpsys.yo: docs:
	Clarifications about zstyle patterns.

	* 45722: Doc/Zsh/mod_zutil.yo, V05styles.ztst: docs: Change
	zstyle example to a non-hierarchical one

	* 45752/0002: Completion/Unix/Command/_gcc: Complete --output
	like -o.

	* 45752/0001: Completion/Unix/Command/_gcc: Add .cpp and .hpp
	to the ignored extensions list.

2020-04-27  Benjamin Esham  <benjamin@esham.io>

	* github #56: Doc/Zsh/mod_zutil.yo: typo: Add a single quote
	that had been missing

2020-04-21  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: README: Give the 'zsystem flock' limit in
	pretty-printed form as well.

2020-04-21  dana  <dana@dana.is>

	* github #54: davey hathorn: Completion/Unix/Command/_dig:
	Fix dig completion error

2020-04-20  dana  <dana@dana.is>

	* unposted: NEWS, README: Document zsh/system changes from
	workers/45708

	* unposted: Doc/Zsh/mod_system.yo: Adjust documentation from
	workers/45708

	* Cedric Ware: 45708: Doc/Zsh/mod_system.yo,
	Src/Modules/system.c, Src/compat.c, Src/utils.c,
	Test/V14system.ztst: Enable sub-second timeout in zsystem flock

	* 45702: Doc/Zsh/compsys.yo: Improve documentation of
	{insert,separate}-sections

2020-04-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 45684: Doc/Zsh/expn.yo: - glob qualifier behaviour in error
	cases.

2020-04-12  dg1727  <dg1727@protonmail.com>

	* 45661: Doc/Zsh/params.yo: docs: Clarify the effect of
	KSH_ARRAYS on the (I) subscript.

2020-04-09  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 45660: Src/builtin,c, Src/init.c: Delay initial setting of
	keympa options until module system is active.

2020-04-05  dana  <dana@dana.is>

	* 45655: Completion/Darwin/Type/_retrieve_mac_apps: Update
	search paths and Spotlight index check for recent macOS

2020-04-05  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 45656: Etc/BUGS: Document the -o emacs segfault bug.

2020-04-02  Mikael Magnusson  <mikachu@gmail.com>

	* 45142: Doc/Zsh/grammar.yo, Doc/Zsh/options.yo, Src/lex.c,
	Src/options.c, Src/parse.c, Src/zsh.h, Test/E01options.ztst:
	Add SHORT_REPEAT option

2020-04-02  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Test/D02glob.ztst: Make test platform-independent.

2020-04-01  dana  <dana@dana.is>

	* 45542: Test/P01privileged.ztst: Use test-directory owner for
	auto-determined EUID/EGID

	* unposted: Test/D02glob.ztst: Fix platform-dependent test
	failure introduced by workers/45583

2020-03-29  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 45649: Completion/Unix/Command/_unison: completion: Simplify
	Unison completion. No functional change.

2020-03-29  Henri Menke  <henri@icp.uni-stuttgart.de>

	* 45646: Completion/Unix/Command/_unison: completion: Unison:
	Honour the $UNISON variable

2020-03-28  Gastón Haro  <gaston.haro@fing.edu.uy>

	* github #46: Completion/Unix/Command/_git: _git-restore:
	Complete arguments to the --source option after a '=' sign

2020-03-28  Gastón Haro  <harogaston@users.noreply.github.com>

	* github #46: Completion/Unix/Command/_git: Better restrict
	git-restore(1) file completions

2020-03-28  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 45644: Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	vcs_info git: Fix current patch's name in several cases.

	* unposted: Test/V07pcre.ztst: Fix syntax error introduced
	in 45591.

	* 45640: Test/B13whence.ztst: Fix new test when ${PWD}'s value
	contains symlinks.

2020-03-26  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 45627: Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	vcs_info git: Under git-am(1) conflicts, pass to the
	gen-applied-string hook information on already-applied patches.

	* 45625: Functions/VCS_Info/Backends/VCS_INFO_get_data_svn:
	vcs_info svn: Detect the "working copy format is too new" error.

	* 45626: Functions/VCS_Info/Backends/VCS_INFO_get_data_bzr,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_p4,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_svk,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_svn,
	Functions/VCS_Info/VCS_INFO_set-branch-format,
	Functions/VCS_Info/vcs_info: vcs_info: Deduplicate calling the
	set-branch-format hook.

	* 45624: Functions/VCS_Info/Backends/VCS_INFO_get_data_fossil,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_p4,
	Functions/VCS_Info/VCS_INFO_bydir_detect: vcs_info: Set $rrn
	in all backends.

	* 45623: Completion/Unix/Command/_quilt: Add subcommand
	descriptions

	* 45622: Completion/Unix/Command/_quilt: Categorize subcommands

	* 45584, 45620: Test/B12limit.ztst: zsh/rlimits: Skip the tests
	for this module when it wasn't compiled in.

	* 45591 (Cf. 45587, 45620): Test/V01zmodload.ztst,
	Test/V07pcre.ztst: In the test suite, centralize testing that
	compiled modules can be loaded successfully.

2020-03-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 45616: Src/loop.c, Test/A01grammar.ztst: Remove tokens
	from count to repeat keyword.

2020-03-25  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 45583/0008: Etc/BUGS, Src/utils.c, Test/B13whence.ztst:
	Extend tests to prove that what remains of xsymlinks() handles
	symlink loops gracefully.

	* 45583/0007: Src/utils.c: Remove code that is now unreachable.

	* 45583/0006: Src/utils.c: Don't use xsymlinks() in 'whence -s'.

	* 45583/0005: Test/B13whence.ztst: Add a test for bin_whence's
	symlinks resolution.

	* 45583/0004: Etc/BUGS, Src/utils.c, Test/D02glob.ztst: Fix
	segfault on resolving symlink loops

	* 45583/0003: Src/hist.c, Src/subst.c: chrealpath: Let caller
	decide how the return value should be allocated.

	* 45583/0002: Src/hist.c, Src/subst.c: chrealpath: Make symlink
	resolution optional.

	* 45583/0001: Test/D02glob.ztst: Add tests for the segfault on
	resolving a symlink loop bug (workers/45282).

	* 45590/0002 (in part): Test/B12limit.ztst: zsh/rlimits: Test
	that ulimit letters are unique.

2020-03-25  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 45601: Test/E02xtrace.ztst: fix one more return status

2020-03-22  Rin Okuyama  <rokuyama.rk@gmail.com>

	* github #51: aczsh.m4, configure.ac: Fix configure for cross
	build.

2020-03-22  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 45601: Test/E02xtrace.ztst: Fix status in new functions -T
	test.

	* 45563: Src/utils.c: %z supplies zlong for errors and warnings.

2020-03-22  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 45583/0009: README, Src/parse.c, Test/E02xtrace.ztst: Add
	end-of-options guard support to 'function -T'.

	* 45583/0008: Doc/Zsh/grammar.yo, README, Src/exec.c,
	Src/parse.c, Test/E02xtrace.ztst: Add the 'function -T' syntax.

	* 45583/0007: Config/version.mk, Src/exec.c, Src/parse.c,
	Src/text.c: WC_FUNCDEF: Add a placeholder element.

	* 45583/0006: Src/parse.c: internal: Add some comments for
	orientation. No functional change.

	* 45583/0005: Src/parse.c: internal: Document the WC_FUNCDEF
	data layout for anonymous functions with arguments (follow-up
	to 29492)

	* 45583/0004: Src/parse.c, Src/zsh.h: internal: Add some comments
	around wordcodes. No functional change.

	* 45583/0003: Src/parse.c, Src/zsh.h: internal: Add some comments
	around Eccstr. No functional change.

	* 45583/0002: Src/parse.c: internal: Reduce some variables'
	visibility. No functional change.

	* 45583/0001: Src/exec.c: internal: Remove a redundant
	assignment.

2020-03-20  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Src/Builtins/rlimits.c: Deconfuse $EDITOR's balanced
	braces mode.  No functional change.

	* unposted: Doc/Zsh/expn.yo: ${(Z)}: Convert documentation to
	a description block.

	* unposted: Util/ztst-syntax.vim: internal: ztst.vim: Make
	sure syntax elements are only hidden if they're followed by
	something visible

2020-03-18  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: .editorconfig: Specify tabs for Makefiles.

2020-03-17  Daniel Shahaf  <danielsh@apache.org>

	* 45572: Completion/Linux/Command/_sshfs: Complete some more
	options

2020-03-17  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 45536: Src/utils.c: fix handling of 8bit character in
	is_wcs_nicechar() and wcs_nicechar_sel() under C-locale.

2020-03-15  Daniel Shahaf  <danielsh@apache.org>

	* 45541: Functions/VCS_Info/test-repo-git-rebase-apply: internal:
	vcs_info git: Add a test case repository for rebase-apply
	situations

	* 45539: Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	vcs_info git: In non-interactive rebases, obtain applied
	patches' names.

	* 45540: Doc/Zsh/contrib.yo,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git: vcs_info git:
	In non-interactive rebases, compute patch names for unapplied
	patches.

	* 45543: Functions/VCS_Info/VCS_INFO_quilt, README: vcs_info
	quilt: Allow quiltcommand to be a function.

	* 45547: Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	vcs_info git: In interactive rebases, process
	gen-unapplied-string arguments like gen-applied-string arguments
	are processed.

	* 45546: Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	vcs_info git: In interactive rebases, properly support the full
	form of the "exec" verb.

	* 45545: Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	vcs_info git: In interactive rebases, ignore comment lines.

2020-03-13  dana  <dana@dana.is>

	* unposted: Completion/Unix/Command/_git: Fix copy/paste error
	in earlier commit that broke `git stash drop`

	* 45535: Completion/Unix/Command/_lz4: Order compression levels
	numerically

	* 45534: Completion/Darwin/Command/_hdiutil: Update image-file
	extensions, image/disk formats, &c.

	* 45531: Completion/Unix/Command/_sh: Complete options more
	accurately

	* 45537 (tweaked per 45550, needs 45536): Test/E02xtrace.ztst:
	Fix inconsistent function-name encoding in preserves-xtrace test

2020-03-12  Daniel Shahaf  <danielsh@apache.org>

	* unposted: .editorconfig: Specify spaces rather than tabs for
	zsh scripts.

2020-03-11  dana  <dana@dana.is>

	* 45470: Test/C02cond.ztst: Simplify '-N cond' test

	* 45424 (tweaked): Completion/Solaris/Command/_pfexec,
	Completion/Unix/Command/_doas, Completion/Unix/Command/_su,
	Completion/Unix/Command/_sudo, Completion/Zsh/Type/_command_names:
	Add **/sbin to PATH when completing commands like sudo

2020-03-10  Romain Porte  <debian@microjoe.org>

	* 45524: Completion/Debian/Command/_dscverify: Add completion
	for dscverify(1) from Debian's devscripts.

2020-03-09  Daniel Shahaf  <danielsh@apache.org>

	* 45518 + unposted tweak (change single quotes to double quotes):
	Test/V01zmodload.ztst: Fix V01zmotload.ztst test failures when
	zsh/parameter is dynamically linked (which is the default).

2020-03-07  Daniel Shahaf  <danielsh@apache.org>

	* unposted: README: Move a new incompatibility notice.

	* unposted: Test/V01zmodload.ztst: Fix trailing whitespace in
	test expectations.

2020-01-29  Daniel Shahaf  <danielsh@apache.org>

	* 45342: Test/V01zmodload.ztst: Add tests for interaction
	between autoloadable parameters and module loading.

2020-01-17  Daniel Shahaf  <danielsh@apache.org>

	* 45313: Completion/Unix/Command/_git: Support completion from
	outside of a worktree when --git-dir/--work-tree are specified
	on the command line

2020-01-16  Daniel Shahaf  <danielsh@apache.org>

	* 45304: Src/loop.c, Test/A01grammar.ztst: Do execute the always
	block even when the try/always block itself is the last command.

2020-01-15  dana  <dana@dana.is>

	* 45292: Test/D02glob.ztst: Add regression test for macOS stat(2)
	misbehaviour, now worked around by previous fix (see workers/42891)

	* Daniel: 45291: Src/glob.c, Test/D02glob.ztst: A glob with a
	trailing slash will now match unreadable/unexecutable directories.

2020-01-15  Daniel Shahaf  <danielsh@apache.org>

	* 45288: Completion/Unix/Command/_git: Complete bisect/new as
	well as bisect/bad.

2020-01-06  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 45246: configure.ac: Make --disable-multibyte warn, since
	the test suite fails in that configuration.

2020-01-06  Daniel Shahaf  <danielsh@apache.org>

	* 45213: README, configure.ac: Make --enable-gdbm default to
	false, rather than default to true with an unavoidable warning.

2019-12-26  Daniel Shahaf  <danielsh@apache.org>

	* unposted (follow-up to 45131): Test/E02xtrace.ztst: Extra
	testing by Mikael

	* 45137: Src/Modules/zutil.c, Test/V13zformat.ztst: zformat:
	Allow the specifying minimum width and a dot with an empty
	maximum width.

	* 45138: Src/Modules/zutil.c, Test/V13zformat.ztst: Add zformat
	unit tests.

	* 45131: Src/exec.c, Test/E02xtrace.ztst: Make a function that
	redefines itself preserve its tracedness.

2020-03-06  Daniel Shahaf  <danielsh@apache.org>

	* unposted: Completion/BSD/Type/_obsd_architectures: Remove
	'sgi', as that OpenBSD port has been discontinued.

2020-03-06  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 45509: Test/B01cd.ztst: Fix typos.

	* 45490 (+45495 and a test): .gitignore,
	Src/Builtins/rlimits.awk, Src/Builtins/rlimits.c,
	Src/Builtins/rlimits.mdd, Test/B12limit.ztst, configure.ac:
	Refactor rlimits.c.

2020-03-05  Bryan Irvine  <sparctacus@gmail.com>

	* github #49: Completion/BSD/Type/_obsd_architectures: Fix typo:
	longson should be loongson

2020-02-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/24710: Src/exec.c, Src/jobs.c, Src/signals.c: when using
	kill or killpg to test for continued existince of a process
	group, check errono is ESRCH on failure as EPERM indicates
	processes exist but under a different UID.

2020-02-27  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 45492: Test/D02glob.ztst: skip test added by users/24633 
	on Cygwin.

2020-02-25  Peter Stephenson  <p.stephenson@samsung.com>

	* 45488: Marc Cornella: Completion/bashcompinit: Need "$@"
	quoting for empty words in COMP_WORDS for bash completion.

2020-02-24  Peter Stephenson  <p.stephenson@samsung.com>

	* 45487: Src/Zle/zle_keymap.c, Src/Zle/zle_main.c,
	Src/Zle/zle_move.c, Src/builtin.c, Src/compat.c, Src/utils.c:
	Add missing mod_export for AIX compilation.

2020-02-19  Daniel Shahaf  <danielsh@apache.org>

	* 45447: Completion/Zsh/Command/_zstyle,
	Completion/Zsh/Function/_vcs_info,
	Completion/Zsh/Type/_vcs_info_hooks: Complete vcs_info_hookadd
	and vcs_info_hookdel. Expose _vcs_info_hooks as a top-level
	helper function.

2020-02-18  Chris Down  <chris@chrisdown.name>

	* 45463: Test/B11kill.ztst: test: kill: Document why we use
	SIGURG

	* 45453: Src/jobs.c, Test/B11kill.ztst: builtins: kill: Do not
	signal current process group when pid is empty

	* 45452: Test/B11kill.ztst: builtins: kill: Add `kill ''`
	regression test with explicit sigspec

	* 45451: Test/B11kill.ztst: builtins: kill: Add basic test suite

2020-02-17  brian m. carlson  <sandals@crustytoothpaste.net>

	* github #48/0002:
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git: vcs_info git:
	properly detect bare repositories

	* github #48/0001:
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git: vcs_info git:
	avoid warnings in bare repositories

2020-02-14  dana  <dana@dana.is>

	* unposted: Config/version.mk: Post-release version bump

	* unposted: Config/version.mk: Update for 5.8

	* Sam Foxman, Daniel Shahaf, dana: CVE-2019-20044: NEWS,
	README, Src/openssh_bsd_setres_id.c, Src/options.c, Src/zsh.mdd,
	Src/zsh_system.h, Test/E01options.ztst, Test/P01privileged.ztst,
	Test/README, configure.ac: Fix insecure dropping of privileges
	when unsetting PRIVILEGED option

	* unposted: Test/V01zmodload.ztst: Fix failing test from
	workers/45385

	* 45423 (tweaked): Completion/Unix/Command/_su: Improve arg
	handling, shell look-ups

2020-02-07  dana  <dana@dana.is>

	* unposted: Completion/Unix/Command/_zip: Recognise '--'

2020-02-06  Daniel Shahaf  <danielsh@apache.org>

	* 45385: Test/V01zmodload.ztst: Add a test for 'zmodload -Fa'
	preemptively disabling ("blacklisting"?) features.

2020-02-06  dana  <dana@dana.is>

	* unposted: Config/version.mk: Update for 5.7.1-test-3

	* Roman Perepelitsa: 45382: Src/Modules/system.c: Fix infinite
	loop in sysread

	* Martin von Wittich: 45388 (tweaked):
	Completion/Unix/Type/_diff_options: Restore -w completion lost
	in workers/43351

2020-02-03  Daniel Shahaf  <danielsh@apache.org>

	* 45368: Test/B01cd.ztst, Test/D02glob.ztst: Add tests for
	workers/45367's issue about double slashes in 'cd -P' and
	$PWD.

2020-02-02  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 45373: Src/loop.c, Test/C03traps.ztst: ERR_EXIT failed on
	command substitution in else branch.

2020-02-02  Daniel Shahaf  <danielsh@apache.org>

	* 45372: Etc/BUGS: Record a symlink loop bug involving :P

2020-02-02  WGH  <wgh@torlan.ru>

	* 45365: Completion/Unix/Command/_git: Fix __git_recent_branches
	for the case when a commit has an empty message

2020-01-29  Daniel Shahaf  <danielsh@apache.org>

	* 45343: Src/exec.c, Src/math.c: Queue signals around arithmetic
	evaluations

	* 45344: INSTALL: Document where third-party completion functions
	should be installed.

2020-01-28  Daniel Shahaf  <danielsh@apache.org>

	* 45345: Util/ztst-syntax.vim: internal: ztst.vim: Fix
	highlighting of zsh comments in test payload

2020-01-26  Daniel Shahaf  <danielsh@apache.org>

	* unposted: Src/init.c: internal: Add some comments and fix
	indentation.  No functional change.

2020-01-23  Daniel Shahaf  <danielsh@apache.org>

	* 45340: Src/params.c: internal: Document the difference between
	paramtab and realparamtab.

2020-01-19  Eitan Adler  <lists@eitanadler.com>

	* 45332: Completion/Unix/Command/_git: add completion for
	git-version

2020-01-19  Mikael Magnusson  <mikachu@gmail.com>

	* unposted: _brace_parameter: add missing \

2020-01-16  Daniel Shahaf  <danielsh@apache.org>

	* 45305: Test/A01grammar.ztst: Add an XFail test: The
	exec-last-command optimization is applied to try/always.

	* 45307: Doc/Zsh/mod_zutil.yo: zstyle docs: Unoverload a
	placeholder variable name.

	* 45306: Doc/Zsh/mod_zutil.yo: zstyle docs: Introduce the first
	synopsis in the same way as all others: with an item()().

	* unposted: Doc/Zsh/options.yo, Doc/Zsh/params.yo: docs: Fix
	a cross-reference.

2020-01-15  Daniel Shahaf  <danielsh@apache.org>

	* 45287: Doc/Zsh/expn.yo: zshexpn: Describe parameter elision
	and add some introductory prose

	* 45302: Src/builtin.c: bin_umask(): Queue signals around
	umask().

2020-01-14  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* users/24656: Doc/Zsh/mod_zutil.yo: docs: Add an example of
	setting and querying zstyles

2020-01-14  Peter Stephenson  <p.stephenson@samsung.com>

	* users/24659: Doc/Zsh/compsys.yo: Cross-reference use of
	matcher and matcher-list with tag-order.

2020-01-13  dana  <dana@dana.is>

	* 45296: Test/D02glob.ztst: Clean up after test from users/24633

2020-01-13  Daniel Shahaf  <danielsh@apache.org>

	* 45290: Test/list-XFails: New helper script for listing
	XFail tests.

2020-01-12  Daniel Shahaf  <danielsh@apache.org>

	* users/24633: Test/D02glob.ztst: Add an xfail test for
	users/24619.

2020-01-11  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* unposted: Completion/Unix/Command/_cat: additional typo fix

	* Eitan: 45280: Completion/Unix/Command/_git: add -local
	variants to completed date formats

2020-01-11  Peter Stephenson  <p.stephenson@samsung.com>

	* users/24628 (fixed up): Doc/Zsh/contrib.yo: Add example of how
	to bind word matching widget with a fixed style.

2020-01-10  Daniel Shahaf  <danielsh@apache.org>

	* 45266: Completion/Linux/Command/_losetup: Fix losetup
	completion, broken in da085b7a20729401c725f91ae930200d0deda64f
	(41720).

	* unposted: Doc/Zsh/mod_zpty.yo: Fix punctuation.

2020-01-10  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 45264: configure.ac: use /dev/fd on Cygwin for process
	substitution

2020-01-09  Daniel Shahaf  <danielsh@apache.org>

	* unposted: Completion/Debian/Command/_sbuild,
	Completion/Unix/Command/_growisofs: Two additional typo fixes.

2020-01-09  Jens Schleusener  <Jens.Schleusener@fossies.org>

	* 45269: Completion/BSD/Command/_mixerctl,
	Completion/Darwin/Command/_fs_usage,
	Completion/Darwin/Type/_mac_files_for_application,
	Completion/Debian/Command/_sbuild,
	Completion/Linux/Command/_brctl,
	Completion/Linux/Command/_findmnt,
	Completion/Linux/Command/_ltrace,
	Completion/Mandriva/Command/_urpmi,
	Completion/Redhat/Command/_yum,
	Completion/Unix/Command/_attr, Completion/Unix/Command/_git,
	Completion/Unix/Command/_graphicsmagick,
	Completion/Unix/Command/_iconv,
	Completion/Unix/Command/_imagemagick,
	Completion/Unix/Command/_links,
	Completion/Unix/Command/_luarocks,
	Completion/Unix/Command/_objdump, Completion/Unix/Command/_od,
	Completion/Unix/Command/_pandoc, Completion/Unix/Command/_ping,
	Completion/Unix/Command/_pkg-config,
	Completion/Unix/Command/_postgresql,
	Completion/Unix/Command/_rubber,
	Completion/Unix/Command/_transmission,
	Completion/Unix/Type/_baudrates,
	Completion/Unix/Type/_path_files, Etc/FAQ.yo,
	Functions/Zftp/zfautocheck, Misc/c2z, Src/Modules/curses.c,
	Src/Modules/db_gdbm.c, Src/Modules/parameter.c, Src/Zle/comp.h,
	Src/Zle/compcore.c, Src/Zle/compctl.c, Src/Zle/complete.c,
	Src/Zle/compresult.c, Src/Zle/computil.c, Src/Zle/zle_keymap.c,
	Src/Zle/zle_main.c, Src/Zle/zle_refresh.c, Src/pattern.c,
	Src/zsh.h, Src/ztype.h, Test/B01cd.ztst, Test/D04parameter.ztst:
	Fix misspellings in completions and elsewhere.

2020-01-08  Mikael Magnusson  <mikachu@gmail.com>

	* 45272, 45273: Fix more typos.

2020-01-08  dana  <dana@dana.is>

	* 45261: Completion/Unix/Command/_gcc: Detect clang-as-gcc

2020-01-07  Daniel Shahaf  <danielsh@apache.org>

	* unposted: Test/X04zlehighlight.ztst: internal: Remove Vim
	modeline that interferes with ztst.vim.

	* unposted: Util/ztst-syntax.vim: internal: ztst.vim: Use
	:syn-sync to work around (#x) and "`\\\\\\\\`" confusing the
	highlighting.

	* unposted: Util/zyodl.vim: internal: zyodl.vim: Support glob
	qualifiers in example()'s

	* unposted: Util/zyodl.vim: internal: zyodl.vim: Support yodl
	comments.

2020-01-07  Damien Thébault  <damien.thebault@gmail.com>

	* github #44: Completion/Unix/Command/_picocom: Allow completion
	for picocom to list symlinks to character devices

2020-01-06  dana  <dana@dana.is>

	* Eitan Adler: 45245: Completion/Unix/Command/_gcc: add some
	clang specific warnings

2020-01-06  Daniel Shahaf  <danielsh@apache.org>

	* 45231: Completion/Unix/Command/_rsync: When completing remote
	modules, ignore more of the motd.

2020-01-05  dana  <dana@dana.is>

	* unposted: Completion/Unix/Command/_tac: Eliminate superfluous
	variable

	* 45226 (with Daniel, 45223): Completion/Unix/Command/_man:
	Improve completion of file paths

	* 45184: Doc/Zsh/compsys.yo, Doc/Zsh/compwid.yo: Clarify
	documentation of %-sequences understood by compadd -[Xx]

2020-01-05  Andrey Butirsky  <butirsky@gmail.com>

	* 45239: Functions/Newuser/zsh-newuser-install: Remove
	'appendhistory' from zsh-newuser-install

2020-01-03  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 45218: Completion/Unix/Command/_swaks: add more options

	* 45196: Completion/Unix/Command/_make: fix completion after
	make -C, allowing for -C being used multiple times

2020-01-02  Daniel Shahaf  <danielsh@apache.org>

	* unposted (after 45183): Doc/Zsh/contrib.yo: Fix yodl error:
	"contrib.yo:4457: No macro: back(...)".

	* 45181: Src/glob.c, Test/D04parameter.ztst: Fix workers/45164:
	${(S)%%} will now consider the empty string as a potential match.

2020-01-01  dana  <dana@dana.is>

	* Stephane: 45183: Doc/Zsh/builtins.yo, Doc/Zsh/contrib.yo,
	Doc/Zsh/expn.yo: Improve documentation examples

2020-01-01  Daniel Shahaf  <danielsh@apache.org>

	* unposted: Test/D04parameter.ztst: Add some tests for ${(S)},
	including a regression test for workers/45164.

	* 45169/0002 (tweaked for trailing newlines): Etc/BUGS,
	Test/C03traps.ztst: Add an expected-to-fail test for
	workers/44007.

	* 45169/0001: Test/B01cd.ztst, Test/ztst.zsh,
	Util/ztst-syntax.vim: In the test suite, allow test cases to
	be marked as expected to fail.

2019-12-31  Daniel Shahaf  <danielsh@apache.org>

	* users/24582 + users/24583: Test/D04parameter.ztst,
	Test/Y01completion.ztst: Add regression tests for the previous
	commit.

2019-12-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* users/24581: Src/Zle/zle_tricky.c, Src/hist.c: Array assignments
	after the first weren't parsed correctly by ${(z)...} or by
	completion.

2019-12-31  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 45160: Doc/Zsh/expn.yo: zshexpn: Expand documentation
	of (S)

2019-12-28  Sebastian Gniazdowski  <sgniazdowski@gmail.com>

	* 45150 + 45152: Doc/Zsh/expn.yo: zshexpn: Use a more minimal
	example in the documentation of (#b).

2019-12-27  Daniel Shahaf  <danielsh@apache.org>

	* unposted: Test/B01cd.ztst, Util/ztst-ftplugin.vim,
	Util/ztst-syntax.vim: internal: Vim ztst support: Add an ftplugin
	in addition to the syntax highlighter.

2019-12-26  dana  <dana@dana.is>

	* 45130: Completion/Base/Utility/_multi_parts: Always pass -f
	to compadd if given by caller

	* unposted: Src/utils.c: Fix macro guard missed in previous
	commit

2019-12-26  Daniel Shahaf  <danielsh@apache.org>

	* unposted: Src/utils.c: internal: Allow %L in zerrmsg() in
	non-debug builds, too.

2019-12-23  Daniel Shahaf  <danielsh@apache.org>

	* unposted: Completion/Unix/Command/_stdbuf: Fix mismatch
	between the long options on the one hand, and the short options
	and descriptions on the other hand.

2019-12-22  Daniel Shahaf  <danielsh@apache.org>

	* unposted: Test/B01cd.ztst, Util/ztst.vim: Fix broken build:
	45109 (!) broke Test/Y01completion.ztst.

	* 45110: Doc/Zsh/grammar.yo: zshmisc(1): Fix markup of "try-list"
	and "always-list".

	* 45111: Doc/Zsh/grammar.yo, Etc/BUGS, NEWS,
	Test/A01grammar.ztst: zshmisc(1): Clarify the documentation of
	'return' and 'exit' in conjunction with try/always

	* 45112: Doc/Zsh/mod_zutil.yo: zshmodules: Explicitly document
	the return values of the 'zstyle' getters -s, -b, and -a.

	* 45113: Doc/Zsh/contrib.yo: vcs_info docs: Clarify documentation
	of the %p/%u/%a patch-format expandos.

	* 45114: Functions/VCS_Info/VCS_INFO_patch2subject: vcs_info
	quilt: Improve support for svn-style patch headers.

	* 45115: Misc/vcs_info-examples: vcs_info examples: Make the
	quilt-patch-dir example friendlier.

	* 45116: Misc/vcs_info-examples: vcs_info examples: Add an
	example of showing Git environment variables.

	* 45107: Test/ztst.vim: Highlight some more special variables

	* 45108: Test/ztst.vim: Conceal the '>' or '?' on pattern
	expected output / expected errput lines.

	* 45109: Test/B01cd.ztst, Test/ztst.vim, Util/zyodl.vim: Add
	Vim highlighting file for Test/*.ztst files.

2019-12-21  dana  <dana@dana.is>

	* unposted: Config/version.mk: Update for 5.7.1-test-2

	* 45101: Etc/creating-a-release.txt: Adjust white space

	* 45101 (tweaked per 45104): Etc/creating-a-release.txt:
	Document new dev/test versioning scheme, clarify other release
	steps. New versioning scheme not to be used until after 5.8

2019-12-21  Daniel Shahaf  <danielsh@apache.org>

	* unposted: Test/A01grammar.ztst: Group related tests.
	No functional change.

	* unposted: Etc/BUGS: Add two bugs discussed on -workers@
	this week

2019-12-20  dana  <dana@dana.is>

	* 45055: Doc/Zsh/compsys.yo: Clarify _files documentation

2019-12-18  Peter Stephenson  <p.stephenson@samsung.com>

	* 45083: Src/exec.c: execarith() needs signal protection as
	it sets variables.

2019-12-18  Daniel Shahaf  <danielsh@apache.org>

	* 45076: Src/loop.c: internal: Simplify handling of
	try_tryflag. No functional change.

	* 45066: Src/builtin.c, Src/exec.c, Src/params.c: internal:
	Document forklevel, locallevel, and exit_pending.

	* 45065: Src/Makefile.in: Make 'make -s' print nothing when it
	does nothing.

	* 45064: Src/utils.c: Fix the mktemp() warning, in debug
	builds only.

	* 45073: Doc/Zsh/contrib.yo: regex-replace docs: Simplify grammar
	(avoid a double negative, state defaults first).

2019-12-17  Daniel Shahaf  <danielsh@apache.org>

	* 45058: Src/Modules/zpty.c, Src/Zle/zle_main.c, Src/builtin.c,
	Src/exec.c, Src/init.c, Src/signals.c, Src/subst.c, Src/zsh.h:
	internal: Add symbolic names to possible values of zexit()'s
	"from_where" parameter. No functional change.

	* unposted: Src/builtin.c: Update comment to reflect variable
	rename in 41012 (zsh-5.3.1-182-gd7110d8f0).

2019-12-16  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 44698, 45000: Baptiste BEAUPLAT: Completion for sbuild

	* github #36: Aurélien Olivier: Add completion file for GNU Stow

	* 45035: Doc/Zsh/zle.yo: be explicit about the need for
	a # in colours specified as hex triplets

2019-12-15  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 45025: Src/exec.c: fix re-entrancy problem with memory
	management in readoutput().  This could cause a signal
	received during $(...) to corrupt memory.

2019-12-14  dana  <dana@dana.is>

	* unposted: Config/version.mk, Etc/FAQ.yo, README: Update for
	5.7.1-test-1

2019-12-12  Peter Stephenson  <p.stephenson@samsung.com>

	* Martijn: 45009: Src/builtin.c, Doc/Zsh/builtins.yo,
	Doc/Zsh/options.yo: POSIX_CD needs to suppress special
	use of options so that POSIX-allowed argument forms work as
	expected.

	* 45001: Src/glob.c, Test/D04parameter.ztst: ${...%...} didn't
	test for zero-length matches, which should be preferred where
	possible.

2019-12-11  Martijn Dekker  <martijn@inlv.org>

	* 45004: Src/builtin.c, Src/compat.c, Src/exec.c, Src/glob.c,
	Src/hashtable.c, Src/hist.c, Src/init.c, Src/jobs.c,
	Src/lex.c, Src/main.c, Src/mem.c, Src/module.c, Src/params.c,
	Src/parse.c, Src/pattern.c, Src/prompt.c, Src/subst.c,
	Src/text.c, Src/watch.c, Src/zsh.h, Test/A02alias.ztst,
	Test/C01arith.ztst, Test/C02cond.ztst, Test/D03procsubst.ztst,
	Test/D06subscript.ztst, Test/D08cmdsubst.ztst,
	Test/E01options.ztst, Test/V10private.ztst: Fix typos in comments

	* 45003: Etc/FAQ.yo, Etc/zsh-development-guide,
	Functions/Prompts/prompt_oliver_setup,
	Functions/Zle/insert-composed-char, NEWS, README: Fix more
	documentation typos

2019-12-10  Peter Stephenson  <p.stephenson@samsung.com>

	* 44997: Src/Zle/compctl.c: prefix needed extra munging for
	hyphen with GLOB_COMPLETE in compctl.

2019-12-04  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 44976: Src/Zle/zle_main.c: describe-key-briefly in visual mode

	* Sebastian: 44970: Completion/Zsh/Context/_brace_parameter:
	Update the description of S flag

2019-12-04  Martijn Dekker  <martijn@inlv.org>

	* 44981: Doc/Zsh/cond.yo, Doc/Zsh/contrib.yo, Doc/Zsh/expn.yo,
	Doc/Zsh/mod_mapfile.yo, Doc/Zsh/mod_parameter.yo,
	Doc/Zsh/params.yo, Doc/intro.ms: Fix some typos in the
	documentation.

2019-12-03  Daniel Shahaf  <danielsh@apache.org>

	* 44960: Functions/VCS_Info/Backends/VCS_INFO_get_data_cvs:
	vcs_info cvs: Fix infinite loop when /CVS exists.

	* 44961: Functions/VCS_Info/Backends/VCS_INFO_get_data_svn:
	vcs_info svn: Fix infinite loop when /.svn exists.

	* 44962: Functions/VCS_Info/VCS_INFO_bydir_detect,
	Functions/VCS_Info/vcs_info: vcs_info: Document internal function
	and variable

	* 44964: Doc/Zsh/redirect.yo: zshmisc(1): Document APPEND_CREATE
	under the append redirection operators, >> and >>!.

2019-12-02  dana  <dana@dana.is>

	* 44969: Etc/completion-style-guide: Mention defaults and
	superfluous descriptions

	* unposted (cf. 44967): Completion/Linux/Command/_alsa-utils:
	Fix minor syntax error in arg spec

2019-12-02  Daniel Shahaf  <danielsh@apache.org>

	* unposted: Misc/vcs_info-examples: vcs_info: Add an example
	of using $functions to find hooks by name.

2019-12-01  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* unposted: Completion/Unix/Command/_killall: another place
	to complete selinux contexts that was missed in 44781

	* 44968: Completion/Unix/Command/_objdump,
	Completion/Unix/Command/_readelf: cleanup and update objdump
	and readelf completions

	* Sebastian: 44967: Completion/Linux/Command/_alsa-utils:
	Completion for aplay from alsa-utils

2019-12-01  Daniel Shahaf  <danielsh@apache.org>

	* unposted: Src/Modules/zutil.c, Test/V05styles.ztst: zstyle:
	Add a unit test and some comments.

	* unposted: Completion/Unix/Command/_sqlite: Fix syntax error

2019-11-30  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 44958: Functions/VCS_Info/VCS_INFO_quilt, README: vcs_info
	quilt: Avoid forks

	* 44945: Functions/VCS_Info/Backends/VCS_INFO_detect_git:
	vcs_info git: Optimize detection by running fewer external
	commands.

2019-11-29  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 44948: Completion/Unix/Command/_subversion: Make
	_svn_controlled offer everything rather than nothing.

	* 44947: Completion/Unix/Command/_subversion: Complete the
	'auth', 'changelist', 'patch', 'resolve', and 'x-unshelve'
	subcommands.

	* 44946: Completion/Unix/Command/_subversion: Make _svn_conflicts
	not offer all files in the directory.

2019-11-26  Wayne Davison  <wayned@users.sourceforge.net>

	* 44912: Completion/Base/Completer/_expand: Don't set done_quote=1
	if the glob result is empty.  Fixes more cases of missing quotes.

2019-11-24  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 44923: Completion/Unix/Command/_git: update options for 2.24

	* 44896: Completion/Unix/Command/_make: use opt_args to find
	base directory and use it for $(CURDIR)

2019-11-19  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* users/24451: Src/compat.c: zgetcwd: Add a guard against
	returning an empty string.

	* unposted: Test/W01history.ztst: Add smoke test for :P history
	modifier.

2019-11-18  Peter Stephenson  <p.stephenson@samsung.com>

	* users/24445: Src/hist.c: Add missing support for :P to history
	code (was already present in glob qualifiers and variables).

2019-11-11  skirit  <skirit@dump.cz>

	* unposted (salsa.debian.org MR!1): Completion/Unix/Command/_ip:
	Complete the -brief option

2019-11-08  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Doc/Zsh/compsys.yo: _values: Use the formal
	parameter's name in the docstring.

2019-11-07  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 44897: Completion/Unix/Command/_subversion: Complete
	--show-item=changelist

2019-11-06  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 44895: Completion/Solaris/Command/_svccfg: complete options
	for state change notifications and other improvements

	* Eitan Adler: 44882: Completion/Unix/Command/_gcc: add
	completion of -save-stats flag

	* unposted: Completion/Base/Utility/_sequence: fix missing local
	declarations

2019-10-29  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* github #41: Sebastian: Extend _dbus with dbus-launch completion

	* unposted: Completion/Unix/Command/_zfs: tweak to check for
	openzfs rather than Solaris

	* github #40: Teddy Heinen: Completion/Unix/Command/_zfs:
	adjust zfs completion to use acltype on linux instead of aclmode

2019-10-28  Peter Stephenson  <p.stephenson@samsung.com>

	* 44864: Src/jobs.c: Avoid infinite loop in interactive mode
	when trying to grab terminal.  Fail after 100 goes (arbitrary
	choice).

	* Sebastian: 44865: configure.ac: Try harder to link in curses
	even if not needed for termcap variables.

2019-10-18  dana  <dana@dana.is>

	* 44846: Completion/Unix/Type/_dates: Fix regression caused by
	workers/44274

2019-10-18  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* c.f. 44831: Completion/Linux/Command/_tpconfig,
	Completion/Unix/Command/_elm, Completion/Unix/Command/_flasher,
	Completion/Unix/Command/_prcs, Completion/Unix/Command/_raggle,
	Completion/Unix/Command/_uzbl, Completion/Unix/Command/_vux,
	Completion/Unix/Command/_sablotron: remove completion functions
	for long dead projects

	* c.f. 44831: Completion/Unix/Command/_notmuch,
	Completion/Unix/Command/_hg, Completion/X/Command/_zathura:
	remove completion functions included in upstream projects

	* 44849: Completion/Unix/Command/_dhclient,
	Completion/Unix/Command/_date, Completion/Unix/Command/_grep,
	Completion/Unix/Command/_ssh, Completion/BSD/Command/_vmctl:
	completion updates for changes in OpenBSD 6.6

2019-10-16  Peter Stephenson  <p.stephenson@samsung.com>

	* _RuRo_ (Андрей Стоцкий): 44841: Src/exec.c: Better error
	checking of nice, since return value can be negative.

2019-10-14  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 44812: Completion/Unix/Command/_subversion: Fix syntax error
	in 44726/0001

	* 44809: Completion/Zsh/Command/_typeset: Complete 'functions -c'

2019-10-12  dana  <dana@dana.is>

	* 44767: Completion/Base/Core/_description: Ignore -J

	* 44681 (tweaked): Completion/Unix/Command/_composer: Eliminate
	questionable eval, fix quoting issue

2019-10-10  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Src/builtin.c: functions -c: Fix typo

2019-10-04  Roman Perepelitsa  <roman.perepelitsa@gmail.com>

	* 44784: Src/Zle/zle_main.c: Fix infinite loop when TTY
	disappears

2019-10-02  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 44797: Completion/Unix/Command/_git: _git-config: Complete
	unknown options from 'git help -c'.

2019-10-01  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 44800: Completion/Unix/Command/_tmux: complete tmux formats

	* 44799: Completion/Unix/Command/_pv: new pv completion

	* 44798: Completion/Unix/Command/_netstat,
	Completion/Linux/Command/_strace, Completion/X/Command/_xterm
	Completion/Linux/Command/_kpartx, Completion/Linux/Command/_ss,
	Completion/Linux/Command/_btrfs, Completion/X/Command/_xrandr,
	Completion/Unix/Command/_gnutls, Completion/Unix/Command/_make,
	Completion/Unix/Command/_xargs, Completion/Unix/Type/_ld_debug:
	completion option update

2019-09-30  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 44783, 44791: Completion/Solaris/Command/_dladm,
	Completion/Unix/Command/_dsh, Completion/Unix/Command/_ssh,
	Completion/Unix/Command/_ansible: mark some repeatable
	options with * in the _arguments specs

	* 44788: Completion/Redhat/Command/_rpm: handle newer rpm
	commands like rpmkeys, rpmsign and update options

2019-09-26  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 44782: Completion/BSD/Command/_pkgin,
	Completion/Unix/Command/_avahi: new completions

	* Gautam Iyer: gitlab !9: Completion/Unix/Command/_seafile:
	Rudimentary seafile client completion

	* Doron Behar: gitlab !11: Completion/Unix/Command/_luarocks:
	Fix/improve logic of cache validation

	* 44781: Completion/Linux/Type/_selinux_contexts,
	Completion/Linux/Type/_selinux_roles,
	Completion/Linux/Type/_selinux_types,
	Completion/Linux/Type/_selinux_users,
	Completion/Linux/Command/_chcon, Completion/Unix/Command/_cp,
	Completion/Unix/Command/_find, Completion/Unix/Command/_install,
	Completion/Unix/Command/_mkdir, Completion/Unix/Command/_mkfifo,
	Completion/Unix/Command/_mknod, Completion/Unix/Command/_sudo:
	add completion of SELinux contexts

	* 44780: Completion/Unix/Command/_getent: add completion to
	getent for the utmpx key on FreeBSD.

	* 44779: Completion/Unix/Command/_git: completion for new
	git switch and git restore commands

2019-09-24  Bart Schaefer  <schaefer@zsh.org>

	* unposted (see 44772): Functions/Zle/bracketed-paste-magic:
	quote the string argument to zle -U

2019-09-20  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 44768: Completion/Unix/Command/_tar: improve completion of
	long options

2019-09-18  Tobias Schulte  <tobias.schulte@gliderpilot.de>

	* github #38: Completion/Unix/Command/_git: fix completion text
	for git update-index --chmod

2019-09-06  Daniel Hahler  <zsh@thequod.de>

	* 44722: Completion/Unix/Command/_make: use --always-make
	instead of .PHONY for GNU make.

2019-09-04  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 44726/0002: Completion/Unix/Command/_subversion: Update
	--show-item= completion to 1.12.0.

	* 44726/0001: Completion/Unix/Command/_subversion: Use
	'svn help -v' to show global options, experimental options,
	and experimental subcommands (upstream issue SVN-4828, to be
	released in Subversion 1.13.0)

2019-09-04  Ned Batchelder  <ned@nedbatchelder.com>

	* github #37: Doc/Zsh/builtins.yo: Make it easier to understand
	what "fc -e" does.

2019-08-29  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 44714 (tweaked): Src/utils.c: Take account of CDABLE_VARS
	while checking spelling

2019-08-28  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 44710: Src/Builtins/rlimits.awk, Src/Builtins/rlimits.c,
	configure.ac: support RLIMIT_UMTXP on FreeBSD

	* 44709: Src/zsh_system.h: incluce sys/capability.h only if
	HAVE_CAP_GET_PROC is defined

2019-08-27  Peter Stephenson  <p.stephenson@samsung.com>

	* Sebastian: 44712: configure.ac: prefer any form of ncurses to
	other terminal library as we rely on its features to provide
	modules.

2019-08-19  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 44614: Completion/Debian/Command/_apt: apt list option completion

	* Lajos Koszti: 44633: Completion/Unix/Command/_ansible:
	complete ansible-vault actions like create, edit, etc.

	* 44587: Completion/Linux/Command/_btrfs,
	Completion/Linux/Command/_networkmanager,
	Completion/Linux/Command/_ss, Completion/Linux/Command/_sshfs,
	Completion/Linux/Command/_strace, Completion/Unix/Command/_ansible,
	Completion/Unix/Command/_awk, Completion/Unix/Command/_gcore,
	Completion/Unix/Command/_gnutls, Completion/Unix/Command/_ifconfig,
	Completion/Unix/Command/_less, Completion/Unix/Command/_ln,
	Completion/Unix/Command/_lsof, Completion/Unix/Command/_mpc,
	Completion/Unix/Command/_rclone, Completion/Unix/Command/_sqlite,
	Completion/Unix/Command/_tmux: completion option updates

2019-08-17  dana  <dana@dana.is>

	* 44675: Completion/Unix/Command/_find: Fix return status

	* unposted: NEWS: Mention `functions -c`

2019-08-14  Peter Stephenson  <p.stephenson@samsung.com>

	* 44664: Src/params.c, Test/D04parameter.ztst: Ensure
	temporary assignment around builtin in function doesn't
	trash global variable.

2019-08-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 44635: Src/exec.c: don't apply STAT_NOPRINT to backgrounded
	jobs.

2019-08-03  Peter Stephenson  <p.stephenson@samsung.com>

	* 44637: Shlomi Fish: Src/makepro.awk: "=" doesn't need quoting
	in awk regexp and can cause warnings.

2019-07-30  Peter Stephenson  <p.stephenson@samsung.com>

	* Eric Cook: 24102: Completion/Unix/Command/_user_admin: subuids
	/ subgids completion.

2019-07-26  Peter Stephenson  <p.stephenson@samsung.com>

	* Kamil: 44582: Src/Zle/zle_utils.c: update to foregoing to
	use DPUTS() properly.

2019-07-24  Peter Stephenson  <p.stephenson@samsung.com>

	* Kamil: 44566: Src/Zle/zle_utils.c: make failed searches of
	history in Zle robust.

2019-07-19  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 44356: Completion/Unix/Command/_ansible: complete ansible
	callback plugins for the relevant environment variable's value

	* 44551: Completion/Unix/Command/_git: update for new git changes

2019-07-16  Peter Stephenson  <p.stephenson@samsung.com>

	* 44523: Test/Makefile.in: allow ZTST_handler to be something
	other than runtests.zsh to accommodate alternative test modes.

2019-07-15  Peter Stephenson  <p.stephenson@samsung.com>

	* 44509: Src/params.c: Prevent crash with modified PATH / path
	combination in function.

2019-07-10  Peter Stephenson  <p.stephenson@samsung.com>

	* 44505: Functions/Chpwd/zsh_directory_name_generic: Longest
	prefix matching was broken if there were suffixes indicating
	further handling.

2019-07-09  Peter Stephenson  <p.stephenson@samsung.com>

	* unposted: Etc/FAQ.yo: typo. also updates to outdated notes on
	multibyte support.

2019-07-08  Bart Schaefer  <schaefer@zsh.org>

	* 43755: Functions/Zle/smart-insert-last-word: (Belated commit)
	Fix state management for repeat uses to avoid clobbering command
	line when NOT a repeat

	* 44502: Src/builtin.c: Quote function name for "autoload -X"

	* 44495: Doc/Zsh/params.yo: Mention coproc under $!

2019-07-08  Peter Stephenson  <p.stephenson@samsung.com>

	* users/24030: Etc/FAQ.yo: Note that *.{bla,hbl,ahb} is an
	expansion, not a pattern match, and what to do instead.

2019-07-02  Peter Stephenson  <p.stephenson@samsung.com>

	* 44480: Doc/Zsh/mod_socket.yo, Doc/Zsh/mod_system.yo,
	Doc/Zsh/redirect.yo, Src/Modules/system.c, Src/exec.c:
	Don't automatically close FDT_EXTERNAL file descriptors.
	All sysopen-created fd's become FDT_EXTERNAL.  =(...)
	calls closem() consistent with other substitutions.

2019-07-01  Peter Stephenson  <p.stephenson@samsung.com>

	* Martijn: 44469: Src/builtin.c, Test/B10getopts.ztst: correct
	error on missing option argument.

2019-06-24  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 44446: Src/parse.c, Test/A04redirect.ztst: fix here document
	with file descriptor declarator.

2019-06-23  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Martijn: 44443: Src/builtin.c: POSIX allows exporting readonly
	variables.

2019-06-20  Peter Stephenson  <p.stephenson@samsung.com>

	* 44435: Doc/Zsh/expn.yo, NEWS, README, Src/Zle/compctl.c,
	Src/glob.c, Src/hist.c, Src/subst.c, Test/D02glob.ztst,
	Test/D04parameter.ztst, Test/W01history.ztst: Handle
	trailing digit arguments of :t and :h modifiers.

2019-06-19  Peter Stephenson  <p.stephenson@samsung.com>

	* Roman Perepelitsa: 44430: Src/prompt.c: various problems with
	countprompt() including wide characters, split tabs and trailing
	Meta characters.

2019-06-10  Peter Stephenson  <p.stephenson@samsung.com>

	* Eitan Adler: 44409: config.guess, config.sub: update to
	2019-05-28.

2019-06-06  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Stephane (44387, edited): Doc/Zsh/restricted.yo: Describe some
	problems with restricted mode.

2019-06-03  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 44389: Completion/BSD/Type/_bsd_disks,
	Completion/BSD/Type/_fbsd_device_types,
	Completion/Unix/Command/_iostat, Completion/Unix/Command/_vmstat:
	update _iostat and _vmstat for BSD

2019-05-28  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 44361: Src/pattern.c: Ensure variables used recursively are
	initialised in pattern matching.

2019-05-28  Peter Stephenson  <p.stephenson@samsung.com>

	* Jim Murphy: 44364: Doc/Zsh/intro.yo: refer to main zsh page in
	zshall doc.

2019-05-23  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* unposted: Completion/Linux/Command/_iptables: remove spurious
	reference to nonexistent completion function

	* 44349: Completion/Linux/Command/_cryptsetup,
	Completion/X/Command/_x_utils, Completion/Linux/Command/_lsblk,
	Completion/Linux/Command/_ss, Completion/Linux/Command/_valgrind,
	Completion/Linux/Command/_strace, Completion/Unix/Command/_bash,
	Completion/Unix/Command/_dhclient, Completion/Unix/Command/_dig,
	Completion/Unix/Command/_entr, Completion/Unix/Command/_env,
	Completion/Unix/Command/_gem, Completion/Unix/Command/_gnutls,
	Completion/Unix/Command/_links, Completion/Unix/Command/_nm,
	Completion/Unix/Command/_objdump, Completion/Unix/Command/_ruby,
	Completion/Unix/Command/_sed, Completion/Unix/Command/_sqlite,
	Completion/Unix/Command/_ssh, Completion/Unix/Command/_tiff,
	Completion/Unix/Command/_tree, Completion/Unix/Command/_wget,
	Completion/Linux/Command/_ethtool: completion option updates

	* 44345: Src/text.c, Test/A01grammar.ztst: fix wordcode traversal
	where ! without a following command could result in a crash

2019-05-20  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 44307: Src/exec.c, Src/init.c, Src/params.c, Src/utils.c:
	allow for atoi() returning a negative number

	* 44308: Completion/Linux/Command/_modutils: update Linux
	modutils completion

2019-05-14  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 44284: Src/builtin.c: combination of -T and -p to typeset
	crashed the shell.

	* 44290: Src/jobs.c: job number exceeding int range and wrapping
	to a negative number crashed the shell.

	* 44291: Src/builtin.c: printf with argument specifier out of
	range for an int crashed the shell.

2019-05-14  Peter Stephenson  <p.stephenson@samsung.com>

	* 44296: Src/parse.c, Test/B02typeset.ztst: "typeset Q= {X}"
	crashed the shell.

2019-05-13  Peter Stephenson  <p.stephenson@samsung.com>

	* 44259: Src/signals.c: Ensure we can set signal to default
	even if it was ignored on entry to the shell.

2019-05-08  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 44279: Completion/BSD/Command/_cu, Completion/BSD/Command/_gstat,
	Completion/BSD/Command/_procstat, Completion/BSD/Command/_signify,
	Completion/BSD/Command/_sockstat, Completion/BSD/Command/_vmctl,
	Completion/Unix/Command/_arp, Completion/Unix/Command/_arping,
	Completion/Unix/Command/_cp, Completion/Unix/Command/_date,
	Completion/Unix/Command/_gcore, Completion/Unix/Command/_install,
	Completion/Unix/Command/_ls, Completion/Unix/Command/_netstat,
	Completion/Unix/Command/_ping, Completion/Unix/Command/_script,
	Completion/Unix/Command/_tcpdump, Completion/Unix/Command/_top,
	Completion/Unix/Command/_vmstat, Completion/Unix/Command/_zpool:
	completion updates for Dragonfly 5.4, FreeBSD 12 and OpenBSD 6.5

2019-05-08  dana  <dana@dana.is>

	* unposted: Test/Y01completion.ztst: Fix bad encoding

	* Oliver Kiddle: unposted: Test/Y01completion.ztst: Add compset tests
	related to workers/44275

	* 44275: Doc/Zsh/compwid.yo, Src/Zle/complete.c: Fix compset -p/-s
	multibyte inconsistency and documentation

2019-05-07  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 44274: Completion/Base/Core/_description,
	Completion/Base/Utility/_describe, Completion/Base/Utility/_guard,
	Completion/Base/Utility/_multi_parts,
	Completion/Base/Utility/_sep_parts,
	Completion/Base/Utility/_sequence, Completion/Zsh/Command/_compadd,
	Completion/Darwin/Type/_mac_files_for_application,
	Completion/Redhat/Command/_yum, Completion/Unix/Command/_git,
	Completion/Unix/Type/_canonical_paths,
	Completion/Unix/Type/_baudrates, Completion/Unix/Type/_files,
	Completion/Unix/Type/_list_files, Completion/Unix/Type/_path_files,
	Completion/Zsh/Type/_file_descriptors,
	Doc/Zsh/compsys.yo, Doc/Zsh/compwid.yo, NEWS,
	Src/Zle/comp.h, Src/Zle/compcore.c, Src/Zle/complete.c:
	allow finer control of completion match sorting with
	arguments to compadd's -o option

	* Gautam Iyer: gitlab !6: Completion/Unix/Command/_rclone:
	Rudimentary rclone completion

2019-05-06  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* Gautam Iyer: gitlab !7: Completion/Unix/Command/_lp,
	Completion/X/Command/_gv: Minor fixes to lp and gv completion

	* Doron Behar: gitlab !8: Completion/Unix/Command/_luarocks:
	Support completion of installed lua rocks' versions

	* Doron Behar: gitlab !4: Completion/Unix/Command/_pandoc:
	Add pandoc completion

	* Doron Behar: gitlab !3: Completion/Unix/Command/_transmission:
	Transmission remote completion

	* Aurélien Olivier: github #33: Completion/Unix/Command/_myrepos:
	Add completion file for myrepos (mr)

	* Laurent Arnoud: github #35: Completion/Unix/Command/_gem:
	fix _arguments spec for gem push completion (tweaked)

2019-05-03  dana  <dana@dana.is>

	* 44267: Src/sort.c, Test/Y01completion.ztst: Restore option to
	ignore backslashes when sorting

2019-05-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 44271: Src/loop.c, Test/A01grammar.ztst: until with positive
	and while with negative status propagated breaks too far after a
	return, causing code in enclosing scope not to run.

2019-04-26  dana  <dana@dana.is>

	* 44234: Completion/Unix/Command/_ssh: Update for OpenSSH 8.0

	* 44249: Completion/Unix/Command/_mv,
	Completion/Unix/Command/_rmdir,
	Completion/Unix/Type/_directories: Handle zsh/files built-ins
	in _mv and _rmdir

	* 44250: Completion/Unix/Command/_chmod,
	Completion/Unix/Command/_chown, Completion/Unix/Command/_ln,
	Completion/Unix/Command/_mkdir, Completion/Unix/Command/_mv,
	Completion/Unix/Command/_rm, Completion/Unix/Command/_rmdir:
	Fix use of -A and -S options to _arguments

	* 44251: Completion/Unix/Command/_chmod,
	Completion/Unix/Command/_chown, Completion/Unix/Command/_mkdir,
	Completion/Unix/Command/_mv, Completion/Unix/Command/_rmdir:
	Fix various wording issues

2019-04-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 44248: Src/init.c: Mark SIGQUIT as ignored if ignored at
	shell start, so we don't enable it after a fork.

2019-04-25  Peter Stephenson  <p.stephenson@samsung.com>

	* 44254: Src/compat.c: make quite sure we've reached "/"
	in zgetdir(), else report an error.

2019-04-22  Matthew Martin  <phy1729@gmail.com>

	* unposted: Completion/Base/Utility/_pick_variant: Use
	${(P) ::= rather than eval.

	* 44242: Completion/Unix/Command/_chown,
	Completion/Unix/Command/_ln, Completion/Unix/Command/_mv,
	Completion/Unix/Command/_rm, Completion/Unix/Command/_rmdir:
	Use _pick_variant -b to detect builtins.

2019-04-18  Mikael Magnusson  <mikachu@gmail.com>

	* dana: 43288: Src/prompt.c: fix line-broken prompts

2019-04-12  dana  <dana@dana.is>

	* unposted: NEWS: Document recent feature additions

	* 44198: Doc/Zsh/options.yo, Src/builtin.c, Src/options.c,
	Src/zsh.h: Add cd_silent option to suppress all cd output

2019-04-10  Peter Stephenson  <p.stephenson@samsung.com>

	* Eric Freese: 44214: Src/exec.c: <(...) substitutions shouldn't
	grab the terminal.

	* Roman Perepelitsa: 44215: Doc/Zsh/zle.yo,
	Src/Zle/iwidgets.list, Src/Zle/zle.h, Src/Zle/zle_main.c,
	Src/Zle/zle_thingy.c, Src/Zle/zle_utils.c, Src/Zle/zle_vi.c:
	Maintain LASTWIDGET across reset-prompt, avoiding side effects
	of asynchronous notifications.

	* 44202: Src/Zle/compctl.c: Rewrite to use memmove()
	for possibly overlapping copy.

2019-04-10  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 44210: Completion/Linux/Command/_findmnt,
	Completion/Linux/Command/_lsblk: Add _findmnt and update _lsblk.

2019-04-04  Matthew Martin  <phy1729@gmail.com>

	* 44202 (tweaked): Completion/Base/Core/_normal,
	Doc/Zsh/compsys.yo: Add -P to reset precommands.

	* 44201: Completion/Base/Core/_main_complete,
	Completion/Base/Utility/_pick_variant,
	Completion/Linux/Command/_setsid,
	Completion/Zsh/Command/_command,
	Completion/Zsh/Type/_command_names: Check for external forcing
	precommand.

	* 44200 (tweaked): Completion/Base/Core/_normal,
	Completion/Linux/Command/_setsid,
	Completion/Zsh/Command/_builtin,
	Completion/Zsh/Command/_command, Completion/Zsh/Command/_exec,
	Completion/Zsh/Command/_precommand, Doc/Zsh/compsys.yo: Append
	to precommands in _normal.

	* 44199: Completion/Base/Core/_normal: Use zparseopts.

2019-04-01  dana  <dana@dana.is>

	* 44158 (tweaked): Completion/Unix/Command/_postgresql: Add
	completion for PostgreSQL

2019-03-27  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 44168 (tweaked to remove modification to errflag):
	Src/Zle/zle_main.c: Ignore bad return if errno EINTR as this is
	recoverable.
g
2019-03-25  dana  <dana@dana.is>

	* 44160 (tweaked): Completion/Debian/Command/_apt,
	Completion/Debian/Command/_apt-file,
	Completion/Debian/Command/_debdiff,
	Completion/Debian/Command/_dpkg,
	Completion/Debian/Command/_lintian,
	Completion/Debian/Command/_piuparts,
	Completion/Debian/Type/_deb_files: Add _deb_files helper with
	support for *.ddeb, use it where applicable

2019-03-25  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 44176: Src/Modules/zftp.c: warn only if off_t is longer than long

	* Wesley Schwengle: 44162 (tweaked): Src/Modules/zftp.c: Avoid
	format-overflow warning by using ztrftime()

	* Wesley Schwengle: 44164: Src/params.c: Avoid stringop-truncation
	warning by replacing strncpy() by memcpy()

2019-03-24  dana  <dana@dana.is>

	* unposted: Completion/Unix/Command/_chmod: Adjust _guard pattern

2019-03-22  dana  <dana@dana.is>

	* unposted: Completion/Unix/Command/_chmod: Use _guard for mode
	operand

	* Clinton Bunch: 44156 (tweaked): Doc/Zsh/mod_system.yo: Add
	note about potential flock side-effects

2019-03-22  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 44147: Completion/Linux/Command/_free,
	Completion/Linux/Command/_pmap, Completion/Linux/Command/_slabtop,
	Completion/Linux/Command/_tload, Completion/Unix/Command/_top,
	Completion/Unix/Type/_pids: add/update completions for procps-ng.

2019-03-21  Matthew Martin  <phy1729@gmail.com>

	* 44153: Doc/Zsh/mod_files.yo, Src/Modules/files.c: rm: Accept
	-R as equivalent to -r.

	* 44149: Completion/Unix/Command/_mkdir,
	Completion/Unix/Command/_stat: Use _pick_variant -b.

	* 44144: Completion/Zsh/Command/_builtin: Append "builtin" to
	precommands.

	* 44155: Completion/Base/Utility/_pick_variant: Update builtin
	check.

2019-03-21  dana  <dana@dana.is>

	* 44111: Completion/Unix/Command/_git: Use `git rev-list` for log
	messages

2019-03-19  Peter Stephenson  <p.stephenson@samsung.com>

	* unposted: Make the doc change in the foregoing clearer.

	* Charles Blake: 44132: Src/exec.c, Doc/Zsh/builtins.yo: don't
	hash commands beginning with a '/'.

	* 44142: Src/hist.c: fix bug stripping spaces on line with only
	comment.

2019-03-18  Matthew Martin  <phy1729@gmail.com>

	* 44135: Completion/Unix/Command/_chmod, Doc/Zsh/mod_files.yo,
	Src/Modules/files.c: Add chmod builtin.

2019-03-15  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 44118: configure.ac: use /usr/include/tirpc/ if headers for
	RPC is not found in the standard location.

2019-03-14  Peter Stephenson  <p.stephenson@samsung.com>

	* Kamil: 44122: Src/parse.c: turn an int into a long to avoid
	overflow.

2019-03-12  dana  <dana@dana.is>

	* 44100: Completion/Zsh/Command/_zparseopts, Doc/Zsh/mod_zutil.yo,
	Src/Modules/zutil.c, Test/V12zparseopts.ztst: Add `zparseopts -F`,
	completion, tests, documentation

2019-03-08  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 44101: Completion/Unix/Command/_vim: better support for nvim

2019-03-06  dana  <dana@dana.is>

	* unposted: Completion/Zsh/Command/_zftp: Use 'post' pattern
	matching to avoid clobbering other functions

	* 44099: Completion/Darwin/Command/_trash: Add completion for
	macOS trash utility

2019-03-01  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* unposted: Test/ztst.zsh: fix a typo

2019-02-27  dana  <dana@dana.is>

	* 44087: Completion/Unix/Command/_getconf: Complete options,
	complete config variables on more systems

	* 44090 (re: 44085): Completion/Unix/Type/_remote_files: Don't
	set QUOTING_STYLE -- syntax incompatible with some shells

2019-02-26  dana  <dana@dana.is>

	* 44085: Completion/Unix/Type/_remote_files: Prevent ls/alias
	settings from mangling file listings

	* 44080: Completion/BSD/Command/_bsd_pkg,
	Completion/BSD/Command/_fetch, Completion/Darwin/Command/_hdiutil,
	Completion/Darwin/Command/_otool,
	Completion/Darwin/Command/_sc_usage,
	Completion/Debian/Command/_aptitude,
	Completion/Debian/Command/_dpkg,
	Completion/Debian/Command/_vim-addons,
	Completion/Linux/Command/_btrfs, Completion/Linux/Command/_cpupower,
	Completion/Linux/Command/_iptables,
	Completion/Mandriva/Command/_urpmi, Completion/Unix/Command/_chsh,
	Completion/Unix/Command/_cksum, Completion/Unix/Command/_git,
	Completion/Unix/Command/_gnutls, Completion/Unix/Command/_initctl,
	Completion/Unix/Command/_java, Completion/Unix/Command/_ldconfig,
	Completion/Unix/Command/_lp, Completion/Unix/Command/_lz4,
	Completion/Unix/Command/_nkf, Completion/Unix/Command/_objdump,
	Completion/Unix/Command/_perforce, Completion/Unix/Command/_python,
	Completion/Unix/Command/_smartmontools,
	Completion/Unix/Command/_surfraw, Completion/Unix/Command/_sysctl,
	Completion/Unix/Command/_unison, Completion/Unix/Command/_xmlsoft,
	Completion/X/Command/_setxkbmap, Completion/X/Command/_vnc: Fix
	several option-description typos

2019-02-24  dana  <dana@dana.is>

	* unposted: Completion/Unix/Command/_less: Fix typo

2019-02-22  dana  <dana@dana.is>

	* 44077: Completion/Unix/Command/_getent,
	Completion/Unix/Command/_iconv, Completion/Unix/Command/_ldd,
	Completion/Unix/Command/_locale,
	Completion/Unix/Command/_localedef: Fix outdated _pick_variant
	patterns, partially fix `getent -s`

	* 44076 (tweaked): Completion/Unix/Command/_column: Support
	Debian column, add missing util-linux options, adjust wording

2019-02-18  Peter Stephenson  <p.stephenson@samsung.com>

	* Yutian Li: 44067: Src/hist.c: If history read was interrupted,
	don't assume next time it was correctly read.

2019-02-14  Peter Stephenson  <p.stephenson@samsung.com>

	* see 44062: back off change to ZLE per-line initialisation,
	causing problems after failed reads and apparently not needed
	for the intended fix of interrupt handling (40305 / 34656ec2).

2019-02-09  Doron Behar <doron.behar@gmail.com>

	* gitlab !5: Completion/Unix/Command/_abcde:
	New abcde completion.

2019-02-09  Hiroki Noda <kubo39@gmail.com>

	* github #31: Completion/Unix/Command/_nm,
	Completion/Unix/Command/_objdump: Add new demangle
	style, rust and dlang

2019-02-03  dana  <dana@dana.is>

	* unposted: Config/version.mk: Post-release version bump

	* unposted: Config/version.mk, Etc/FAQ.yo, README: Update for
	5.7.1

	* 44034: Completion/Unix/Type/_date_formats: Complete %9./%N,
	adjust some wording

	* 44033: Completion/Unix/Command/_dos2unix: Add completion for
	dos2unix/unix2dos

	* 44030: Src/prompt.c, Test/D01prompt.ztst: Return error for
	unrecognised colour name

2019-01-28  Fredric Silberberg  <fred@silberberg.xyz>

	* github #32: Completion/Unix/Command/_git: Fix a typo in the
	git tag completion.

2018-01-27  dana  <dana@dana.is>

	* unposted: Etc/creating-a-release.txt: Document additional
	release steps

	* 44020: Functions/VCS_Info/Backends/VCS_INFO_detect_p4: Fix
	infinite recursion

2018-01-24  dana  <dana@dana.is>

	* unposted: Config/version.mk: Post-release version bump

	* unposted: Config/version.mk, README: Update for 5.7

2018-01-23  dana  <dana@dana.is>

	* 44012: Test/X04zlehighlight.ztst: Fix spurious test failures
	on OpenBSD

2019-01-23  Mikael Magnusson  <mikachu@gmail.com>

	* 44011: Doc/Zsh/zle.yo, Src/prompt.c, Test/X04zlehighlight.ztst:
	Only use fg_start_code for non-truecolor

2018-01-21  dana  <dana@dana.is>

	* 44001: Completion/Zsh/Context/_brace_parameter: Complete (q+)

2018-01-18  dana  <dana@dana.is>

	* 43990: Completion/Linux/Command/_opkg: Support gain-privileges

2019-01-08  Peter Stephenson  <p.stephenson@samsung.com>

	* users/23829: Completion/Unix/Type/_path_files,
	Doc/Zsh/compsys.yo: Add and document file-split-chars style.

2018-01-05  dana  <dana@dana.is>

	* unposted: Config/version.mk, NEWS: Update for 5.6.2-test-3

2018-01-04  dana  <dana@dana.is>

	* 43974: Completion/Unix/Command/_git: Always offer -F/-m for
	`git tag`

	* 43970, 43971: Etc/creating-a-release.txt, NEWS: Document some
	changes in 5.{4,5,6} not previously mentioned, clarify that
	process in release instructions

2019-01-03  Peter Stephenson  <p.stephenson@samsung.com>

	* 43969: Src/Zle/compctl.c: untokenize Dash for compctl with
	GLOB_SUBST set.

2018-01-01  dana  <dana@dana.is>

	* 43960: Completion/Linux/Command/_setsid,
	Completion/Zsh/Command/_exec, Completion/Zsh/Command/_precommand:
	Add full completion for exec and setsid

	* 43959: Completion/Unix/Command/_ipsec,
	Completion/Unix/Command/_swanctl, Completion/Unix/Type/_urls: Add
	completion for strongSwan, &al.; complete unix:// URIs

2018-12-31  dana  <dana@dana.is>

	* 43962: Test/X04zlehighlight.ztst: Fix module_path

2018-12-30  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Sebastian: users/23809: Src/prompt.c,
	Test/X04zlehighlight.ztst: Add ZLE_HIGHLITHT extensions to
	termcap for colours > 7, add tests.

	* 43944: Martijn: Doc/Zsh/options.yo, README, Src/math.c,
	Test/C01arith.ztst: apply NO_UNSET consistently to arithmetic.

	* unposted: Test/D04parameter.ztst: test for 43938.

2018-12-30  dana  <dana@dana.is>

	* 43914 (tweaked): Completion/Unix/Command/_composer: Add
	completion for Composer

	* 43930: Completion/Base/Utility/_multi_parts: Improve performance

	* unposted (per 43938): Src/utils.c: Avoid segfault when
	unmetafying empty string

2018-12-29  dana  <dana@dana.is>

	* 43953 (tweaked per 43954): Src/utils.c, Test/V09datetime.ztst:
	Fix rounding/truncation error in %. time-format specifier

2018-12-24  dana  <dana@dana.is>

	* 43935 (tweaked): Src/Modules/datetime.c, Test/V09datetime.ztst:
	Fix test error on 32-bit machines, reject too-large nanosecond
	values given to strftime

2018-12-23  dana  <dana@dana.is>

	* 43928: Completion/Base/Utility/_alternative: Evaluate (...)
	action syntax as with _arguments

2018-12-21  Bart Schaefer  <schaefer@zsh.org>

	* 43921: ${\var} should be an error

2018-12-19  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: Config/version.mk, Etc/FAQ.yo, README: update for
	5.6.2-test-2.

2018-12-19  Peter Stephenson  <p.stephenson@samsung.com>

	* unposted c.f. 43913: Functions/Zle/edit-command-line: emulate
	-L zsh to avoid bad effects with globsubst.

2018-12-17  dana  <dana@dana.is>

	* 43897: Completion/Darwin/Command/_xcode-select,
	Completion/Unix/Command/_asciidoctor,
	Completion/Unix/Command/_asciinema,
	Completion/Unix/Command/_host, Completion/Unix/Command/_mkfifo,
	Completion/Unix/Command/_mknod, Completion/Unix/Command/_shred,
	Completion/Unix/Command/_tail, Completion/Unix/Command/_tty,
	Completion/Unix/Command/_visudo, Completion/Unix/Type/_hosts:
	Add/update various completion functions

	* 43895: Completion/Unix/Command/_watch: Complete for
	procps/-ng watch

2018-12-17  Joey Pabalinas  <joeypabalinas@gmail.com>

	* 43904 (plus tweak): Doc/Zsh/grammar.yo: zshmisc(1): document
	term being optional if `in word' is omitted

2018-12-14  dana  <dana@dana.is>

	* unposted: Completion/Unix/Command/_dig: Fix _arguments syntax
	error

2018-12-13  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 43879: Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	vcs_info git: Fix fatal error in VCS_INFO_git_getbranch in
	corner case

2018-12-09  dana  <dana@dana.is>

	* 43871: Completion/Unix/Type/_files: Support `-F '(pat ...)'` as
	with _path_files

2018-12-04  Peter Stephenson  <p.stephenson@samsung.com>

	* 43860, 43861: Completion/Unix/Type/_files: complete globbing
	flags at start of word.

2018-11-29  Peter Stephenson  <p.stephenson@samsung.com>

	* 43854: Src/lex.c: set tok to LEXERR on generic parser error so
	this gets picked up by main loop.

2018-11-21  Peter Stephenson  <p.stephenson@samsung.com>

	* 43837 (test from Daniel): Src/subst.c, Test/D04parameter.ztst:
	Nested substitution didn't remove Nularg from empty string,
	giving bogus character.

2018-11-19  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 43829: Src/Modules/nearcolor.c: use double instead of float

2018-11-16  dana  <dana@dana.is>

	* Daniel O'Connor: 43830: Completion/BSD/Command/_cu: Complete
	/dev/cu.* (used by macOS)

2018-11-15  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* unposted: Completion/Unix/Command/_zcat: support macOS

	* Ivan Tkachenko: 43823: Src/Modules/stat.c: remove unnecessary
	metafy() in stattimeprint()

2018-11-14  Peter Stephenson  <p.stephenson@samsung.com>

	* 43620: Doc/Zsh/expn.yo: more care documenting command
	substituion including $(<...).

2018-11-13  dana  <dana@dana.is>

	* 43809: Completion/Unix/Command/_npm: Suppress npm update checks
	during completion

	* unposted (cf. 43800): Completion/Zsh/Command/_strftime: Update
	strftime completion for nanoseconds change

	* 43800: Doc/Zsh/mod_datetime.yo, Src/Modules/datetime.c,
	Test/V09datetime.ztst: Add nanosecond support to strftime built-in

2018-11-12  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 43819: Completion/Unix/Command/_adb: expand adb completion to
	also cover options to adb backup

	* 43818: Completion/Zsh/Type/_module_math_func: complete math
	functions for other modules besides zsh/mathfunc

	* 43816: Completion/Linux/Command/_valgrind,
	Completion/BSD/Command/_vmctl, Completion/Linux/Command/_ethtool,
	Completion/Linux/Command/_losetup, Completion/Linux/Command/_lsblk,
	Completion/Unix/Command/_ansible, Completion/Unix/Command/_column,
	Completion/Unix/Command/_dhclient, Completion/Unix/Command/_links,
	Completion/Unix/Command/_dmidecode, Completion/Unix/Command/_jq,
	Completion/Unix/Command/_luarocks, Completion/Unix/Command/_mpc,
	Completion/Unix/Command/_samba, Completion/Unix/Command/_script,
	Completion/Unix/Command/_ssh, Completion/Unix/Command/_tmux:
	various completion option updates

	* 43817: Completion/Linux/Command/_btrfs: update options in
	completion through to btrfs 4.17.1

	* 43813: Completion/BSD/Command/_powerd: add units, default
	values and allow option arguments in the same word as the option

	* 43812: Completion/Unix/Command/_gcc: allow repeats of
	the -Wsuggest-attribute option

2018-11-09  Peter Stephenson  <p.stephenson@samsung.com>

	* 43790: Kamil: Src/utils.c: failed mailstat could leak memory.

	* 43789: Kamil: Src/module.c: possible use after free handling
	math functions from module.

	* 43792: Kamil: Src/exec.c: file descriptor could leak on fork error.

	* 43793: Kamil: Src/Zle/computil.c: could overrun buffer by 1 byte.

	* 43791: Kamil: Src/Modules/clone.c: file descriptor was closed twice.

2018-11-08  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 43779 (tweaked): Joey Pabalinas: Functions/Zle/select-bracketed: 
	add parentheses to fix expression with cprecedences option set

	* 43805: Src/Modules/nearcolor.c, Src/prompt.c: make nearcolor
	module use the default colour rather than black as a fallback

	* 43804: Src/prompt.c: also need to be able to turn colour
	attributes back into hex triples for region_highlight variable

	* unposted: Src/Modules/nearcolor.c: add usual copyright header

	* 43784: Completion/Zsh/Command/_compadd: clarify descriptions on
	options related to match sorting

	* unposted (c.f. Bart: 43739):
	Completion/Zsh/Context/_brace_parameter: use a correct
	description for the @ parameter expansion flag

2018-11-07  Peter Stephenson  <p.stephenson@samsung.com>

	* 43788: Doc/Zsh/mod_zpty.yo: make it clear -n option to
	zpty -w is irrelevant if no string argument.

2018-11-07  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 43761: Completion/BSD/Type/_file_flags,
	Completion/Unix/Command/_mktemp, Completion/Unix/Command/_script,
	Completion/Unix/Command/_strip, Completion/Unix/Type/_file_systems:
	add or update support for darwin

2018-11-05  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 43760: Doc/Makefile.in, Doc/Zsh/mod_nearcolor.yo,
	Doc/Zsh/zle.yo, NEWS: add documentation for true colour
	changes and nearcolor module

	* 43759: Src/Modules/nearcolor.c, Src/Zle/complist.c,
	Src/Zle/zle.h, Src/Zle/zle_refresh.c, Src/Zle/zle_tricky.c,
	Src/prompt.c, Src/zsh.h, Src/zsh_system.h: add support for
	true colour terminals

	* 43747: Src/Modules/nearcolor.c, Src/Modules/nearcolor.mdd,
	Src/init.c, Src/prompt.c, Src/zsh.h: new module to map
	colours from hex triplets to the nearest matching colour

2018-11-03  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 43752: Completion/Base/Completer/_expand: Fix quoting if
	globbing failed / was not tried for expression on command line.

2018-11-02  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 43748: Completion/Unix/Command/_ack: fix for ack 3beta

	* github #29: Wieland Hoffmann: Completion/Unix/Command/_git:
	Add completion support for Gits --color-moved option and
	color settings

2018-10-31  Jun-ichi Takimoto <takimoto-j@kba.biglobe.ne.jp>

	* 43746: Completion/Unix/Command/_ping: update for BSD and
	Darwin

	* 43744: Completion/Unix/Command/_sysctl: add support for
	procps-ng (Linux) and NetBSD, with several other updates

2018-10-24  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 43726: Test/A01grammar.ztst: Add tests for semicolon in the
	middle of a sublist not terminating it.

2018-10-24  Jun-ichi Takimoto <takimoto-j@kba.biglobe.ne.jp>

	* 43723: Completion/Unix/Command/_mkdir: fix for builtin
	mkdir, and add support for darwin

	* 43722: Completion/Unix/Command/_ed,
	Completion/Unix/Command/_env, Completion/Unix/Command/_sort:
	use the same completions as freebsd for darwin.

	* 43721: Completion/Unix/Command/_diff3: detect GNU variant
	correctly

2018-10-24  dana  <dana@dana.is>

	* 43718: Completion/BSD/Command/_fstat,
	Completion/Unix/Command/_awk, Completion/Unix/Command/_cat,
	Completion/Unix/Command/_chown, Completion/Unix/Command/_df,
	Completion/Unix/Command/_grep, Completion/Unix/Command/_ls,
	Completion/Unix/Command/_od, Completion/Unix/Command/_pax,
	Completion/Unix/Command/_rar, Completion/Unix/Command/_rm,
	Completion/Unix/Command/_xxd: Use singular group descriptions

2018-10-23  Peter Stephenson  <p.stephenson@samsung.com>

	* Marcin Mielniczuk: 43714: Completion/Unix/Command/_lp: lp
	fit-to-page option.

	* Sebastian: 43695: Src/lex.c: minor but simple optimisation
	to reuse existing string lengths.

2018-10-22  dana  <dana@dana.is>

	* 43713: Completion/Unix/Command/_init_d: Improve completion of
	service commands

2018-10-17  Peter Stephenson  <p.stephenson@samsung.com>

	* 43694: Doc/Zsh/redirect.yo: More detail on how multio file
	opening differs from cat.

2018-10-17  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 43697: Completion/X/Command/_zathura: match uppercase
	filename extensions

	* 43698: Completion/Unix/Command/_git: update options for 2.19

2018-10-16  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 43692: Doc/Makefile.in: Generate man pages in the build dir,
	rather than the source dir.

2018-10-15  dana  <dana@dana.is>

	* 43672: Doc/Zsh/redirect.yo: Document result of redirecting
	from a non-existent file

2018-10-14  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Src/utils.c: internals: Document sepjoin().

	* 43685: Functions/Misc/add-zle-hook-widget: Support running
	under NO_UNSET ('set -u').

2018-10-12  Peter Stephenson  <p.stephenson@samsung.com>

	* 43674: Src/zsh.h, Config/version.mk: Split more parameter and
	function flags to avoid using sign bit; bump version because of
	wordcode incompatibility.

2018-10-10  dana  <dana@dana.is>

	* 43602: Doc/Zsh/compsys.yo: Clarify behaviour of `compdef -p`

2018-10-10  Peter Stephenson  <p.stephenson@samsung.com>

	* unposted: Test/C03traps.ztst: Another couple of tests for
	other code paths.

	* 43669: Src/builtin.c, Src/init.c, Test/C03traps.ztst: ensure
	explicit exit status is used rather than implicit.

2018-10-09  Peter Stephenson  <p.stephenson@samsung.com>

	* 43660: Src/builtin.c, Src/exec.c, Src/init.c,
	Test/C03traps.ztst: extend 43653 for implicit exit and combine
	logic with pending exit status from exits within functions.

	* 43656: Src/builtin.c: special tied parameters don't have
	tieddata.

	* unposted: Test/C03traps.ztst: addition to previous test
	suggested by Mikael.

	* 43653: Src/builtin.c, Test/C03traps.ztst: explicit exit from
	EXIT trap overrides previous status.

2018-10-08  a-wing  <1@233.email>

	* 43623: Completion/Linux/Command/_iptables: Fix Completion
	iptables -t raw security

2018-10-08  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 43620 (tweaked): Doc/Zsh/contrib.yo,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git,
	Functions/VCS_Info/VCS_INFO_set-patch-format, README: vcs_info
	git: Reverse the order patches are passed to gen-unapplied-string
	in.

	* 43617: Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	vcs_info git: During a non-interactive rebase of a detached head,
	computer the %b expando correctly.

	* 43619: Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	vcs_info git: In non-interactive rebases, always set
	$hook_com[git_patches_applied] to a string of the form 'foo bar',
	never just 'foo'.

	* 43618: Functions/VCS_Info/Backends/VCS_INFO_detect_p4,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_bzr,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git,
	Functions/VCS_Info/VCS_INFO_quilt: vcs_info: Don't redefine
	helper functions on every execution of the autoloadable outer
	function.

2018-10-08  Peter Stephenson  <p.stephenson@samsung.com>

	* unposted: tweak to Doc/Zsh/builtins.yo to put close
	parenthesis on new line for help files script.

	* Stephane: 43616: Doc/Zsh/builtins.yo, Src/Modules/db_gdbm.c,
	Src/Modules/parameter.c, Src/builtin.c, Src/hashtable.h,
	Src/params.c, Src/subst.c, Src/zsh.h, Test/B02typeset.ztst:
	Fixes and improvements to tied variables and interaction
	with typeset -p.

2018-10-07  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 43587: Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	vcs_info git: In 'git rebase -i', when computing subjects
	of applied-patches, handle an edge case where the subject is
	not available.

	* 43588: Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	vcs_info git: Make sure applied-patches is of the form "$hash
	$subject" --- that is, has a space and a non-empty second
	argument --- even with future 'git rebase -i' verbs.

	* 43586: Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	vcs_info git: Reformat to minimise next diff. No functional
	change.

	* 43585: Functions/VCS_Info/Backends/VCS_INFO_get_data_svn:
	vcs_info svn: Recognize working copies in need of an upgrade.

2018-10-03  Peter Stephenson  <p.stephenson@samsung.com>

	* unposted: Etc/FAQ.yo: minor typos.

	* 43589: Src/jobs.c: Show subjob status instead of superjob any
	time it still has processes.

2018-10-02  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	Indicate which use-case each branch handles.

	* unposted: Doc/Zsh/contrib.yo: Fix typo

2018-09-30  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 43531: Src/Zle/compcore.c: Completion: Fix some false
	positives in the logic for "are these two candidates completions
	equivalent".

2018-09-28  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 43570: Src/jobs.c: Start documenting jobs.c, in particular
	superjobs.

2018-09-27  Daniel Shahaf  <d.s@xxxxxxxxxxxxxxxxxx>

	* 43563: Doc/Zsh/zle.yo: zshzle: Clarify sentence in
	introduction.

2018-09-26  Peter Stephenson  <p.stephenson@samsung.com>

	* 43564: Better output concerning stopped subjob.

	* 43542 (tweaked): Etc/FAQ.yo: further update about which output.

2018-09-25  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 43528: Doc/Zsh/builtins.yo: zshbuiltins(1): Document 'which''s
	"not found is not an error" behaviour.

2018-09-25  Oliver Freyermuth  <o.freyermuth@xxxxxxxxxxxxxx>

	* 43554 (tweaked): Completion/X/Command/_zathura: Fix zathura
	completion ignoring multiple plugin directories.

2018-09-25  Oliver Freyermuth  <o.freyermuth@googlemail.com>

	* 43544: Completion/X/Command/_zathura: Fix zathura filename
	completion derived from *.so plugin name.

2018-09-25  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 43489: Src/exec.c: Add error checking on a new write() call.

2018-09-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 43543: Src/jobs.c: Improvements to 43535: attempt to keep
	STAT_STOPPED correct for superjob, also wait for subjob before
	superjob.

2018-09-25  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Test/B02typeset.ztst: Add a test for 43536.

2018-09-25  Peter Stephenson  <p.stephenson@samsung.com>

	* Stephane: 43536: "typeset -p" should show presence of -U
	option.

2018-09-24  dana  <dana@dana.is>

	* Takeshi Banse: users/23642: Completion/Unix/Type/_files: Revert
	change from workers/42984

2018-09-24  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 43535: Src/jobs.c, Src/signals.c: fixes for bg / fg handling
	of superjobs.  Be more consistent about marking jobs running;
	always send SIGCONT when putting superjob / subjob combination
	into foreground; wait for both superjob and subjob when waiting
	for superjob.

2018-09-24  Daniel Shahaf  <danielsh@apache.org>

	* 43493: Test/V07pcre.ztst: Have V07pcre fail if PCRE was enabled
	by configure (config.modules) but failed to load for any reason.

2018-09-24  Peter Stephenson  <p.stephenson@samsung.com>

	* 43527, tweaked: Etc/FAQ.yo: describe "which" output
	behaviour.

2018-09-23  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* gitlab !2: Noam Barnea: Completion/Unix/Command/_toilet:
	detect .flf files as well as .tlf ones

2018-09-21  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 43511: Src/input.c: alias entry on input stack wasn't
	initialised if not expanding alias or using history.

2018-09-19  Maximilian Bosch  <maximilian@mbosch.me>

	* 43502: Completion/X/Command/_setxkbmap: Search XDG_DATA_DIRS
	in _setxkbmap completion

2018-09-18  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 43464: Completion/Linux/Command/_valgrind: complete options
	for the drd tool and update them for helgrind

2018-09-17  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: ChangeLog: Fix typo, s/43464/43474/.

2018-09-16  dana  <dana@dana.is>

	* unposted: Doc/Zsh/builtins.yo: Fix trivial formatting error

2018-09-16  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 43474: Src/exec.c, Src/jobs.c, Src/signals.c, Src/utils.c:
	Remember the last process group to attach to the terminal, not
	just the set of running processes which did.  Don't
	record process groups for ESUB_ASYNC subshells.

2018-09-14  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Completion/Unix/Command/_subversion: _svn: Allow
	hyphens in command name aliases.

	* unposted: Config/version.mk: Post-release version bump.

	* 43457: Config/version.mk, Etc/FAQ.yo, NEWS, README: Release
	5.6.2

2018-09-14  Peter Stephenson  <p.stephenson@samsung.com>

	* 43466: Test/A05execution.ztst: path(5) test is too specific as
	OS codes and messages may vary.

2018-09-12  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Completion/Unix/Command/_subversion: _svn: Complete
	--accept=recommended, new in 1.10.0.

	* 43447: Etc/creating-a-release.txt, Makefile.in: Generate
	tar.xz artifacts only.

	* 43443: Completion/Unix/Command/_git: When completing worktrees,
	show the ref and hash of each worktree.

	* 43442: Completion/Unix/Command/_git: Break out a helper
	function.

2018-09-12  Peter Stephenson  <p.stephenson@samsung.com>

	* 43450: Src/signals.c: fix window size if reattaching shell
	to terminal on exit of process.

	* 43446: Src/exec.c, Src/jobs.c, Src/zsh.h: enhance 43409 to
	pass back list_pipe_job as well, fixing additional races.

2018-09-10  Jörg Thalheim  <joerg@thalheim.io>

	* GitHub #28: Src/builtin.c: Add missing math.h include for
	builtins

2018-09-10  Peter Stephenson  <p.stephenson@samsung.com>

	* 43426: Test/W02jobs.ztst: disable tests involving suspending
	jobs as these are provoking races in particular on OpenSUSE.

2018-09-08  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Etc/creating-a-release.txt: Add another step.

	* unposted: Config/version.mk: Post-release version bump.

	* unposted: Config/version.mk, Etc/FAQ.yo, NEWS, README: Patch
	release: 5.6.1

2018-09-07  Peter Stephenson  <p.stephenson@samsung.com>

	* 43409: Src/exec.c, Src/jobs.c: ensure main shell and newly
	started subshell are agreed on which process group the latter
	belongs to.

2018-09-07  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 43404 (after 43392): Doc/Makefile.in: Fix 'make install'
	in out-of-tree builds

2018-09-06  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 43392: Doc/Makefile.in, Etc/creating-a-release.txt: dist:
	Generate doc/help/* and doc/help.txt in builddir rather than
	srcdir.

	* 43366: Completion/Zsh/Command/_compdef: Change and add sources
	for completed completion function names.

2018-09-05  dana  <dana@dana.is>

	* 43372: Completion/Linux/Command/_e2label: Add completion for
	e2label

2018-09-05  Peter Stephenson  <p.stephenson@samsung.com>

	* 43375 with fix from 43390: Test/A05execution.ztst: don't
	assume path for sh and echo, work it out.

2018-09-05  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted (cf 43373): Etc/creating-a-release.txt: Add two
	caveats: no local modifications, and need to build in-tree.

2018-09-03  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 43370: Etc/creating-a-release.txt: New maintainer-facing
	documentation.

	* unposted: Config/version.mk: Post-release version bump.

	* unposted: Config/version.mk: Release 5.6.

2018-09-03  Anthony Sottile  <asottile@umich.edu>

	* CVE-2018-0502, CVE-2018-13259: Fix two security issues in
	shebang line parsing. [With Buck Evan]

2018-09-03  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 43367: Makefile.in: Add maintainer targets 'tarxz-src' and
	'targz-src'.

2018-09-03  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* unposted: NEWS: mention Inf/NaN floating point changes

	* unposted: Makefile.in: further to 43358 use same patchlevel
	form for the release file

2018-09-03  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 43333: Etc/Makefile.in: Generate FAQ.html in the builddir,
	rather than in the srcdir, and add it to the default target of
	the Etc/ subdirectory.

2018-09-03  Peter Stephenson  <p.stephenson@samsung.com>

	* 43365: Src/Zle/zle_keymap.c, Src/Zle/zle_main.c,
	Src/Zle/zle_misc.c, Src/Zle/zle_vi.c: Don't handle ZLE timed
	functions if just reading a single key.

2018-08-31  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 43358: Src/zsh.mdd: enforce consistent patchlevel form

	* 43357: configure.ac: isinf/isnan can be macros rather
	than functions so need a custom configure test

	* unposted: Completion/Unix/Command/_git: git describe's
	--long and --abbrev options are not mutually exclusive

	* 43359: Completion/Unix/Command/_git:
	further review of git remote set-url completion

	* 42810: pseyfert: Completion/Unix/Command/_git:
	git remote set-url completion

2018-08-30  Jun-ichi Takimoto <takimoto-j@kba.biglobe.ne.jp>

	* 43349: Completion/X/Command/_eog: new completion for eog

	* 43350: Completion/Unix/Command/_zsh: support --emulate

2018-08-29  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 43351: Completion/Unix/Type/_diff_options: handle the new
	diff implementation in the pre-release version of FreeBSD 12

	* 43346: Completion/Linux/Command/_cryptsetup,
	Completion/Linux/Command/_networkmanager,
	Completion/Linux/Command/_strace, Completion/Unix/Command/_attr,
	Completion/Linux/Command/_sysstat, Completion/Unix/Command/_cmp,
	Completion/Unix/Command/_dhclient, Completion/Unix/Command/_dig,
	Completion/Unix/Command/_entr, Completion/Unix/Command/_gnutls,
	Completion/Unix/Command/_env, Completion/Unix/Command/_iostat,
	Completion/Unix/Command/_ln, Completion/Unix/Command/_md5sum,
	Completion/Unix/Command/_ps, Completion/Unix/Command/_route,
	Completion/Unix/Command/_service, Completion/Unix/Command/_sort,
	Completion/Unix/Command/_split, Completion/Unix/Command/_top:
	various completion option updates

	* 43348: Anton Shestakov: Completion/Unix/Command/_hg:
	check for both -r and --rev

	* 43347: Anton Shestakov: Completion/Unix/Command/_hg:
	use revsets for suggestions for hg merge

2018-08-28  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 43345: Completion/Unix/Command/_mount,
	Completion/Unix/Type/_umountable: don't modify global variable

	* unposted: Completion/Linux/Command/_dkms: correct
	completion argument order

	* unposted: Completion/Unix/Command/_strings: completion for
	argument to -s was missing

	* unposted: Completion/Unix/Command/_tar: complete also for bsdtar

	* unposted: Completion/Solaris/Command/_svccfg: fix typo in
	function call

2018-08-25  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Etc/FAQ.yo: Fix FAQ build, broken by 43184.

	* unposted: Config/version.mk, NEWS, README: Test release:
	5.5.1-test-1.

	* 43331: Completion/Unix/Command/_diff3: Enhance positional
	argument descriptions (thanks, Oliver).

2018-08-24  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 43313 (log message tweaked):
	Functions/VCS_Info/Backends/VCS_INFO_get_data_git: vcs_info git:
	For the branch name, try to find a symbolic name before falling
	back to a raw commit hash.

	* 43314: Functions/VCS_Info/Backends/VCS_INFO_get_data_git:
	vcs_info git: Flatten a nested if.

2018-08-24  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 43330: Completion/BSD/Command/_cu: complete more options

	* 43329: Completion/Unix/Command/_diff3: new diff3 completion

	* 43328: Completion/X/Command/_zeal: new completion

2018-08-23  dana  <dana@dana.is>

	* unposted: Completion/Unix/Command/_man: Fix --ascii typo

2018-08-23  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 43325: Anton Shestakov: Completion/Unix/Command/_hg:
	suggest merge tools for -t/--tool

	* 43326: Anton Shestakov: Completion/Unix/Command/_hg:
	add completion of -S/--subrepos to many commands

	* github #27: Klas Mellbourn: Completion/X/Command/_code:
	add --folder-uri to completion for Visual Studio Code

	* 43301 (based on work by Julien Nicoulaud):
	Completion/Debian/Command/_debuild, Completion/Unix/Command/_ack,
	Completion/Unix/Command/_scons, Completion/Unix/Command/_vpnc,
	Completion/X/Command/_geany: functions from zsh-completions project

2018-08-21  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Doc/Zsh/compsys.yo: docs: Fix duplicated words
	in _combination.

2018-08-16  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 43294: Doc/Zsh/zle.yo, Src/Zle/zle_main.c,
	Src/Zle/zle_params.c: Add ZLE_RECURSIVE parameter.

2018-08-15  dana  <dana@dana.is>

	* 43302: Completion/Unix/Command/_du: Change -B to -B+

2018-08-13  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Completion/Unix/Command/_make: Allow pasted arguments
	for GNU make's -j option.

2018-08-13  Peter Stephenson  <p.stephenson@samsung.com>

	* dana: 43275: Doc/Zsh/mod_mathfunc.yo, Src/Modules/mathfunc.c,
	Test/V03mathfunc.ztst, configure.ac: Add log2 to mathfunc.

2018-08-12  Marc Cornellà  <marc.cornella@live.com>

	* unposted (PR #26): Completion/Unix/Command/_git: __git_files:
	fix double quotation of star

2018-08-09  Peter Stephenson  <p.stephenson@samsung.com>

	* 43264: Src/params.c, Test/D04parameter.ztst:
	${+assoc[nonexistent]} returned 1 with KSH_ARRAYS.

2018-08-08  Peter Stephenson  <p.stephenson@samsung.com>

	* 43261: Src/math.c, Test/C01arith.ztst: Apply unary minus to
	entire lexical constant, so base doesn't get treated as negative.

2018-08-07  Peter Stephenson  <p.stephenson@samsung.com>

	* Anton Shestakov: 43254: Completion/Unix/Command/_hg: Remove hg
	-w and add hg -S.

	* Anton Shestakov: 43252: Completion/Unix/Command/_hg: fix up
	various hg options for completion.

	* Anton Shestakov: 43250: Completion/Unix/Command/_hg: Add hg
	forget, phase, summary completions.

	* Anton Shestakov: 43251: Completion/Unix/Command/_hg: fix
	return value of some hg completion functions.

	* Anton Shestakov: 43253: Completion/Unix/Command/_hg: hg
	--style is deprecated, use --template.

2018-08-01  Jun-ichi Takimoto <takimoto-j@kba.biglobe.ne.jp>

	* 43227: Src/Modules/termcap.c, Src/Modules/terminfo.c,
	Src/utils.c: fix memory leaks not fixed in 43219

2018-07-31  dana  <dana@dana.is>

	* 43207 (tweaked): Completion/Unix/Type/_bind_addresses,
	Completion/Unix/Command/_php: Add options to control _bind_addresses
	behaviour, improve PHP completion

2018-07-31  Jun-ichi Takimoto <takimoto-j@kba.biglobe.ne.jp>

	* 43219 (except term{cap,info}.c): Src/Modules/db_gdbm.c,
	Src/Modules/pcre.c, Src/Zle/compcore.c, Src/init.c, Src/math.c,
	Src/subst.c: fix several memory leaks

2018-07-30  Peter Stephenson  <p.stephenson@samsung.com>

	* 43225: Src/Zle/zle_main.c: recalculate timeout after calling
	handler within ZLE raw read.

2018-07-29  Matthew Martin  <phy1729@gmail.com>

	* 43185: Completion/Zsh/Type/_command_names: Use [ suffix for
	associative arrays. Add + to remove-chars from Oliver.

	* 43184: Etc/FAQ.yo: Remove reference to ftp_sites.yo.

2018-07-25  dana  <dana@dana.is>

	* 43203: Completion/Unix/Command/_lua: Add completion for lua

	* Simon Ruderich: 43200: Completion/Linux/Command/_iptables: Add
	completion for ip6tables*

2018-07-20  dana  <dana@dana.is>

	* 43196: Completion/Unix/Command/_nginx: Add completion for nginx

2018-07-20  Jun-ichi Takimoto <takimoto-j@kba.biglobe.ne.jp>

	* 43192: Completion/Unix/Command/_pgrep: simplify the completions
	of comma-separated list of IDs.

2018-07-19  dana  <dana@dana.is>

	* 43186 (tweaked): Completion/Unix/Command/_crontab: Add completion
	for cronie/dcron/Vixie crontab

2018-07-19  Jun-ichi Takimoto <takimoto-j@kba.biglobe.ne.jp>

	* 43189: Completion/Unix/Command/_install: similar fix as 43187
	for option -f (_flags was renamed to _file_flags)

	* 43183: Completion/Unix/Type/_ttys, Completion/Unix/Command/_gdb,
	Completion/Unix/Command/_pgrep: fix '_ttys -o' on Linux, and use
	it in _gdb and _pgrep.

2018-07-19  Yasuhiro KIMURA  <yasu@utahime.org>

	* 43187: Completion/Unix/Command/_install: Fix completion error
	about 'm' option of 'install' command

2018-07-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Doron Behar: 43166: Completion/Unix/Type/_pspdf,
	Completion/X/Command/_zathura: new zathura completion.

2018-07-18  Jun-ichi Takimoto <takimoto-j@kba.biglobe.ne.jp>

	* 43177: Completion/Unix/Command/_grep: support bzgrep, and add
	a few options for macOS.

	* 43182: Completion/Unix/Command/_lldb: complete process name
	after option -n/--attach-name

2018-07-17  Peter Stephenson  <p.stephenson@samsung.com>

	* unposted: Doc/Makefile.in: remove ftp_sites.yo.

	* Matthew Martin: 43179: Doc/Zsh/contrib.yo,
	Doc/Zsh/ftp_sites.yo, Doc/Zsh/metafaq.yo: update distro docs to
	remove dead links.

	* 43176: Doc/Zsh/intro.yo: note right at start of manual that
	default mode is not POSIX.

2018-07-16  Peter Stephenson  <p.stephenson@samsung.com>

	* Tim Smith: 43172: Doc/Zsh/mod_zutil.yo: document escaping of
	colon in zformat -a.

2018-07-11  Jun-ichi Takimoto <takimoto-j@kba.biglobe.ne.jp>

	* 43164: Completion/Unix/Command/_gcc: fix 'args=' to 'args+=',
	and update a few options.

2018-07-10  Jun-ichi Takimoto <takimoto-j@kba.biglobe.ne.jp>

	* 43155: Completion/Unix/Command/_gcc: escape : in action for -std

2018-07-10  Peter Stephenson  <p.stephenson@samsung.com>

	* 43156, 43157: Src/exec.c: need to allow for possible
	update of pointer by two in gethere().

2018-07-09  Peter Stephenson  <p.stephenson@samsung.com>

	* users/23531: Src/exec.c, Test/C03traps.ztst: Fix error
	exit/return from within shell construct inside nested function,
	and in left hand side of pipe (regression due to broken tests);
	stop tests from exiting too early and add new test for first fix.

2018-07-07  Matthew Martin  <phy1729@gmail.com>

	* 43106: Completion/BSD/Command/_ldap: Add ldap completer.

	* 43046: Completion/Unix/Type/_pdf, Completion/X/Command/_mupdf:
	Add mupdf completer.

	* 42995: David Klann: Completion/Linux/Command/_networkmanager:
	Only complete active connections for nmcli connection down.

2018-07-03  dana  <dana@dana.is>

	* 43105 (tweaked): Completion/Unix/Command/_pgrep: Add full procps
	support, other improvements

2018-07-03  Peter Stephenson  <p.stephenson@samsung.com>

	* dana: 43134: Completion/Unix/Type/_signals: don't complete SIG
	in front of numeric signals.

2018-07-02  Jun-ichi Takimoto <takimoto-j@kba.biglobe.ne.jp>

	* 43108, 43121: Completion/Unix/Command/_killall: complete
	various options

2018-07-01  Doron Behar  <doron.behar@gmail.com>

	* 43059: Completion/Unix/Command/_gpg: Use explicit UIDs for
	state = public keys.

2018-07-01  Jun-ichi Takimoto <takimoto-j@kba.biglobe.ne.jp>

	* 43107: Completion/Unix/Type/_ttys, Completion/Unix/Command/_ps,
	Completion/BSD/Command/_watch-snoop: add an option to _ttys to
	complete only open ttys, and use it in _ps and _watch-snoop.

2018-06-29  Peter Stephenson  <p.stephenson@samsung.com>

	* users/23519: README, Completion/Unix/Type/_remote_files: Use tag
	remote-files instead of files for remote files.

2018-06-27  Daniel Hahler  <zsh@thequod.de>

	* 42746: Completion/Unix/Command/_vim: _vim: handle special values for
	-u/-U.

2018-06-27  Eric Cook  <llua@gmx.com>

	* 43096: Eitan: Completion/Unix/Command/_vim, remove duplicate flag

2018-06-25  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 43091: Src/glob.c: In the (u) glob qualifier, expand and
	correct "unknown user" error messages.

2018-06-25  Peter Stephenson  <p.stephenson@samsung.com>

	* 43084: Doc/Zsh/zle.yo, Functions/Chpwd/zsh_directory_name_cdr,
	Src/Zle/zle_main.c: vared -g suppresses variable creation and
	override warnings; also suppress in function.

2018-06-25  Jun-ichi Takimoto <takimoto-j@kba.biglobe.ne.jp>

	* 43079, 43086: Completion/Unix/Type/_process_names,
	Completion/Unix/Command/_dtruss, Completion/Darwin/Command/_fs_usage,
	Completion/Darwin/Command/_sc_usage: new utility to complete names
	of running processes, and three new completion functions which use it.

	* 43080: Completion/Unix/Type/_sys_calls: analyze recent syscall.h
	properly

2018-06-24  dana  <dana@dana.is>

	* unposted: Completion/Linux/Command/_opkg: Fix mistyped variable
	name

2018-06-23  dana  <dana@dana.is>

	* 43081: Completion/Darwin/Command/_networksetup: Add networksetup
	completion

	* 43088: Completion/Debian/Command/_wajig: Fix sub-command completion

2018-06-18  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 43074: Eitan: Completion/Unix/Command/_gcc: Completion for
	additional linker options for clang and sanitizers for gcc

	* 43078: Completion/Unix/Command/_sed: add completion for the
	sed expression

	* 43073: Completion/Linux/Command/_cryptsetup,
	Completion/Linux/Command/_sysstat, Completion/Linux/Command/_ss,
	Completion/Linux/Command/_kpartx, Completion/Linux/Command/_tune2fs,
	Completion/Unix/Command/_ansible, Completion/Unix/Command/_git,
	Completion/Unix/Command/_lynx, Completion/Unix/Command/_mpc,
	Completion/Unix/Command/_readelf, Completion/Unix/Command/_sqlite,
	Completion/Unix/Command/_subversion, Completion/Unix/Command/_tmux,
	Completion/Unix/Command/_user_admin, Completion/Unix/Command/_wget,
	Completion/Unix/Command/_xxd, Completion/X/Command/_qiv,
	Completion/Zsh/Command/_which, Completion/Zsh/Command/_zed:
	various completion option updates

2018-06-20  Peter Stephenson  <p.stephenson@samsung.com>

	* 43077: Src/builtin.c: failure of math evaluation didn't
	propagate to status of shift builtin.

2018-06-20  dana  <dana@dana.is>

	* 43075 (based on 24059): Doc/Zsh/mod_stat.yo, Doc/Zsh/prompt.yo,
	Src/Modules/datetime.c,	Src/Modules/stat.c, Src/compat.c,
	Src/prompt.c, Src/utils.c, Src/zsh_system.h, Test/D01prompt.ztst,
	configure.ac: Support nanosecond precision in zsh/stat file times
	and time formats generally (%9./%N)

	* 43061: Completion/Darwin/Command/_open,
	Completion/Unix/Command/_webbrowser: Improve open completion, adjust
	_webbrowser wording

	* 43060: Completion/Unix/Command/_stat,
	Completion/Zsh/Command/_stat: Expand stat completion

2018-06-18  dana  <dana@dana.is>

	* 43047: Completion/Unix/Command/_hostname: Add hostname completion

	* 43047: Completion/Unix/Type/_bind_addresses: Always return local IPs

2018-06-18  Peter Stephenson  <p.stephenson@samsung.com>

	* unposted: Test/V01zmodload.ztst: updated for 43039.

	* Eitan: 43029: Src/Modules/zftp.c, Src/signals.c, Src/signals.h,
	configure.ac: remove test for signal handler return type as no
	longer needed.

2018-06-18  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 43006: Tim Smith: Completion/Unix/Command/_git: complete
	modified files after `git stash --`

	* users/23484: Completion/Unix/Command/_git: be consistent on
	matcher specs for branches to fix issue with partial matching

	* 43048: Eitan: Completion/Unix/Command/_gcc: add sanitizers,
	standards aliases and fix -flto

2018-06-17  dana  <dana@dana.is>

	* 43043: Completion/Unix/Command/_comm,
	Completion/Unix/Command/_sed: Improve comm/sed completion

	* 43039: Src/Modules/parameter.mdd: Mark functions_source (et al.)
	for auto-loading

2018-06-16  dana  <dana@dana.is>

	* 43030: Functions/VCS_Info/Backends/VCS_INFO_get_data_bzr,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_cvs,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_svn,
	Functions/VCS_Info/Backends/VCS_INFO_get_data_tla,
	Functions/VCS_Info/VCS_INFO_bydir_detect,
	Functions/VCS_Info/VCS_INFO_realpath,
	Functions/VCS_Info/vcs_info: Replace VCS_INFO_realpath() by :P

	* 43031: Etc/completion-style-guide: Add note about quoting/escaping
	(cf. 42992)

	* 43031: Etc/completion-style-guide: Add note about optional/variant
	syntax (cf. 43025)

2018-06-15  dana  <dana@dana.is>

	* 43024: Completion/Unix/Command/_man: Improve section-name matching

2018-06-15  Matthew Martin  <phy1729@gmail.com>

	* 42981: Completion/Unix/Command/_ed: Add ed completer

2018-06-15  Peter Stephenson  <p.stephenson@samsung.com>

	* users/23472: 	Doc/Zsh/mod_system.yo, Src/Modules/system.c,
	Src/exec.c, Src/zsh.h: Add $sysparams[procsubstpid].

	* 43008: Src/options.c: combine suggestion from Sebastian to
	silence warnings for double setgid/setuid with suggestion
	from Eitan to put setgid first.

2018-06-13  dana  <dana@dana.is>

	* 42992: Completion/Unix/Command/_bash: Fix minor escaping bug

	* 42992: Completion/Darwin/Command/_nvram,
	Completion/Darwin/Command/_osascript, Completion/Darwin/Command/_say,
	Completion/Darwin/Command/_scselect: Use _call_program to fetch
	argument possibilities

2018-06-12  dana  <dana@dana.is>

	* unposted: Completion/Darwin/Type/_mac_applications: Change
	'Mac OS X' to 'macOS'

2018-06-11  dana  <dana@dana.is>

	* 42983: Completion/Unix/Command/_man: Address misc. feedback

	* 42984: Completion/Unix/Type/_files,
	Completion/Unix/Type/_object_files: Fix argument pass-through to
	compadd

2018-06-10  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 42978: dana: Completion/Darwin/Command/_pbcopy: fix small bug

	* 42977: dana: Completion/Unix/Command/_man: Complete options to
	major man variants, otherwise improve especially section matching

2018-06-09  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 42968: Eitan Adler: Completion/Unix/Command/_shutdown:
	add "-c" for _shutdown completion on FreeBSD 12-current

	* 42965: dana: Completion/Unix/Command/_bash,
	Completion/Unix/Command/_sh: add full completion for bash

	* 42964: Eitan Adler: Completion/BSD/Type/_fbsd_architectures:
	Update list of fbsd architectures

	* 42918: dana: Completion/Unix/Command/_jq: fix file completion

	* 42918: dana: Completion/Unix/Command/_ldd: adapt detection of
	GNU variant to work on Ubuntu

2018-06-07  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 42947: Doron Behar: Completion/Unix/Command/_luarocks:
	new luarocks completion

	* 42948: dana: Completion/Linux/Command/_opkg: new opkg completion

	* 42931: dana: Completion/Unix/Command/_base64,
	Completion/Unix/Command/_chroot, Completion/Unix/Command/_cksum,
	Completion/Unix/Command/_lz4, Completion/Unix/Command/_md5sum,
	Completion/Unix/Command/_tee, Completion/Unix/Command/_shasum,
	Completion/Unix/Command/_readlink: completion for several
	utilities especially for checksums across a variety of systems

	* users/23434: Functions/Misc/zed: initialise UNDO_LIMIT_NO so
	that an initial undo doesn't clear the whole edit buffer

	* 42935: Eitan Adler: Completion/Unix/Command/_arp:
	FreeBSD does not support -v for arp

	* 42937: Eitan Adler: Completion/BSD/Command/_powerd: add -M/-m

	* 43943: Completion/Unix/Command/_samba: update with long options

2018-06-06  Peter Stephenson  <p.stephenson@samsung.com>

	* Eitan: 42938: Src/Modules/mathfunc.c: name argument to
	math_func is not unused.

	* Eitan: 42939: Src/Zle/zle_params.c: pm argument to
	set_registers is not unused.

2018-06-05  Peter Stephenson  <p.stephenson@samsung.com>

	* Sebastian: 42929 (twaked): Functions/Misc/zed: additional
	default bindings for emacs and vi modes.

2018-06-03  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 42826: Eitan Adler: Misc/bash2zshprompt: remove link to
	now-spam website

	* 42919: dana: Completion/Unix/Command/_uptime,
	Completion/Unix/Command/_shuf: new shuf and uptime completions

	* 42922: dana: Completion/Unix/Command/_tac: new tac completion

	* 42881: Completion/Unix/Command/_ghostscript: update options in
	ghostscript completion and query more matches directly from it

	* 42920: Completion/Linux/Command/_dkms: new dkms completion

2018-06-01  Peter Stephenson  <p.stephenson@samsung.com>

	* 42888: MACHINES: remove outdated issues and update general
	description.

2018-05-31  Jun-ichi Takimoto <takimoto-j@kba.biglobe.ne.jp>

	* 42870: Src/Zle/compcore.c: another improvement of 'compset -q'

2018-05-29  Peter Stephenson  <p.stephenson@samsung.com>

	* c.f. 42865: config.guess, config.sub: update from GNU
	distribution.

	* Eitan Adler: 42862: configure.ac: AC_PROG_TRADITIONAL is no
	longer needed.

	* Eitan Adler: 42863: configure.ac: autoconf update to latest
	conventions.

2018-05-25  Jun-ichi Takimoto <takimoto-j@kba.biglobe.ne.jp>

	* 42809: Src/Zle/compcore.c: slightly improve 'compset -q'

2018-05-19  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 42806: Completion/Unix/Command/_shutdown: fix where options
	were lost due to args= assignment where args+= was needed

	* 42803: Completion/Unix/Command/_netstat: handle Linux and
	the the BSDs in netstat completion

2018-05-17  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* Stephane: 42790: Doc/Zsh/expn.yo, NEWS, Src/pattern.c,
	configure.ac: make [[:blank:]] match non-ASCII blanks

	* 42784: Completion/Zsh/Command/_typeset: complete -s and -x
	options to the functions builtin

2018-05-17  Peter Stephenson  <p.stephenson@samsung.com>

	* 42793: Src/jobs.c, Src/zsh.h: Always define FDT_PROC_SUBST to
	avoid proliferating #ifdef's.

	* 42785: Src/builtins.c: redefining a user math function should
	silently work as with redefining other shell objects.

2018-05-14  Peter Stephenson  <p.stephenson@samsung.com>

	* 42297: dana: Src/params.c, Test/D06subscript.ztst: (e)
	subscript needs extra work with scalars.

	* 42234: Stephane: Src/signals.c: don't kill a process that's
	already exited when killing a job.

2018-05-13  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 42488: Src/Modules/mathfunc.c, Src/builtin.c, Src/math.c,
	Test/B03print.ztst, Test/C01arith.ztst, Test/V03mathfunc.ztst:
	test cases for 42369 and address some issues in the code

	* Nelson H. F. Beebe: 19597 (rebased 42369): Src/math.c,
	Src/params.c. Src/Modules/mathfunc.c, configure.ac:
	return Inf, NaN etc from floating point operations instead
	of errors to allow non-stop IEEE 754 arithmetic

	* 42760: Src/Zle/zle_thingy.c: move stack variable outside
	while loop scope as it is accessed in the while condition

2018-05-11  Peter Stephenson  <p.stephenson@samsung.com>

	* 42180: dana: Src/Zle/compcore.c: safety when removing
	separators in completion.

	* 42101 (tweaked): dana: Src/exec.c, Test/A06assign.ztst:
	assigning shell status to array was broken.

2018-05-08  Peter Stephenson  <p.stephenson@samsung.com>

	* 42752: Completion/Unx/Command/_git: better completion
	handling for git aliases expanding to external command.

	* 42751: Src/Zle/zle_main.c: Protect shell status around
	time function execution in line editor.

2018-05-02  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* Eitan Adler: 42740: Completion/BSD/Command/_systat:
	Teach _systat about the 'zarc' screen

	* Eitan Adler: 42732: Completion/Unix/Command/_ifconfig:
	Add several more entries to ifconfig

	* 42743: Completion/Unix/Command/_vorbis: update vorbis-tools
	completion and include vorbiscomment with the rest

2018-05-01  Peter Stephenson  <p.stephenson@samsung.com>

	* from branch fork_early, c.f. 42702: Src/exec.c: Various changes
	to make forking for a command work better.  Move the fork even
	earlier; add case of non-final pipeline elements; _exit when
	forked; remove previous early fork in caller; replace fix for
	leaked file descriptor in pipeline handling.

2018-04-29  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* Matthew Martin: 42730: Completion/Unix/Command/_rmdir,
	Completion/Unix/Type/_directories: Complete the options for rmdir

	* Matthew Martin: 42729: Completion/Unix/Command/_df:
	update df completion for [DFNO]BSD

	* 42676: Completion/Unix/Command/_dd: deal with system
	specific arguments

	* 42728: Completion/Unix/Command/_tiff: update options and
	add handling for tiff2pdf

2018-04-29  Barton E. Schaefer  <schaefer@zsh.org>

	* Ricardo Giorni: 42701: fix 42355 for multiple backslashes

2018-04-26  Peter Stephenson  <p.stephenson@samsung.com>

	* c.f. 42726: Test/W02jobs.ztst: Back off fg and bg tests as they
	are currently too hard to make robust.

2018-04-25  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Src/exec.c: Correct process substitution buffer
	size in the PATH_DEV_FD codepath.

2018-04-25  Peter Stephenson  <p.stephenson@samsung.com>

	* 42722: Test/ztst.zsh, Test/W02jobs.ztst: replace ed with
	dc and hope for better times.

	* 42714: Test/W02jobs.ztst, Test/ztst.zsh: add basic fg and bg
	tests using ed.  Improve output on pattern difference failure in
	tests.

2018-04-24  Peter Stephenson  <p.stephenson@samsung.com>

	* 42708: Src/exec.c, Src/Modules/clone.c, Src/Modules/zpty.c,
	Test/D03procsubst.ztst: don't close file descriptors for
	process substitution on closem() tidy up unless we are exiting
	as they need to be visible to external processes.

2018-04-23  Peter Stephenson  <p.stephenson@samsung.com>

	* 42705: Src/signals.c: another fix for 42630 --- also check
	that killpg(pgrp, 0) is -1.

	* 23362: Src/parse.c: Allow short loops with "while".

2018-04-20  Peter Stephenson  <p.stephenson@samsung.com>

	* 42684 (with extra comments): Src/exec.c: Fork earlier
	when executing command if run in background.

2018-04-19  Peter Stephenson  <p.stephenson@samsung.com>

	* 42686: Src/signals.c: Fix 42630 only to change process groups
	on exited process.

2018-04-17  Peter Stephenson  <p.stephenson@samsung.com>

	* 42630: Src/exec.c, Src/signals.c: Improve process group
	handling in pipelines.  Main shell will reclaim terminal if
	leader exits.  Allow SIGCHLD to interrupt reading data from
	command substitution.

	* unposted: Config/version.mk: update to 5.5.1-dev-0.

2018-04-16  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: NEWS, README, Config/version.mk, Etc/FAQ.yo: update
	to release 5.5.1.

2018-04-16  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 42659: Completion/Unix/Command/_git, Completion/Unix/Command/_sed,
	Completion/Linux/Command/_ethtool, Completion/Linux/Command/_htop,
	Completion/Linux/Command/_pidof, Completion/Unix/Command/_sqlite,
	Completion/Unix/Command/_ssh: various completion option updates

	* 42658: Completion/Unix/Command/_diffstat: allow compact form of
	option arguments to diffstat

	* Matthew Martin: 42643, 42644: Completion/BSD/Command/_cksum:
	new cksum completion

	* Matthew Martin: 42642 (tweaked for Solaris):
	Completion/Unix/Command/_chown:
	OpenBSD chown does not support -f and dragonfly has -x

2018-04-15  Barton E. Schaefer  <schaefer@zsh.org>

	* 42650: Src/utils.c: fix 42156 for zero-sized terminals

	* 42636: Src/utils.c: fix GLOB_DOTS for !(RM_STAR_SILENT)

2018-04-13  Daniel Hahler  <zsh@thequod.de>

	* 42631: Completion/Unix/Command/_pgrep: _pgrep: pkill: fix completion
	of signals.

2018-04-12  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 42624 (plus test): Src/exec.c, Test/C04funcdef.ztst: avoid
	freeing memory that's still needed in multiple function
	definition that has a duplicated function name

2018-04-11  Peter Stephenson  <p.stephenson@samsung.com>

	* 42623: configure.ac: some extra quotes needed (and some
	cosmetic) for 42618.

2018-04-10  Peter Stephenson  <p.stephenson@samsung.com>

	* Benedikt Morbach: 42618: configure.ac: support signal names
	from multiple include files as needed for glibc 2.25.

	* unposted: Config/version.mk: update dev version to 5.5-dev-0.

2018-04-09  Eric Cook  <llua@gmx.com>
	* 42613: pda: Completion/Linux/Command/_ss
	fix quoting typo

2018-04-08  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: release zsh-5.5.

2018-04-08  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* c.f. 42499: tera torn: Completion/Unix/Command/_twisted:
	update twisted completion stub for new twist command

2018-04-07  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 42605: Src/Modules/mapfile.c, Src/Zle/complete.c,
	Src/Zle/zle_params.c: properly free the vi registers hash

	* 42601: Src/builtin.c: tidy up code for set -A/+A to not
	increment a NULL pointer and to be more efficient

	* 42607, CVE-2018-1100: Src/utils.c: check bounds on buffer
	in mail checking

	* 42600: Src/Zle/computil.c: error paths for _values leaked
	the exclusion list array

	* 42597: Src/params.c: plug memory leak found by coverity

	* 42595: Src/utils.c: remove dead code flagged by coverity

	* Matthew Martin: 42604: Completion/BSD/Command/_signify,
	Completion/BSD/Command/_vmctl: new completions for OpenBSD's
	signify and vmctl

	* github #24: Klas Mellbourn: Completion/X/Command/_code:
	Add completion script for Visual Studio Code

2018-04-06  Mikael Magnusson  <mikachu@gmail.com>

	* 42602: Completion/Unix/Command/_gcc: Update _gcc as of GCC
	7.3.0 for generic options and x86

2018-04-05  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 42591: Completion/Debian/Command/_apt: complete *.changes and
	*.dsc files alongside *.deb

	* 42584: Completion/Unix/Command/_ssh: complete options for
	ssh-keyscan and update options for ssh-copy-id

	* 42583: Completion/Unix/Command/_column: new column completion

	* 42582: Completion/BSD/Command/_cu, Completion/Unix/Command/_uniq,
	Completion/Unix/Command/_dhclient, Completion/Unix/Command/_script:
	updates to options in completions for OpenBSD 6.3

	* 42575: Src/Zle/computil.c, Test/Y03arguments.ztst: fix to not
	complete options in the argument to another option

2018-04-05  Jun-ichi Takimoto <takimoto-j@kba.biglobe.ne.jp>

	* 42590: Completion/Unix/Command/_fmt: fix detection of OSTYPE

	* 42585 (cf. 42574: Eitan Adler): Completion/Unix/Command/_tar,
	Completion/Unix/Type/_tar_archive: complete all compressed
	archives when libarchive-based tar is being used without
	compression flag

	* 42577: Completion/Unix/Command/_strings: fix macOS support

	* 42578: Completion/Unix/Command/_shutdown: add support for macOS

2018-04-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* unposted: 5.4.2-test-2.

	* 42581(?): Src/hist.c, Src/lex.c, Test/X03zlebindkey.ztst: history
	expansion within ZLE needs history to be read to conclusion on
	error.

2018-03-31  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 42572: Completion/Linux/Command/_ethtool,
	Completion/Linux/Command/_ss, Completion/Unix/Command/_arping,
	Completion/Unix/Command/_mosh, Completion/Unix/Command/_notmuch,
	Completion/Unix/Command/_mpc, Completion/Unix/Command/_objdump,
	Completion/Unix/Command/_prove, Completion/Unix/Command/_rsync,
	Completion/Unix/Command/_readelf, Completion/Unix/Command/_ruby,
	Completion/Unix/Command/_strip, Completion/Unix/Command/_vim,
	Completion/X/Command/_evince: various completion option updates

	* 42571: Completion/BSD/Command/_jail,
	Completion/BSD/Command/_jexec: new completion for FreeBSD jail

2018-03-30  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 42568: Completion/Unix/Command/_shutdown: new completion

	* 42569: Completion/Unix/Command/_lsof: improve completion after
	-i and -s options

	* 42567: Completion/Unix/Command/_xmlstarlet: new completion
	for xmlstarlet

	* 42570: Completion/Unix/Command/_drill,
	Completion/Unix/Command/_dig, Completion/Unix/Type/_dns_types:
	new completion for drill and factor out DNS type completion

	* 42560: Src/utils.c: silence sign-compare compiler warnings

	* 42566: Completion/Unix/Command/_strings: new strings completion

2018-03-29  Mikael Magnusson  <mikachu@gmail.com>

	* 42564: Completion/Unix/Command/_adb: Various improvements

2018-03-28  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 42548: Completion/Unix/Command/_pwgen: new pwgen completion

	* 42549: Completion/Redhat/Command/_yum: also handle the yumdb
	command in yum completion

	* 42550: Completion/Unix/Command/_gem: completion for ruby's gem

	* 42539: Src/utils.c: prevent overflow of PATH_MAX-sized
	buffer in spelling correction

2018-03-27  Peter Stephenson  <p.stephenson@samsung.com>

	* Martijn: 42538: Src/utils.c, Test/A04redirect.ztst:
	temporarily set umask (with signals queued) while reading
	here document.

2018-03-25  Barton E. Schaefer  <schaefer@zsh.org>

	* 42480: Src/utils.c: optimize $#var for single-byte character sets

2018-03-25  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 42505: README. Etc/FAQ.yo: prepare for 5.5 release.

2018-03-24  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 42520: Completion/Unix/Command/_netcat: don't use an empty
	but existing option cache in netcat completion

	* 42521 based on 42049 (SATOH Fumiyasu):
	Completion/Unix/Command/_make: make always includes relative
	to the current directory rather than relative to the Makefile

	* 42519, CVE-2018-1083: Src/Zle/compctl.c: check bounds on
	PATH_MAX-sized buffer used for file completion candidates

	* 42518, CVE-2018-1071: Src/exec.c, Src/utils.c:
	check bounds when copying path in hashcmd()

2018-03-24  Jun-ichi Takimoto <takimoto-j@kba.biglobe.ne.jp>

	* 42501: Src/Zle/complete.c, Src/Zle/computil.c,
	Src/Zle/zle_thingy.c: avoid out of bound pointer (as 42487).

	* unposted: Src/Modules/db_gdbm.c: add 'static' to a file-local
	variable.

2018-03-23  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 42491 based on 42000 (Andrei Shevchuk):
	Completion/Unix/Command/_mosh, Completion/Unix/Command/_git,
	Completion/Unix/Command/_ssh, Completion/Unix/Type/_ssh_hosts:
	factor ssh host completion for use for mosh and git

	* 42497 (tweaked c.f. 42498): Completion/Debian/Command/_apt:
	make completion after apt install work on local .deb files

2018-03-22  Jun-ichi Takimoto <takimoto-j@kba.biglobe.ne.jp>

	* 42191: Completion/Darwin/Command/_otool: new completion

2018-03-21  Peter Stephenson  <p.stephenson@samsung.com>

	* 42487: Src/Zle/compctl.c: remove gcc 7.3.0 warnings and
	potentially incorrect pointer usage.

2018-03-18  Barton E. Schaefer  <schaefer@zsh.org>

	* Stephane: 42469: Src/exec.c, Src/Modules/mapfile.c: fix 42465

2018-03-15  Peter Stephenson  <p.stephenson@samsung.com>

	* Stephane: 42465: Src/exec.c, Src/Modules/mapfile.c: pass error
	status from readoutput, causing more consistent reporting
	from $(...) constructs.

2018-03-12  Peter Stephenson  <p.stephenson@samsung.com>

	* 42453: Src/jobs.c: fix race looking up status of just
	exited background job.

2018-03-07  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* github #22: Ferenc-: Completion/Unix/Command/_gcc:
	Add newer C++ standard options to gcc completion

	* github #23: Matthijs Tijink: Completion/X/Command/_kdeconnect:
	new kdeconnect-cli completion

2018-03-05  Peter Stephenson  <p.stephenson@samsung.com>

	* Martijn: 42365: Src/parse.c: use .zwc file if timestamp
	identical to source file.

2018-03-04  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* Taylor West: 42411: Src/mem.c: assume any current C compiler
	will handle NULL argument to free.

2018-02-26  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 23180: Src/Zle/zle_tricky.c: Square brackets in dynamic
	directory expansion shouldn't force expansion in
	expand-or-complete.

	* Joey Pabalinas: 42401: Src/mem.c: replace malloc with use of
	realloc to work around crash with gcc using -foptimize-strlen.

	* users/23169: Completion/Base/Completer/_expand: treat ~[...]
	the same way is other forms of tilde expansion: only expand
	if accept-exact is set.

	* 42399: Doc/Zsh/builtins.yo: better description of interaction
	between echo and dashes.

2018-02-22  Daniel Hahler  <zsh@thequod.de>

	* 42364: Completion/Unix/Command/_git: _git: fix __git_ignore_line to
	ignore the current word.

2018-02-17  Peter Stephenson  <p.w.stephenson@ntlworld.com>

	* 42362: Src/jobs.c: protet REPORTTIME logic from bad status.

2018-02-13  Peter Stephenson  <p.stephenson@samsung.com>

	* Eitan Adler: Doc/Zsh/params.yo: REPORTMEMORY is in kilobytes,
	not megabytes.

2018-02-12  Peter Stephenson  <p.stephenson@samsung.com>

	* Martijn: 42355: Src/exec.c, Test/A04redirect.ztst:
	Interpreation of backslash on here doc input was inconsistent
	and confusing.

2018-02-12  Daniel Hahler  <zsh@thequod.de>

	* 42324: Completion/Unix/Command/_git: _git: handle mutually exclusive
	options.

2018-02-11  Daniel Hahler  <zsh@thequod.de>

	* 42327: Completion/Unix/Command/_make: _make: complete _files.

2018-02-08  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted: Completion/Unix/Command/_subversion: Support
	subcommands with hyphens in their names, such as 'shelf-list
	(shelves)' from upstream 1.10 development versions.

2018-02-07  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* Christian Hesse: 42333: Completion/Unix/Command/_git: Starting
	with version 2.16.0 git no longer accepts an empty string as a
	pathspec element. Thus we have to replace empty strings with a dot.

	* Matthew Martin: 42330: Completion/Unix/Command/_ln:
	-L and -P are POSIX, but not supported by Darwin or NetBSD

	* wgh@torlan.ru: 42336: Completion/Unix/Command/_adb: force
	single column output when getting filenames with adb ls command

	* 42343: Completion/Unix/Command/_subversion: complete
	--config-option more than once

2018-01-31  Peter Stephenson  <p.stephenson@samsung.com>

	* 42332: Src/builtin.c, Src/utils.c: special case printf for
	unsigned integers by looking for constansts, avoiding conversion
	to signed.

2018-01-24  Daniel Hahler  <zsh@thequod.de>

	* 42323: Completion/Unix/Command/_git: _git: move "local" statement
	out of loop.

2018-01-24  Peter Stephenson  <p.stephenson@samsung.com>

	* 42322 (tweaked): Src/hist.c, Src/zsh.h: don't discard a
	history line with just an interactive comment simply because
	there were no words, since the comment now doesn't produce
	words.

2018-01-23  Barton E. Schaefer  <schaefer@zsh.org>

	* Joey Pabalinas: 42313: Src/subst.c: avoid null-pointer deref
	when using ${(PA)...} on an empty array result

2018-01-23  Oliver Kiddle  <okiddle@yahoo.co.uk>

	* 42317: Completion/Linux/Command/_cryptsetup,
	Completion/Linux/Command/_ethtool, Completion/Unix/Command/_wget,
	Completion/Linux/Command/_tune2fs, Completion/Unix/Command/_cowsay,
	Completion/Unix/Command/_git, Completion/Unix/Command/_gsettings,
	Completion/Unix/Command/_gzip, Completion/Unix/Command/_ssh,
	Completion/Unix/Command/_sudo, Completion/Unix/Command/_tidy,
	Completion/Unix/Command/_tmux, Completion/Unix/Command/_truss:
	option updates for commands that have had recent updates

